PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions and Configuration Notes

Data Collection and Survey Visualization Server,Data Collection and Survey Visualization Server,Data Collection and Survey Visualization Server
installation instructions,installation instructions,installation instructions
installation instructions,installation instructions,installation instructions
Data Collection and Survey Visualization Server,Data Collection and Survey Visualization Server,Data Collection and Survey Visualization Server

These instructions are for installing Data Collection and Survey Visualization Server 5.6 using a single user license or a site license.

A single user license allows you to install Data Collection and Survey Visualization Server 5.6 on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization Server 5.6 on multiple computers for use by multiple users.

Related Topics

Before You Start
What You Need to Run the Data Collection and Survey Visualization Server 5.6 Applications


Before You Start

before you start,before you start,before you start
PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions,PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions,PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions
PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions,PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions,PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions
before you start,before you start,before you start

Before you attempt to install Data Collection and Survey Visualization Server 5.6, take the time to read and understand these notes.

If you are upgrading from a previous version of mrInterview, mrTables, or Reporter, refer to Required Software Checklist and Requirements for Installation before you install the new version. This ensures that your system satisfies the requirements for version 5.6.

Note: If you have an earlier version of mrInterview, mrTables, or Reporter installed, the Data Collection and Survey Visualization Server 5.6 installation procedure will prompt you to uninstall the earlier versions before installing Data Collection and Survey Visualization Server 5.6.

To Print these Installation Instructions Using the Mouse

Printing these instructions,Printing these instructions,Printing these instructions

On the Contents tab, right-click Data Collection and Survey Visualization Server 5.6 Installation Instructions and then select Print.

In the Print Topics window, select Print the selected heading and all subtopics and then click OK.

To Print these Installation Instructions Using the Keyboard

Press Alt+C to select the Contents tab.

Use the arrow keys to highlight the topic called Data Collection and Survey Visualization Server 5.6 Installation Instructions.

Press Alt+O, P to select the Options button and the Print option.

In the Print Topics window, select Print the selected heading and all subtopics and then press Enter.

Note: The full set of instructions is quite big. You can reduce the number of pages that are printed by selecting a lower level on the Contents tab.

Related Topics

PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions and Configuration Notes
What You Need to Run the Data Collection and Survey Visualization Server 5.6 Applications


What You Need to Run the Data Collection and Survey Visualization Server 5.6 Applications

System requirements,System requirements,System requirements
Web Service,Web Service,Web Service
requirements,requirements,requirements
Interview Service,Interview Service,Interview Service
requirements,requirements,requirements
Accessories Service,Accessories Service,Accessories Service
requirements,requirements,requirements
Database Service,Database Service,Database Service
requirements,requirements,requirements
Scriptwriter Service,Scriptwriter Service,Scriptwriter Service
requirements,requirements,requirements

The minimum hardware and software requirements for Data Collection and Survey Visualization Server 5.6 applications are as follows:

Interviewer Server

Web Service

• Microsoft Windows Server 2003 Standard or Enterprise Edition (32-bit or x64 64-bit edition) with Service Pack 2.

• Pentium®-class processor operating at 1GHz or faster. 2GHz recommended..

• 512MB RAM, more recommended.

• A hard disk with at least 100MB of available disk space.

• A 1024 x 768 or higher resolution graphics adaptor that supports at least 16-bit color.

• A CD-ROM drive.

• Internet Explorer 6.0 or 7.0.

• Internet Information Server (IIS) 6.0 or later.

Interview Service

• Microsoft Windows Server 2003 Standard or Enterprise Edition (32-bit or x64 64-bit edition) with Service Pack 2.

• Pentium®-class processor operating at 1GHz or faster. 2GHz recommended..

• 512MB RAM, more recommended.

• A hard disk with at least 200MB of available disk space (space depends on the number of projects on the server).

• A 1024 x 768 or higher resolution graphics adaptor that supports at least 16-bit color.

• A CD-ROM drive.

• Internet Explorer 6.0 or 7.0.

• Microsoft Data Access Components (MDAC) 2.8 or later (supplied).

• Microsoft .NET Framework 2.0 SP1 (supplied).

• Internet Information Server (IIS) 6.0 or later.

• Data Collection Developer Library (recommended) .

Accessories Service

• As Interview Service.

• Microsoft Office Web Components (OWC) version 10 or later (for the charting feature of the Phone Reports activity only).

Database Service

• Microsoft Windows Server 2003 Standard or Enterprise Edition (32-bit or x64 64-bit edition) with Service Pack 2.

• Microsoft SQL Server 2005 or 2008.

Scriptwriter Service

• Microsoft® Windows® XP Professional (32-bit edition) with Service Pack 2 or Microsoft Windows Vista Business or Ultimate Edition (32-bit or x64 64-bit edition).

• Pentium-class processor running at 500MHz or faster.

• 256MB or more of random-access memory (RAM).

• A hard disk with at least 150MB of available disk space.

• A 1024 x 768 or higher resolution graphics adaptor that supports at least 16-bit color.

• A CD-ROM drive.

For XP Professional

• Internet Explorer 6.0 or 7.0.

• Microsoft Data Access Components (MDAC) 2.8 or later (supplied).

• For XP Professional, Microsoft .NET Framework 2.0 SP1 (supplied).

For Vista

• Internet Explorer 7.0.

• Microsoft .NET Framework 3.0.

Telephone Interviewing Supervisor Stations

• Microsoft® Windows® XP Professional (32-bit edition) with Service Pack 2 or Microsoft Windows Vista Business or Ultimate Edition (32-bit or x64 64-bit edition)

• Pentium-class processor running at 500MHz or faster.

• 256MB or more of random-access memory (RAM).

• A hard disk with at least 100MB of available disk space.

• A 1024 x 768 or higher resolution graphics adaptor that supports at least 16-bit color.

• A CD-ROM drive.

For XP Professional

• Internet Explorer 6.0 or 7.0.

For Vista

• Internet Explorer 7.0.

Telephone Interviewing Interviewer Stations

• Either:

Microsoft® Windows® XP Professional (32-bit edition) with Service Pack 2 or Microsoft Windows Vista Business or Ultimate Edition (32-bit or x64 64-bit edition)

Or:

Wyse terminals running Linux V6 and Firefox Web Browser Version 1.0.

• For Windows: Pentium-class processor running at 500MHz or faster; For Wyse: 486-type processor operating at 66MHz or faster; Intel Pentium III or later recommended.

• For Windows: 256MB or more of random-access memory (RAM); For Wyse: 32MB of random-access memory (RAM); 128MB recommended.

• A hard disk with at least 100MB of available disk space.

• A 1024 x 768 or higher resolution graphics adaptor that supports at least 16-bit color.

• A CD-ROM drive.

For XP Professional

• Internet Explorer 6.0 or 7.0.

For Vista

• Internet Explorer 7.0.

For Linux

• Firefox Web Browser Version 1.0.

Note: Modem dialing is not supported on Wyse Winterms: a PC running Microsoft Windows, as previously specified, is required.

Remote Administrator

• As Interview Service

License Server

• RMS Sentinel License Manager 8.1 or above (provided)

The disk space requirements shown for the different services are the total amounts of space that each individual service requires. There are 50MB of components that are shared between all services, and there are some other components that are shared between certain services but not others. The disk space totals include these shared components, so the total disk space required for installing two or more services on a machine is usually less than the sum of the disk space for those services.

The 50MB of shared components are always installed onto a machine's Windows drive, even if you choose to install the Interviewer Server services onto other drives.

In order to run the installation program, you need twice as much free space as the combined size of the .msi and the .cab files for the services you are installing. For example, if you are installing all services on a single machine, you will need twice as much space as the sum of the .msi file and the three .cab files on the CD-ROM. This requirement is only temporary, and allows the installation program to expand the .cab files and extract the files they contain. This space is released when the installation ends.

Web Reports for Surveys and Reports for Surveys Server

Operating Systems

• Microsoft Windows Server 2003 Standard or Enterprise Edition (32-bit or x64 64-bit edition) with Service Pack 2.

Important: Installing Web Reports for Surveys on Microsoft Windows XP is not supported. Instructions relating to XP are provided solely to enable demonstration and evaluation copies of the software to be installed.

Hardware

• Pentium®-class processor operating at 1GHz or faster. 2GHz recommended..

• 512MB RAM (2 GB recommended).

• A hard disk with at least 200MB of available disk space.

• CD-ROM drive required for installation.

Software

• Microsoft .NET Framework 2.0 SP1.

• Microsoft Data Access Components (MDAC) 2.8 or later (supplied).

• Microsoft Internet Explorer 6.0 or 7.0. MS XML 4.0 add-in is required. If you do not have the MS XML 4 add-in installed, it will be installed during installation. However, note that client end users must install MS XML manually. See the topic Installing Internet Explorer 6.0 or 7.0 for more information.

• Microsoft Internet Information Server (IIS) 6.0, with ASP.NET option.

• Microsoft SQL Server 2005 or 2008.

• For running the charting feature, Microsoft Office Web Components (OWC) version 10 or later must be installed.

For more information about the required software, see the Required Software Checklist.

Reports for Surveys Server,Reports for Surveys Server,Reports for Surveys Server
installation considerations,installation considerations,installation considerations
installation considerations,installation considerations,installation considerations
Reports for Surveys Server,Reports for Surveys Server,Reports for Surveys Server

Additional Reports for Surveys Server Considerations

• The Internet Explorer security settings can adversely affect access to Reports for Surveys Server. It is recommended that you configure Internet Explorer for Medium security (Tools → Internet Options → Security tab → Security level for this zone).

– A security setting of High will prevent all users from logging into Interviewer Server Administrator, thus preventing access to Reports for Surveys Server.

– A security setting of Medium -high will allow users to login to Interviewer Server Administrator, but will prevent most users from launching Reports for Surveys from the Reports for Surveys link.

• Users who only belong to the Windows Guests account are not able to install or run Reports for Surveys Server.

License Code

• Your license code, which is supplied with your Data Collection and Survey Visualization Server 5.6 installation CD.

Web Reports for Surveys and Reports for Surveys Client

Operating Systems

• Microsoft® Windows® XP Professional (32-bit edition) with Service Pack 2 or Microsoft Windows Vista Business or Ultimate Edition (32-bit or x64 64-bit edition).

Hardware

• A graphics adapter with 1024 x 768 resolution or higher and a minimum 16-bit color quality setting.

• CD-ROM drive required for installation.

Software

For Windows XP systems:

• Microsoft .NET Framework 2.0 SP1.

• Microsoft Internet Explorer 6.0 or 7.0. MS XML 4.0 add-in is required. Client end users must install MS XML. See the topic Installing Internet Explorer 6.0 or 7.0 for more information.

• Microsoft Office 2000, XP, 2003, or 2007 (required for exporting to Microsoft Word, Excel or PowerPoint, or to HTML). For Microsoft Office 2000 or XP, Service Pack 3 or later is required; for Microsoft Office 2003, Service Pack 2 or later is required.

• For viewing charts, Microsoft Office Web Components (OWC) license (version 10 or later).

For Windows Vista systems:

• Microsoft .NET Framework 3.0.

• Microsoft Internet Explorer 7.0. MS XML 4.0 add-in is required. Client end users must install MS XML. See the topic Installing Internet Explorer 6.0 or 7.0 for more information.

• Microsoft Office 2000, XP, 2003, or 2007 (required for exporting to Microsoft Word, Excel or PowerPoint, or to HTML). For Microsoft Office 2000 or XP, Service Pack 3 or later is required; for Microsoft Office 2003, Service Pack 2 or later is required.

• For viewing charts, Microsoft Office Web Components (OWC) license (version 10 or later).

License Code

• Your license code, which is supplied with your Data Collection and Survey Visualization Server 5.6 installation CD.

License Server

• RMS Sentinel License Manager 8.1 or later (supplied).

Related Topics

PASW® Data Collection and Survey Visualization Server 5.6 Installation Instructions and Configuration Notes
Before You Start
Required Software Checklist
Interviewer Server System Configurations


Required Software Checklist

Required software,Required software,Required software

Before you install any of the Data Collection and Survey Visualization Server 5.6 applications you should verify that any required software is installed and running. If the Data Collection and Survey Visualization Server 5.6 installation procedure is unable to find an application, or that application is not running correctly, the installation procedure will fail.

Data Collection and Survey Visualization Server 5.6 applications requires the following software.

Web Reports for Surveys and Reports for Surveys

• Microsoft .NET Framework 2.0 SP1

• Microsoft Data Access Components (MDAC) 2.8

• Internet Explorer 6.0 or 7.0 with MS XML 4.0 add-in

• Internet Information Services (IIS) with the ASP.NET option

• SQL Server

• Office Web Components (OWC) (required to display charts in Web Reports for Surveys)

• RMS Sentinel License Manager 8.1 or later

Interviewer Server

Available on the Interviewer Server installation CD

The following software is required and can be installed manually from the Data Collection and Survey Visualization Server 5.6 installation CD.

Software | Web Servers | Interviewing Servers | Accessories Servers | Database Servers | Scriptwriters' machines
Microsoft .NET Framework 2.0 SP1 | Yes | Yes | Yes | No | Yes
Microsoft Data Access Components 2.8 | Yes | Yes | Yes | No | Yes
Data Collection Developer Library | No | No | No | No | Optional

Sentinel License Manager is required for managing concurrent usage licenses. This is available on the Data Collection and Survey Visualization Server 5.6 installation CD and can be installed on any machine in your network.

Purchase and install separately

The following required software must be purchased and installed separately before Interviewer Server can be installed.

Software | Web Servers | Interviewing Servers | Accessories Servers | Database Servers | Scriptwriters' machines
Internet Information Services with the ASP.NET option | Yes | Yes | Yes | No | No
SQL Server (Interviewer Server Professional only) | No | No | No | Yes | No

Download and install separately

The following required software must be downloaded (for free) and installed separately.

Software | Web Servers | Interviewing Servers | Accessories Servers | Database Servers | Scriptwriters' machines
Internet Explorer 6.0 or above | Yes | Yes | Yes | No | Yes
Microsoft Office Web Components 10.0 or above | No | No | Yes | No | No


Installing Microsoft .NET Framework 2.0 SP1

Microsoft .NET framework,Microsoft .NET framework,Microsoft .NET framework
installing,installing,installing

Before you can run any of the Data Collection and Survey Visualization Server applications, you need to install Microsoft .NET Framework 2.0 SP1 on your computer, and on machines that will run the Accessories, Interview, or Scriptwriter services. If you attempt to install any of the Data Collection and Survey Visualization Server applications when Microsoft .NET Framework 2.0 SP1 is not installed, the installation program will display a message explaining that you need to install it in order for the applications to run. You can install Microsoft .NET Framework 2.0 SP1 from the Data Collection and Survey Visualization Server 5.6 Installer window.

Note: Installing Microsoft .NET Framework 2.0 SP1 upgrades a number of Windows components.

To Install Microsoft .NET Framework 2.0 SP1

From the Data Collection and Survey Visualization Server 5.6 Installer window, choose Install Microsoft .NET Framework 2.0 SP1.

Follow the instructions on the screen.

From Control Panel select

Administrative Tools
Internet Information Services

In the left-hand frame, right-click Web Sites and choose Properties.

This opens the Web Sites Properties dialog box.

On the Documents tab click Add.

This opens the Add Default Document dialog box.

Type Default.aspx and click OK.

Close IIS.

Related Topics

Required Software Checklist


Installing Microsoft Data Access Components 2.8

Microsoft Data Access Components,Microsoft Data Access Components,Microsoft Data Access Components
installing,installing,installing

You need to install Microsoft Data Access Components (MDAC) 2.8 on your computer before you can install any of the Data Collection and Survey Visualization Server applications. If MDAC 2.8 (in any language) is not already installed, the Data Collection and Survey Visualization Server installation program will install the English language version for you. If you you want to use a non-English version of MDAC, you must manually install the appropriate language version of MDAC 2.8. You can do this by selecting Install Microsoft Data Access Components (MDAC) 2.8 from the autoplay menu (MDAC can also be found in the MDAC folder on the installation CD-ROM, or you can download it from http://www.microsoft.com/Windows/downloads/default.mspx)

Related Topics

Required Software Checklist


Installing Internet Explorer 6.0 or 7.0

Internet Explorer,Internet Explorer,Internet Explorer
Installing,Installing,Installing

Internet Explorer 6.0 or 7.0, with the MS XML 4.0 add-in (required for Reports for Surveys), must be installed before you can install any of the Data Collection and Survey Visualization Server 5.6 applications. If you do not have a suitable version of Internet Explorer installed, the Data Collection and Survey Visualization Server 5.6 installation program will not run.

If you do not have the MS XML 4.0 add-in installed on the server machine, it will be automatically installed. However, note that client end users must manually install the MS XML 4.0 add-in. See instructions below.

To Install Internet Explorer 6.0 or above

Go to http://www.microsoft.com/windows/ie/downloads/default.mspx and from there navigate to the page that provides downloads in the language of your choice.

Follow the instructions provided to download Internet Explorer.

To Install MS XML 4.0 add-in

Go to http://www.microsoft.com/downloads/details.aspx?familyid=3144b72b-b4f2-46da-b4b6-c5d7485f2b42&displaylang;=en.

Follow the instructions provided to download MS XML.

Related Topics

Required Software Checklist


Installing Internet Information Services

Internet Information Services (IIS),Internet Information Services (IIS),Internet Information Services (IIS)
installing,installing,installing

With some operating systems, Internet Information Services (IIS) is installed as part of the operating system. This is not the case with Windows 2003 Server, where you must manually install IIS before installing any of the Data Collection and Survey Visualization Server 5.6 applications. If you are installing onto a 64-bit version of any Windows operating system you must configure IIS to create 32-bit worker processes.

Important: IIS must be properly configured in order to ensure sensitive information is not exposed in response headers. See the topic Configuring Internet Information Services to Avoid the Detection of Hidden Directories for more information.

Refer to the Microsoft support article Internet Information Server returns IP address in HTTP header (Content-Location) for more information.

Interviewer Server

In Interviewer Server, IIS is used by the Accessories, Interviewing, and Web services. If any of these machines is running Windows 2003 you must install IIS before installing Interviewer Server.

To Install IIS on Machines Running Windows 2003 Server

Install IIS, including the ASP.NET option on Windows 2003 Server, using the installation instructions provided with the software.

Additional steps for IIS on all 64-bit operating systems

Open a command prompt and navigate to \Inetpub\AdminScripts. This folder is usually on the C drive.

Type cscript.exe adsutil.vbs set W3SVC/AppPools/Enable32BitAppOnWin64 "true" and press Enter.

From Control Panel, select:

Administrative Tools
Internet Information Services

In Web Service Extensions, select ASP.NET v2.0.50727 (32-bit) and set it to Allowed.

In Web Service Extensions, select All Unknown ISAPI Extensions and set it to Allowed.

Close Internet Information Services.

To Install ASP.NET manually

Use the following steps if you need to install ASP.NET manually on a 64-bit system.

Open a command prompt and navigate to C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727.

Type aspnet_regiis.exe /i and press Enter.

Note: ASP.NET v2.0.50727 is for 64-bit systems only, and ASP.NET v2.0.50727 (32-bit) is for 32-bit systems.

WebDAV,WebDAV,WebDAV

Notes on WebDAV

Web-based Distributed Authoring and Versioning (WebDAV) is a collection of extensions that allow users to edit and manage files on remote servers. If you do not need WebDAV enabled on your server, ensure that you either disable it, or disallow unneeded HTTP methods (verbs) (due to potential security issues). WebDAV can be disabled via the Internet Information Services (IIS) Manager. By default, the WebDAV service is disabled on the version of IIS deployed with PASW Data Collection products.

If WebDAV is required on your server, use a tool UrlScan security tool to disallow the unneeded HTTP methods (verbs). Refer the Microsoft TechNet article UrlScan Security Tool for more information.

Related Topics

Required Software Checklist
Configuring Internet Information Services to Avoid the Detection of Hidden Directories


Configuring Internet Information Services to Avoid the Detection of Hidden Directories

Internet Information Services (IIS),Internet Information Services (IIS),Internet Information Services (IIS)
hidden directories,hidden directories,hidden directories
security risk,security risk,security risk

Web-based applications will sometimes inadvertently expose a site's directory structure. Although the exposed directories do not list their contents, the exposed directory information is detrimental to the site's overall security. By knowing a directories name, a potential hacker can guess its content and possible file names that reside within. Sensitive content can pose a severe security threat when directory names are exposed.

To avoid this potential security risk, you can issue 404 - Not Found response status codes instead of 403 - Forbidden response status codes. This change will obfuscate the presence of directories on the site, and will prevent the site structure from being exposed.

You must be a member of the Administrators group on the local computer to perform the following procedure, or you must be delegated the appropriate authority. As a security best practice, logon to your computer using an account that is not in the Administrators group, and then use the Windows Run as command to run the Internet Information Services Manager as an administrator.

Open a Windows Command Prompt and enter the following:

runas /user:<administrative_accountname> "mmc %systemroot%\system32\inetsrv\iis.msc"

Where <administrative_accountname> is the account name for someone with administrative authority to the workstation.

In Internet Information Services Manager, expand the local computer, expand Web Sites, right-click Default Web Site, and then select Properties.

Click the Custom Errors tab.

In the Error Messages for HTTP Errors list, select the HTTP error 403;14, and click Edit Properties.

Select URL from the Message Type list box.

Enter the following in the URL field:\spssmr\shared\404-custom.asp.

Click OK, and then click OK again.

Exit the Internet Information Services Manager.

Launch the Windows Registry Editor (type regedit in a Windows Command Prompt).

Navigate to the following location: HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters

Create a new DWORD value named IgnoreAppPoolForCustomErrors and give it a value of 1.

Open a Windows Command Prompt and enter iisreset.

Related Topics

Installing Internet Information Services


Installing SQL Server

SQL Server,SQL Server,SQL Server

You must have SQL Server installed on all machines.

To install SQL Server, follow the instructions that come with the application.

If you have installed SQL 2005 Developer Edition, enable remote connections as follows:

• From the Start menu choose

Programs
Microsoft SQL Server 2005
Configuration Tools
SQL Server Surface Area Configuration

This opens the SQL Server 2005 Surface Area Configuration dialog box.

• Click Surface Area Configuration for Services and Connections

• In the left-hand frame of the next screen, select the View by Instance tab. Expand the node for the SQL instance that you are using and click Remote Connections.

• In the right-hand frame, select Local and remote connections and then Using both TCP/IP and Named Pipes.

• Click OK to save your changes and then close the program.

• Stop and restart SQL Server to implement the change.

Related Topics

Required Software Checklist


Installing SQL Server on Machines Running the Database Service

SQL Server,SQL Server,SQL Server
installing,installing,installing
MSDE,MSDE,MSDE
MSDEMSSQL folder,MSDEMSSQL folder,MSDEMSSQL folder

You must have SQL Server, including the latest service packs, installed on all machines that will run the Database Service. If you are going to have more than one machine running the Database Service they must operate in Active–Passive mode rather than Active–Active mode. Refer to your SQL documentation for further information about operation modes.

Note: SQL Server 2005 comes in a number of different editions. Since it is only the feature set that differs across editions, you should be able to use Interviewer Server with any edition, but note that there are limitations on the maximum number of CPUs supported and on memory.

See the topic Installing SQL Server for more information.

Related Topics

Installing SQL Server


Installing Microsoft Office Web Components (OWC)

Office Web Components,Office Web Components,Office Web Components
OWC,OWC,OWC

If you will be using the charting feature, Microsoft Office Web Components (OWC) version 10 or later must be installed on your server. To view charts in Web Reports for Surveys or Reports for Surveys, you must also have a license for Microsoft OWC on each client machine. Before enabling this feature for any user, you must verify that the user is appropriately licensed for Microsoft OWC. Check your Microsoft OWC license agreement or EULA.

On Machines Running the Accessories Service

Microsoft Office Web Components (OWC) version 10 or later is required for the charting feature of the Phone Reports activity.

Note: The charting facility is normally disabled in Phone Reports. Before enabling it for a user, you must verify that the user is appropriately licensed for MS OWC. Check your MS OWC license agreement or EULA.

Microsoft OWC can be downloaded directly from Microsoft, but is also installed automatically with Microsoft Office 2000, XP, and 2003. Microsoft OWC version 9 is installed with Microsoft Office 2000, version 10 is installed with Office XP, and version 11 is installed with Office 2003. However, Microsoft has stated there are issues using Microsoft OWC in server configurations in version 9 and lower. Therefore, it is important to install version 10 or higher. You can install Microsoft OWC from the Microsoft Download Center.

Microsoft OWC is not supplied with Microsoft Office 2007. For information on the options available for installing Microsoft OWC version 11 for use with Microsoft Office 2007, see http://technet2.microsoft.com/Office/en-us/library/0dee24b3-09af-485b-b5ed-d4b879dcc8f61033.mspx?mfr=true.

For further information, see the Microsoft Office XP Web Components Licensing web site http://www.microsoft.com/office/previous/xp/developer/platform/owcfaq.asp.

Related Topics

Required Software Checklist


Installing Sentinel License Manager

Sentinel License Manager,Sentinel License Manager,Sentinel License Manager
installing,installing,installing

Concurrent licensing limits the number of interviews that can run, and people who can use the Data Collection and Survey Visualization Server applications, at the same time. Data Collection and Survey Visualization Server uses the Sentinel License Manager application to keep track of how many licenses you have and how many interviews and application sessions are currently in progress. Your company may already be using this software with other applications. If so, you do not need to reinstall it for Data Collection and Survey Visualization Server.

To install Sentinel License Manager, do the following:

On the installation CD, navigate to the Sentinel\LicenseManager folder and double-click SentinelRMSLicenseManager8.1.exe.

This starts the Sentinel RMS License Manager installation wizard.

On the Welcome page, click Next.

On the License Agreement page, click I accept the terms of the license agreement and then click Next.

On the Customer Information page, enter your user name and the name of your organization. Then select Anyone who uses this computer and click Next.

The Destination Folder page shows where the licensing files will be installed. If you want to install to a different location, click Change and choose a different folder. Otherwise, just click Next.

On the Setup Type page, choose Typical and click Next.

The licensing server needs to be able to communicate with the machines that are running the Data Collection and Survey Visualization Server applications, so it checks now whether this will be possible. If your firewall is set up to block this type of communication, you will see a page that offers you the choice of adding Sentinel License Manager to the firewall blocking exceptions list. The option to accept this change is selected by default so click Next to continue.

On the Ready to Install page, click Next.

The installation program starts copying files onto your machine.

When the installation is complete, click Finish.

Related Topics

Required Software Checklist


Interviewer Server Installation Information

The Data Collection and Survey Visualization Server installation procedure installs Interviewer Server, optionally with Web CATI, onto a single machine or onto a cluster of machines. The installation procedure for single machines and clusters is completely configurable at all stages.

Work systematically through the topics in the following sections to install Interviewer Server. Depending on how your system is set up, you may find that some topics are not relevant to you and can be skipped.

• Pre-Installation Checklist for the Interviewer Server Installation Procedure

• Installation Procedures

• Post-Installation Checklist for Interviewer Server Installation

Note:Interviewer Server 5.6 is not compatible with earlier versions of mrInterview, so it is essential that you upgrade all machines that are running any of the Interviewer Server services, including all machines running the Scriptwriter Service. If you have machines running mrStudio with the Interview Scripting option you should also upgrade those machines to use Professional 5.6 to ensure that your interview scripts are compatible with the version of Interviewer Server you are running.

Installation Checklist

Click here to display an installation checklist showing all the pre-installation, installation, and post-installation tasks that you may need to carry out. This topic is a simple task list designed for printing, and does not provide links to the topics in this document.

Related Topics

Installations Using Disk Imaging or Terminal Services
Installations onto a Domain Controller
Installing Interviewer Server for Off-Line Use


Installation Checklist

installation checklist,installation checklist,installation checklist
Install Required Software
 | Microsoft Data Access Components 2.8 (only on machines running the Interview, Accessories and/or Scriptwriter Services).
 | Internet Explorer 6.0 or 7.0 (on all machines except those running the Database Service only).
 | Internet Information Services with the ASP.NET option (only on machines running the Web, Interview, and/or Accessories Services).
 | SQL Server (only on machines running the Database Service).
 | Microsoft Office Web Components (only on machines running the Accessories Service).
 | RMS Sentinel License Manager (only on the machine that will act as the license server)
Pre-Installation Tasks
 | Internet Explorer 6.0 or 7.0 installed on all machines (except those running the Database Service only).
 | Each machine in a cluster can communicate with all other machines in the cluster.
 | DCOM is enabled on all machines.
 | SQL Server is running correctly on all machines that will host the Database Service.
 | IIS is running correctly on all machines that will host the Web, Interview, and/or Accessories Services.
 | Create the Installing User on all machines (remember that this user requires 'Log on as a service' and 'Log on as a batch job' security settings).
 | Create the Running User on all machines. Optional.
 | Create the Anonymous Access User on all machines.
 | Create the PASW Data Collection User Group on all machines.
 | If any machines are behind a firewall, open ports on the firewall.
 | Make a back-up or image of all machines on which you will be installing Interviewer Server software.
Installation
 | Log in as the Installing User and install Interviewer Server.
 | For cluster installations, install Interviewer Server on all machines named in the site preparation file. Install the Scriptwriter Service on any scriptwriter machines that do not have browser access to Interviewer Server Administrator.
Post-Installation
 | Activate your site's concurrent licenses.
 | On all machines running the Web Service, if the image cache is installed on a machine with only the Web Service installed and that machine is outside the firewall, configure the image cache as remote.
 | Set up users and roles in Interviewer Server Administrator and assign roles to Interviewer Server Administrator applications.
 | On all machines running the Accessories Service, if a machine is running Windows XP Service Pack 2, add the ASPNET account to the Launch permissions on LogBck02.
 | If you have installed onto a machine on which Professional is installed, add Professional users to the PASW Data Collection group on that machine so that they have access to the log file folder.
 | On all machines running the Web Service, if that machine has multiple IP addresses and web sites configured for each IP address, replace the Web Service machine names with IP addresses in DPM and reregister the Interview Service machines.
 | If machines running the Web Service will be accessed through the internet, replace the machine names in the DimensionsInterviewURL and FileManagerWebserviceURL properties with fully qualified machine names.
 | On all machines running the Interviewing Service, if your site uses SSL, cancel the requirement for mrIEngWS to use a secure channel.
 | On all machines running the Interviewing Service, start mrUserAdminServer and mrDPMServer3 if they are not already running.
 | Check that access control permissions have been set correctly for FMRoot and all its subfolders.
Post-Installation on Local Machines
 | If scriptwriters will be using Scriptwriter Station and logging in as anyone other than the Installing User, add DCOM permissions for the machine's Users group to LogBckO2 on those users' machines.
 | Enable pop-ups and file downloads.
 | Set up automatic NT login for Interviewer Server Administrator users who use the Firefox browser.
 | For users who will run Interviewer Server Administrator using the Firefox browser on the WYSE 5150SE, increase the default font size in Firefox.
Optional Post-Installation
 | If you are upgrading from an earlier version of mrInterview, delete the Signal call outcome code from DPM.
 | On machines running the Database Service, add indexes to any existing sample tables to improve performance
 | If your site uses telephone interviewing (CATI), increase the size of the appRequestQueueLimit setting for the .NET Framework on all machines running the Web Service.
 | If your site uses telephone interviewing, change the configuration settings for the interviewing engine and the .NET Framework on all machines running the Interview Service to avoid requests being queued due to blocked thread pools.
 | Install the Load Tool on a machine of your choice, preferably one outside the Interviewer Server cluster.
 | Configure the Interviewer Server Administrator Email activity if not already done during installation.
 | On machines running the Interviewing or Accessories Services, increase the number and/or size of the log files.
 | If necessary, create a hosts file linking machine names to IP addresses (may be needed for some firewalls).
 | Set up your Web site to use SSL.
 | On machines running the Accessories Service, set up Interviewer Server Administrator load balancing to specify the machines on which Interviewer Server and its applications will run.
 | Configure Interviewer Server Administrator load balancing to use an SSL accelerator.
 | On all machines running the Interviewing Service, change the Interview Engine load balancing algorithm used to distribute interviews to those machines.
 | Modify the TCP/IP registry settings on all machines running the Interview and Web Services.
 | If you are using SQL Server 2005 and a named instance, edit SampleMgtGUI.Config.xml to control the servers available to the Participants and Activate activities.
 | Install the Data Collection Developer Library on the appropriate machines.

Related Topics

Interviewer Server Installation Information


Interviewer Server System Configurations

System configurations,System configurations,System configurations
Web Service,Web Service,Web Service
function of,function of,function of
Interview Service,Interview Service,Interview Service
function of,function of,function of
Accessories Service,Accessories Service,Accessories Service
function of,function of,function of
Database Service,Database Service,Database Service
function of,function of,function of
Scriptwriter Service,Scriptwriter Service,Scriptwriter Service
function of,function of,function of
Multiple domain,Multiple domain,Multiple domain
using,using,using

Interviewer Server has the following services:

• Web Service. Interacts with respondents through their browsers.

• Interview Service. Runs the majority of the interviewing and Project Management software, including the Data Model. If you install this service on a number of machines in a cluster, the installation procedure makes the first machine hosting the service the Primary Interviewer Server and the second machine the Secondary Interviewer Server.

• Accessories Service. Hosts Internet Information Server (IIS) and stores Interviewer Server Administrator and all Interviewer Server Administrator and Interviewer Server activities.

• Database Service. Runs SQL Server and stores the response data. May also store the sample and quota databases. The Interviewer Server installation procedure does not install anything on machines running just this service.

• Scriptwriter Service. Installed on a client machine. Includes the Data Model and Activate components. The Scriptwriter Service is typically used by scriptwriters who do not have access to Interviewer Server Administrator via their browsers.

Depending on the size of your installation, you may install several services all on one machine, or install each service on a different machine, or install the same service on a number of machines.

Note: If you install onto more than one machine (known as a "cluster installation") you must install onto machines running the Accessories Service first. Follow this with machines running the Interview and Web Services in that order. Finally, install the Scriptwriter Service where necessary.

Very small sites may use a single machine for all functions, and you will install the Scriptwriter Service, Web Service, Interview Service, Accessories Service, and Microsoft SQL Server all on that machine. Larger sites may wish to use this type of set-up for testing purposes, while setting up their main system using several machines. If this is the type of installation that you require, you may prefer to use the Standard installation procedure.

Larger sites may have a database machine running SQL Server, and a Web and interview machine running IIS, the Web Service, Interview Service, and Accessories Service.

Very large sites will probably have separate machines for each service except the Accessories Service. This will be installed on the machine running the Interview Service.

Generally, scriptwriters access the activities they require by connecting to Interviewer Server Administrator via their browsers. If your site has scriptwriters who work off-line and do not always have access to Interviewer Server Administrator, you can install the Scriptwriter Service on those machines, and the scriptwriters will be able to create, compile, and activate questionnaires using desktop activities.

Interviewer Server is flexible with regard to how the various machines are set up. It allows all machines to be in the same domain or workgroup, or you can have the database server in one domain with the machines running the other services in another domain.

Note: If you use more than one domain, the domains must trust one another. It is important that you consider carefully how your site will be configured before starting to install Interviewer Server, so that you install the correct services on each machine.

Related Topics

Interviewer Server Installation Information


Installations Using Disk Imaging or Terminal Services

Disk imaging,Disk imaging,Disk imaging
Terminal services,Terminal services,Terminal services

With the exception of the Operating System and Microsoft subcomponents, disk imaging installation techniques (such as those accomplished with Symantec's Ghost or PowerQuest's Drive Image) cannot be used for Interviewer Server servers. Interviewer Server has distinct configuration information on a per server basis, so imaging a server after installing Interviewer Server is not a viable option for multiple-server installations.

Interviewer Server cannot be installed using terminal services such as Citrix remote administration because, unless XP terminal services are used, the user that is logged on does not have rights to launch services as the interactive user. Interviewer Server can, however, be installed remotely using a program such as Remote Desktop.

Related Topics

Interviewer Server Installation Information


Installations onto a Domain Controller

Domain controller, installing onto,Domain controller, installing onto,Domain controller, installing onto

Installing Interviewer Server onto a domain controller is not recommended. There are known issues with .NET running on domain controllers and there may be an additional security risk if IIS runs on a domain controller that is accessible from the internet.

If there is no choice but to install onto a domain controller, you must take the following steps.

If you are installing onto a domain controller, and the scriptwriters who will be using the client installation are located in another domain, refer to Installation Procedures for further information.

Related Topics

Interviewer Server Installation Information


Installing from a Downloaded File

Product,Product,Product
Installing from downloaded file,Installing from downloaded file,Installing from downloaded file
Installing from downloaded file,Installing from downloaded file,Installing from downloaded file
downloaded file,downloaded file,downloaded file
Installing the product,Installing the product,Installing the product

You must run the installer as administrator:

Using Windows Explorer, browse to folder where you downloaded the file.

Right-click the downloaded file and choose Run as Administrator.

Follow the instructions that appear on the screen. See Post-Installation Checklist for Interviewer Server Installation for any special instructions.

Related Topics

Interviewer Server Installation Information


Pre-Installation Checklist for the Interviewer Server Installation Procedure

Before you install Interviewer Server you should check that any software required by Interviewer Server is installed and running. If the Interviewer Server installation procedure is unable to find an application, or that application is not running correctly, the Interviewer Server installation procedure will fail.

• Check that Internet Explorer 6.0 or 7.0 is installed on all machines.

• Check that each machine in a cluster can communicate with all other machines in the cluster.

• Check that DCOM is enabled on all machines.

• Check that SQL Server is running correctly on all machines that will host the Database Service.

• Check that IIS is running correctly on all machines that will host the Web, Interview, and/or the Accessories Service.

• Create a user for installing Interviewer Server. This user will be referred to as the Installing User in the rest of this document.

• Optionally, create a user for running the Interviewer Server services. This user will be referred to as the Running User in the rest of this document. You can use the Installing User as the Running User if you wish.

• Create a user that can be used for anonymous IIS access to Interviewer Server applications. This user will be referred to as the Anonymous Access User in the rest of this document.

• Create a group for Interviewer Server users. This group will be referred to as the PASW Data Collection Group in the rest of this document.

• Check that Everyone has full permissions to the \InetPub\wwwroot folder.

• If any machines that will be running Interviewer Server services are behind a firewall, you may need to open ports on the firewall so that Interviewer Server can function correctly.

• Make an image or back-up of all machines on which Interviewer Server software will be installed before you run the installation program.


Checking that Internet Explorer 6.0 or 7.0 is Installed

Internet Explorer 6.0/7.0,Internet Explorer 6.0/7.0,Internet Explorer 6.0/7.0
checking it is installed,checking it is installed,checking it is installed

Interviewer Server cannot be installed unless the machine(s) on which it is being installed are running Internet Explorer 6.0 or above. To check which version of Internet Explorer is installed, simply start the application. The splash screen reports the version number.

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure


Checking that Machines in a Cluster can Communicate with Each Other

Cluster,Cluster,Cluster
checking machines can communicate within,checking machines can communicate within,checking machines can communicate within

Each machine in a cluster must be able to communicate with all the other machines in the same cluster. The easiest way to verify this is to use ping. This program sends a short stream of data from one machine to another and waits for the receiving machine to return the data.

On each machine in turn, open a DOS window and type ping machine_name where machine_name is the name of one of the machines in the cluster.

If the machines can communicate, you will see several lines starting 'Reply from' appear on your screen as the pinged machine returns the signal. If the machines cannot communicate you will see the message 'Request timed out'.

Repeat this step for each other machine in the cluster.


Checking that DCOM is Enabled

DCOM,DCOM,DCOM
enabling,enabling,enabling

Carry out the following steps to check that DCOM is enabled.

From the Windows Start menu, choose Run.

Type dcomcnfg in the text box and click OK.

This opens the Component Services window.

In the left-hand frame, expand Component Services and then Computers.

Right-click My Computer and choose Properties.

This opens the My Computer Properties dialog box.

On the Default Properties tab, check that Enable Distributed COM on this computer is selected.

Click OK.

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure


Checking that SQL Server is Running Correctly

SQL,SQL,SQL
testing,testing,testing

The machines running the Interview Service need to be able to connect to the Database server. You can test that these connections work by creating a test DSN on each of the Interviewing machines in turn.

Open Control Panel and choose:

Administrative Tools
Data Sources (ODBC)

This opens the ODBC Data Source Administrator dialog box.

On the System DSN tab, click Add.

This opens the Create New Data Source dialog box.

Choose SQL Server and then click Finish.

This opens the Create a New Data Source to SQL Server dialog box.

In Name, type a name for the test DSN.

In Server, select the name of the Interviewer Server database server.

Click Next.

On the next two screens, just click Next.

On the following screen, click Finish.

This opens the ODBC Microsoft Server Setup dialog box.

Click Test Data Source.

The system checks that it can access the database using the DSN you have just created, and displays the results of the test. Normally the test will be successful, so click OK. If the test is not successful, you should make a note of any messages the system has displayed and then try to resolve the problem before trying to create a test DSN again.

Return to the ODBC Data Source Administrator dialog box. Select the test DSN you have just created and click Remove. Confirm your request when prompted to do so.

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure
Errors when attempting to ping machines in a cluster


Checking that IIS is Running Correctly

IIS,IIS,IIS
testing,testing,testing

Note: This is required on all machines that will host the Web, Interview, and/or the Accessories Service. IIS is not required on machines running just the Interview Service.

In Internet Explorer, type http://machine_name, where machine_name is the name of your local machine.

As long as your browser does not issue the message "Cannot find server or DNS Error" then IIS is running.

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure


Creating the Installing and Running Users

Installating User, creating,Installating User, creating,Installating User, creating
Running User, creating,Running User, creating,Running User, creating

If you are using Web Reports for Surveys or Reports for Surveys and Interviewer Server, you must use the same Installing User and Running User for all products.

Web Reports for Surveys and Reports for Surveys needs to be run by a user with the same rights as the installing user, who also has the 'Log on as a service' and 'Log on as a batch job' options set. Rather than using the standard Administrator account, we recommend creating a new user account that is used specifically for running Web Reports for Surveys or Reports for Surveys. This maintains any existing security that you have in place.

The notes that follow describe the process for a single machine installation. When installing on multiple machines, the domain administrator will need to create the Installing User and Running User so that they are valid for all machines in the domain. If you are using machines in different domains, the Installing User and Running User must be visible and trusted on all those domains. Both users must also have permission to create databases on the machine hosting the Database Service. If you are installing on machines within a workgroup, you must create the Installing User and Running User on all of machines in the workgroup on which you will install Web Reports for Surveys or Reports for Surveys. The passwords for these users must be the same on all the machines in the workgroup.

The Web Reports for Surveys and Reports for Surveys servers and services must be run by a user who is a member of the Administrators group. You can use the Installing User as the Running User if you wish, or you can create a separate account for the Running User.

To Create the Installing and Running Users and Set the Log On Options

Open Control Panel and choose:

Administrative Tools
Computer Management

This opens the Computer Management window.

Expand Local Users and Groups, right-click Users and choose New User.

This opens the New User dialog box.

Enter the details for the Installing User and click Create and then Close.

Note: Do not give the user a password that contains single or double quotation marks or a backslash as this will cause the installation to fail.

In the Tree frame, click Groups.

In the right-hand frame, right-click Administrators and choose Add to Group.

This opens the Administrator Properties dialog box.

Click Add.

This opens the Users or Groups dialog box.

In the list of names, choose the user name you have just created and click Add.

Click OK to close the Users or Groups dialog box.

Close the Computer Management window.

Open Control Panel and choose:

Administrative Tools
Local Security Policy

This opens the Local Security Settings window.

In the Tree frame, expand Local Policies and click User Rights Assignment.

In the right-hand frame, double-click Log on as a service. This allows the user to run services.

This opens the Log on as a service Properties dialog box.

Click Add.

In the list of names, choose the user name you created earlier and then click Add.

Click OK to close the Select Users or Groups dialog box.

Click OK again to return to the Local Security Settings window.

In the right-hand frame, double-click Log on as a batch job. This allows the user to run a service that itself starts another application or service.

This opens the Log on as a batch job Properties dialog box.

Click Add.

In the list of names, choose the user name you created earlier and then click Add.

Click OK to close the Select Users or Groups dialog box.

Click OK again to return to the Local Security Settings window.

Close the Local Security Settings window.

Open your SQL administration program and grant the Installing User SYSADMIN authority. For example, if you have SQL Enterprise Manager, or SQL Server Management Studio, the steps will be as follows:

• From the Windows Start menu choose:

Programs
Microsoft SQL Server
Enterprise Manager or SQL Server Management Studio

• Expand the tree in the left-hand frame until the contents of the Security node are visible for the Interviewer Server Database server, and select Server Roles.

• In the right-hand frame, double-click System Administrators or sysadmin.

This opens the Server Role Properties dialog box.

• Click Add.

• In the list of names, choose the user name you created earlier and then click OK.

• Click OK to close the Server Role Properties dialog box and then close Enterprise Manager/SQL Server Management Studio.

If you are installing on machines within a workgroup, repeat these steps on each machine in the workgroup that will run so that there are identical Installing and Running Users on each of those machines.

Note: Be sure to log in as the Installing User before you install Web Reports for Surveys or Reports for Surveys.

In This Section

Creating the users and the user group
Creating the Anonymous Access User
Creating the Web Reports for Surveys or Reports for Surveys Group


Creating the Anonymous Access User

Anonymous User, creating,Anonymous User, creating,Anonymous User, creating

Note: If you are installing Web Reports for Surveys or Reports for Surveys and Interviewer Server, you must use the same Anonymous Access User for all products.

must be run using the Anonymous IIS User account rather than the account of the user who started the application. We recommend that you create a new user specifically for this purpose. The Anonymous Access User must be a member of the group that you create for Web Reports for Surveys or Reports for Surveys users.

To Create the Anonymous Access User (Single Machine Installation)

Open Control Panel and choose:

Administrative Tools
Computer Management

This opens the Computer Management window.

Expand Local Users and Groups, right-click Users and choose New User.

This opens the New User dialog box.

Enter the user's details and click Create and then Close.

If you are installing on machines within a workgroup, repeat these steps on each machine in the workgroup that will run Web Reports for Surveys or Reports for Surveys so that identical Anonymous Access Users exist on each of those machines.

In This Section

Creating the users and the user group
Creating the Installing and Running Users
Creating the Web Reports for Surveys or Reports for Surveys Group


Creating the Web Reports for Surveys or Reports for Surveys Group

Group for users, creating,Group for users, creating,Group for users, creating

Note: If you are installing Web Reports for Surveys or Reports for Surveys and Interviewer Server, you must use the same Installing User, Running User, Anonymous Access User, and Group for all products.

The Web Reports for Surveys or Reports for Surveys Running User and Anonymous Access User must belong to a single group. The notes that follow describe the process for single machine installations. When installing on multiple machines, the domain administrator will need to create the group so that it is valid for all machines in the domain. For workgroup installations, the group must exist on all machines that will run Web Reports for Surveys or Reports for Surveys.

To Create a New Group (Single Machine Installation)

Open Control Panel and choose:

Administrative Tools
Computer Management

This opens the Computer Management window.

Expand Local Users and Groups, right-click Group and choose New Group.

This opens the New group dialog box.

Enter a name and description for the group and click Add.

This opens the Select Users or Groups dialog box.

Choose the users who will be part of the group and click Add.

Note: You must add the Installing User, the Running User and the Anonymous Access User to this group.

Click OK to close the Select Users or Groups dialog box.

Click Create and then Close.

In This Section

Creating the users and the user group
Creating the Installing and Running Users
Creating the Anonymous Access User


Giving Everyone Full Permissions on \InetPub\wwwroot

wwwroot,wwwroot,wwwroot
permissions for,permissions for,permissions for

The installation program requires that Everyone has full permissions on the \InetPub\wwwroot folder, and will fail if incorrect permissions are set. If necessary, set the appropriate permissions before installing Interviewer Server and then change them back again once the installation is complete.

Navigate to \InetPub, right-click wwwroot and select Properties.

On the wwwroot Properties dialog box, select the Security tab.

In "Group or user names" select Everyone and ensure that Full control is allowed in the Permissions frame. If Everyone does not appear in the list, add it and set the appropriate permission.

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure


Preparing to Run Interviewer Server Through a Firewall

Firewall,Firewall,Firewall
running Interviewer Server through,running Interviewer Server through,running Interviewer Server through
Firewall,Firewall,Firewall
ports needed,ports needed,ports needed

If you will be running Interviewer Server through a firewall certain ports on the firewall must be open.

Firewall Between the Internet and the Web Server

All communication between the browser and the Interviewer Server Web Server (mrIWeb) and between the browser and the Accessories server defaults to using HTTP on port 80. If your web site runs SSL or uses a different port number, you can specify this on the Internet Information Services (IIS) Configuration page during the installation procedure.

Firewall Between the Web Server and the Accessories Server

When the Web Server needs to communicate with the Accessories server in order to access the image cache, and there is a firewall between the two machines, communication normally takes place using HTTP over port 80. The firewall must allow traffic in both directions on this port. If your web site runs SSL or uses a different port number, you can specify this on the Internet Information Services (IIS) Configuration page during the installation procedure.

License Manager

The SPSS Inc. License Manager communicates over port 1759 to confirm licensing. Communication over this port must be allowed on the Interviewer Servers. You should open this port locally on each machine; there is no need to open it across servers.

Firewall Between the Web Server and the Interviewing Server

Communication between the Web Server (mrIWeb) and the Interviewer Server (mrIEng) usually takes place using SOAP over port 80. If your web site runs SSL or uses a different port number, you can specify this on the Internet Information Services (IIS) Configuration page during the installation procedure.

Firewall Between the Interviewer Server and the Data Server

Communication between the Interviewer Server and the Data Server takes place using TCP on port 1433.

If you have SQL running on a named instance, then the port number is dynamically assigned and could be something other than 1433. If you know which port number is being used, you should open this port rather than port 1433. If you do not know which port is being used (and for more information about named SQL instances in general) refer to http://groups.google.nl/groups?q=connecting+to+second+SQL+instance+through+firewall&hl=nl&lr=&selm=uGvOuCRGEHA.1988%40cpmsftngxa06.phx.gbl&rnum=1

Firewall Between the Interviewer Server and the Scriptwriter Services

Communication between a scriptwriter client and the primary DPM server takes place using TCP on port 65100. If you want to use a different port, you may set it in the registry key HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\MRPropertyManagement\2.0\Remoting\PortNo.

On machines running the DPM server, mrDPMServerService.exe uses port 65100 (local).

Firewall Between the DPM Servers in the Cluster

Communication between DPM servers in a cluster takes place using TCP on port 65100.

Related Topics

Ports Used by PASW Data Collection Products
Ports Needed for Domains
Creating a Hosts File for Running Interviewer Server Through a Firewall
Pre-Installation Checklist for the Interviewer Server Installation Procedure


Ports Used by PASW Data Collection Products

PASW Data Collection,PASW Data Collection,PASW Data Collection
ports needed for domains,ports needed for domains,ports needed for domains
ports,ports,ports
PASW Data Collection,PASW Data Collection,PASW Data Collection
Default TCP/UDP Ports | Product\Service | Notes
80 (HTTP) 443 (HTTPS) | All Web Services (Interviewer Server Web Server, Accessories Server) | If your web site runs SSL or uses a different port number, you can specify this on the Internet Information Services (IIS) Configuration page during the installation procedure.
1433 | SQL Server (Data Server) | If you have SQL running on a named instance, then the port number is dynamically assigned and could be something other than 1433.
1759 | SPSS Inc. License Manager | Communication over this port must be allowed on the Interviewer Servers
5080 | Professional(for debugging survey scripts) |
7000 | Dialer | Refer to your Dialer documentation for instructions on changing the default port.
65100 | .NET Remoting for Scriptwriter Services/DPM Servers | If you want to use a different port, you may set it in the registry key HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\MRPropertyManagement\2.0\Remoting\PortNo.

Related Topics

Preparing to Run Interviewer Server Through a Firewall
Ports Needed for Domains


Ports Needed for Domains

Firewall,Firewall,Firewall
ports needed for domains,ports needed for domains,ports needed for domains

The following ports must be open in order to establish a domain trust or secure channel across a firewall. If there are hosts that have both client and server roles on both sides of the firewall, you may need to mirror these rules.

Note: These lists were obtained from the Microsoft document How to Configure a Firewall for Domains and Trusts (Q179442) and have not been tested.

On Windows NT, the following ports must be open.

Client Port(s) | Server Port | Service
1024-65535/TCP | 135/TCP | RPC. Note: There are specific requirements for RPC communications beyond what is listed in the table. For additional information about configuring RPC communication for a firewall, refer to the Microsoft article Configuring RPC Dynamic Port Allocation to Work With a Firewall.
137/UDP | 137/UDP | NetBIOS Name
138/UDP | 138/UDP | NetBIOS Netlogon and Browsing
1024-65535/TCP | 139/TCP | NetBIOS Session
1024-65535/TCP | 42/TCP | WINS Replication

Related Topics

Preparing to Run Interviewer Server Through a Firewall
Ports Used by PASW Data Collection Products


Backing Up Your System

Backing up your system,Backing up your system,Backing up your system

It is recommended that you back up or make images of all machines on which you will be installing Interviewer Server software before you run the installation program. This ensures that you will be able to go back to your current setup should anything go wrong. It also means that it will be easier to add extra machines into the cluster at a later date.

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure


Installation Procedures

Configurations supported,Configurations supported,Configurations supported
Installation types,Installation types,Installation types

The installation procedure varies depending on whether you are installing Interviewer Server on a single machine or on more than one machine.

Single machine installation. When you want to install all of the services onto a single machine, you install from the CD-ROM. Note that the Database Service can be located either on the same machine as Interviewer Server or on a central server.

Multiple machine installation. A typical installation consists of the following steps:

• First, you log in on the Primary DPM server and run the installation from the CD-ROM to create a site preparation file that names the machines on which the various services will be installed, and to set up a central installation folder on the server that can be used by other machines in the cluster. When the installation program finishes, you need to share this folder manually.

• Then, for each of the machines named in the site preparation file, you run the installation from the central installation directory. During these installations, most of the dialog boxes are completed automatically using the information in the site preparation file.

• Finally, you use the client installation on the CD-ROM to install the Scriptwriter Service onto machines that are not named in the site preparation file.

The installation procedure supports the following configurations:

• All servers and scriptwriter machines in one domain
The installation procedure uses Domain\Running User, Domain\Anonymous User, and Domain\PASW Data Collection Group to set up the Interviewer Server services and the database access group.

• All servers and scriptwriter machines in one workgroup
The Running and Anonymous Access users and the PASW Data Collection group that you choose during the installation must exist on all servers (including the database server) and scriptwriter machines in the workgroup. The installation procedure uses LocalMachineName\Running User, LocalMachineName\Anonymous User, and LocalMachineName\PASW Data Collection Group to set up the Interviewer Server services, and DBMachineName\PASW Data Collection Group to set up the database access group.

• All servers except the database server in one domain and the database server in another domain
Domains must trust one another (that is, be bidirectional), so the users and group that you choose during the installation will be visible in both domains. The installation procedure uses Domain\Running User, Domain\Anonymous User, and Domain\PASW Data Collection Group to set up the Interviewer Server services.

• All servers in one domain and all scriptwriter machines in another domain, or domain controller installations with two domains
The domains must have a two-way trust or the server domain must trust the scriptwriter domain. The group that you choose during the installation procedure must exist on the server's domain, and must be created as a domain local group, not as the default global security group. The users from both domains must be added as members of this domain local group. Domain local groups are supported in a native-mode domain only, not in a mixed-mode domain. The installation procedure treats this type of installation like one or other of the previous domain-based installations.

• All servers in a workgroup and scriptwriter machines in a domain
The Running and Anonymous Users and PASW Data Collection Group must exist on all servers in the workgroup, and the scriptwriter domain user must be synchronized as a local user on the workgroup servers. The scriptwriter user must be added to the PASW Data Collection Group on the servers. The installation procedure uses LocalMachineName\Running User and LocalMachineName\PASW Data Collection Group to set up the Interviewer Server services, and DBMachineName\PASW Data Collection Group to set up the database access group.

Related Topics

Single Machine Installation
Cluster Installation
Interviewer Server Installation Information
Installations Using Disk Imaging or Terminal Services
Installations onto a Domain Controller


Installation Flowchart

installation,installation,installation
flowchart,flowchart,flowchart

This flowchart provides an overview of the questions you will be asked during the installation. Each box in the flowchart corresponds to a dialog box that is displayed by the installation program.


Single Machine Installation

Single machine installation,Single machine installation,Single machine installation

Log on as the Installing User.

Insert the CD-ROM into the CD-ROM drive.

Depending on your system configuration, the AutoPlay feature may detect and start the installation program when you insert the CD-ROM into the drive. If this does not happen, you can start the installation program manually, as follows:

• From the Windows Start menu, choose Run.

• In the Run dialog box, type d:\autoplay where d:\ is the CD-ROM drive.

This opens the Data Collection and Survey Visualization Server 5.6 Installer window.

From the Data Collection and Survey Visualization Server 5.6 Installer window, choose Install Data Collection and Survey Visualization Server 5.6.

This starts the Data Collection and Survey Visualization Server 5.6 Setup wizard.

On the Welcome screen, choose the type of license you have for Data Collection and Survey Visualization Server 5.6 and click Next. A single user license allows you to install Data Collection and Survey Visualization Server 5.6 applications on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization Server 5.6 applications on multiple computers for use by multiple users.

On the License Agreement screen, read the license agreement.

If you accept the agreement, click Yes.

On the Select Features page, select the Interviewer Server option and choose the appropriate services and utilities to be installed. Possible Interviewer Server options are as follows:

• Accessories Service. Installs the Accessories Service, including Interviewer Server Administrator.

• Interview Service. Installs the Interview Service.

• Web Service. Installs the Web Service.

• Load Tool. Installs the Load Tool utility.

• ScriptWriter Station. Installs the Scriptwriter Station utility.

Note: The services and utilities listed above are for use with the Interviewer Server. You can also choose to install other Data Collection and Survey Visualization Server applications.

Starting with the PASW Data Collection 5.6 release, all application names have changed. The application names map as follows:

Old Application Name | New Application Name
mrInterview | Interviewer Server
mrInterview CATI | Interviewer Phone
Remote Manager | Remote Administrator
mrTables | Web Reports for Surveys
Reporter | Reports for Surveys
Dimensions Component Pack | Reports for Surveys Components

Note: The Interviewer Server server license code covers the Web, Interview, and Accessories services, as well as the Load Tool and Scriptwriter Station utilities.

On the Machine Configuration page, choose Single Machine Install.

On the Cluster Settings page, enter a name for your PASW Data Collection site and click Next. The site name that you choose is displayed on the main Interviewer Server Administrator page and can be any name of your choice.

On the Interviewer Server User and Group page, enter information about the user and group that should be used for running the Interviewer Server services.

For each account, click Domain if it is a domain account and enter the domain name in the box. If the account is a workgroup account, click Workgroup.

In the Username, Password and Group boxes, enter the name and password of the Running User and the name of the PASW Data Collection Group. Click Next after entering the appropriate information.

Note: The names that you enter must be valid names for the domain or workgroup on which you will be installing.

On the Anonymous User page, enter the name and password of the Anonymous Access User that you created. Click Domain if this is a domain user account or Workgroup if this is a workgroup user account. Click Next after entering the appropriate information.

On the Database Setup page, enter the name of the database server on which you want to create the Interviewer ServerData database and click Next.

On the DPM User Admin Details page, enter a name and password for the Interviewer Server Administrator Administrator.

Note: This user name is simply for accessing the Distributed Property Management (DPM) database to perform administrative tasks such as setting up Interviewer Server Administrator users and roles, and managing access to Interviewer Server Administrator files and applications. It exists only in DPM. To avoid possible conflicts with other user names, the name that you choose should not match any existing NT user names on your system.

On the Email Settings page, enter the name and port number of your Email SMTP server. Alternatively, if you do not want to use the Email activity or do not have the required information at hand, click I want to configure my email settings later. In either case, click Next to move to the next page.

On the Internet Information Services (IIS) Configuration screen, the installation program detects any web sites available on the installation machine and displays them in the drop-down list box. If you want to use a Web site other than the default for your SPSS Inc. applications, select it from the drop-down list.

The default file location for the web site you have selected is displayed. If the installation program detects a folder called SPSSMR within the web site folder structure, you are prompted to install the files in this folder instead. If you want to install the files to a different location, click Browse and choose the folder you want to use.

If you are installing onto a machine running the Windows 2003 operating system, the Advanced button is available for advanced configuration of your chosen web site. This allows you to place Interviewer Server Administrator in its own application pool so each process can be split across multiple application pools The operating system places a 2 GB restriction on processes in IIS. Put simply, splitting a process across application pools means it is possible to run larger processes. Refer to your IIS documentation for general information about application pools. If you want to use application pools, proceed as follows:

• Click Advanced.

This opens the Advanced IIS Configuration screen.

• To place Interviewer Server Administrator in its own application pool, select Use "SPSSDimensionNetPool" application pool. If you want processes to recycle and/or shut down after specific number of minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the Interviewer Server Administrator process is recycled or shut down, anyone using Interviewer Server Administrator activities at that time will have to restart their session in order to continue working.

• To place Interviewer Server in its own application pool, select Use "SPSSmrInterviewPool" application pool. If you want processes to recycle and/or shut down after so many minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the application process is recycled or shut down, anyone using Interviewer Server activities at that time will have to restart their session in order to continue working.

• Click Apply.

On the Internet Information Services (IIS) Configuration screen, click Next when you are ready to continue.

Note: If you already installed Interviewer Server, the IIS configuration settings are automatically inherited, so the Internet Information Services Configuration screen will not appear.

On the Choose Destination Location page, choose the folder in which you want to install Interviewer Server. The default is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6. Click Next.

FMRoot,FMRoot,FMRoot
location,location,location

On the File Management Folder page, choose the location of the File Management root folder (FMRoot). This is the folder in which the master copies of project files created using Interviewer Server Administrator or the Scriptwriter desktop activities will be stored, and it is from here that the interviewing machines will make local copies of these files.

The File Management root folder must be shared so that it is accessible by other machines. If you choose a folder on your current machine, the installation procedure will create the share for you. If you choose a folder with a UNC pathname (that is, one that starts \\machine_name\...) this will be used as the shared folder. Click Next.

Note: You can create the File Management root folder on any machine as long as its share is visible to all machines running the Interviewing and Scriptwriter Services. The ideal location is a separate machine that acts as a file server rather than a machine running the Interviewing or Accessories service. This is because the File Management root folder is an integral part of most Interviewer Server Administrator and Interviewer Server functionality, and needs to be available all the time that Interviewer Server Administrator is running. If you install it on a machine that is running the Interviewing or Accessories service and you need to restart that machine, Interviewer Server Administrator becomes effectively unusable by anyone on any other machine until the service machine has restarted.

The Choose the location of Interviewer Server Project and Source files page allows you to specify the folder that you want to create for storing the project and source files that the Interview Services use for running interviews. When a scriptwriter activates a project, the activation program copies the questionnaire file and the templates into the Projects folder so that they are available for interviewing. The default project folder is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer. Click Next to continue.

FIPS 140-2,FIPS 140-2,FIPS 140-2

On the FIPS 140-2 Compliance page, select whether or not the installation will be configured for FIPS 140-2 compliance. FIPS 140-2 is a U.S. government computer security standard used to accredit cryptographic modules. Refer to the National Institute of Standards and Technology website for more information.

Configure for FIPS 140-2 Compliance. If your system is already configured to be FIPS 140-2 compliant prior to installation, the installation process will not let you deselect the Configure for FIPS 140-2 Compliance option. If you no do not want the installed applications to be FIPS 140-2 compliant, you must manually set a Windows System cryptography setting to disabled:

1. From the Windows Control panel, select:

Administrative Tools
Local Security Policy
Local Policies (located in the left panel)
Security Options (located in the left panel)
System cryptography: Use FIPS compliant algorithms... (located in the right panel)

2. Double-click the System cryptography: Use FIPS compliant algorithms... policy and select Disabled.

Refer to the National Institute of Standards and Technology website for more information regarding FIPS 140-2.

Note: When FIPS 140-2 is configured for Data Collection and Survey Visualization products, the applications adhere to the password protection security protocols that are defined on the Interviewer Server. For example, if the Interviewer Server is configured for MD5 security, the client-side applications will also use MD5 security for password protection, regardless of whether or not the Configure for FIPS 140-2 Compliance setting was selected during installation.

On the Concurrent Usage Setup page, enter the name of the machine on which the Sentinel License Manager software is installed.

The Start Copying Files page lists the services you have chosen to install and the name of the database server you have chosen to use. If these settings are correct, click Next. If not, click Back and step back through the pages to make the necessary changes.

During the installation process you may see a number of DOS windows open and close. This is expected behavior and can be ignored.

When all files have been copied onto your machine, you are asked whether you want to start the License Authorization Wizard to obtain licenses for your installation. Normally you should answer Yes to this question to license the installed applications. However, if you would prefer to license the applications later, click No.

Refer to Licensing Your Product for details of how to license your applications.

When the installation has finished, choose whether to restart your machine now or later and click Finish. If you want to run the post-installation steps straight away you must restart your machine now.

To complete the installation, you now need to perform the post-installation tasks.

Related Topics

Installation Procedures


Cluster Installation

Cluster installation,Cluster installation,Cluster installation

When you install onto more than one machine you typically follow these steps:

First, log in to the server that will host the Accessories Service and create a site preparation file . This file names the machines on which the various services will be installed, and sets up a central site preparation folder that can be used by other machines in the cluster. The installation procedure installs not only the services you choose for the machine you have logged in to but also the project management components. This machine becomes the Primary DPM server.

Secondly, on each of the machines named in the site preparation file, run the installation program from the site preparation folder. Always install onto your Accessories servers first, followed by all Interviewing servers, and finally all Web servers.

Finally, use the site preparation file to install the Scriptwriter Service onto machines that will be used only for scriptwriting tasks. If all scriptwriters use Author Professional for scriptwriting tasks, you can omit this step.

What's installed where?

Cluster installation,Cluster installation,Cluster installation
what software is installed on each server?,what software is installed on each server?,what software is installed on each server?
Software | Web Servers | Interviewing Servers | Accessories Servers | Database Servers | Scriptwriters' machines
Data Model | No | Yes | Yes | No | Yes
DPM | No | Yes | Yes | No | Yes (partial)
Interviewer Server Administrator and activities | No | No | Yes | No | No
Scriptwriter Station | No | No | No | No | Yes
Activate client component | No | No | Yes | No | Yes
Activate server component | No | Yes | Yes | No | No
Quota | No | Yes | Yes | No | Yes
Interviewing components | No | Yes | No | No | No
Web components | Yes | No | No | No | No
Image cache | Yes | No | Yes | No | No

Related Topics

Installation Procedures


Creating the Site Preparation File and Folder

Site preparation file/folder,Site preparation file/folder,Site preparation file/folder
creating,creating,creating

Note: The site preparation file must identify servers by name not by IP address. The names must be actual machine names and not domain names, aliases, or any other name. If the servers are not part of a domain you will need to create a hosts file on each server so that each IP address is associated with a name that you can use in the site preparation file. If you use IP addresses, you will not be able to enter the server license code when you use the site preparation file to install the Interviewer Server services on the servers.

Log on as the Installing User.

Insert the CD-ROM into the CD-ROM drive.

Depending on your system configuration, the AutoPlay feature may detect and start the installation program when you insert the CD-ROM into the drive. If this does not happen, you can start the installation program manually, as follows:

• From the Windows Start menu, choose Run.

• In the Run dialog box, type d:\autoplay where d:\ is the CD-ROM drive.

This opens the Data Collection and Survey Visualization Server 5.6 Installer window.

From the Data Collection and Survey Visualization Server 5.6 Installer window, choose Install Data Collection and Survey Visualization Server 5.6.

This starts the Data Collection and Survey Visualization Server 5.6 Setup wizard.

On the Welcome screen, choose the type of license you have for Data Collection and Survey Visualization Server 5.6 and click Next. A single user license allows you to install Data Collection and Survey Visualization Server 5.6 applications on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization Server 5.6 applications on multiple computers for use by multiple users.

On the License Agreement screen, read the license agreement.

If you accept the agreement, click Yes.

On the Select Features page, select the Interviewer Server option and choose the appropriate services and utilities to be installed. Possible Interviewer Server options are as follows:

• Accessories Service. Installs the Accessories Service, including Interviewer Server Administrator.

• Interview Service. Installs the Interview Service.

• Web Service. Installs the Web Service.

• Load Tool. Installs the Load Tool utility.

• ScriptWriter Station. Installs the Scriptwriter Station utility.

Note: The services and utilities listed above are for use with the Interviewer Server. You can also choose to install other Data Collection and Survey Visualization Server applications.

Starting with the PASW Data Collection 5.6 release, all application names have changed. The application names map as follows:

Old Application Name | New Application Name
mrInterview | Interviewer Server
mrInterview CATI | Interviewer Phone
Remote Manager | Remote Administrator
mrTables | Web Reports for Surveys
Reporter | Reports for Surveys
Dimensions Component Pack | Reports for Surveys Components

On the Machine Configuration page, choose Cluster Install.

On the Cluster Settings page, enter a name for your PASW Data Collection site and click Next. The site name that you choose is displayed on the main Interviewer Server Administrator page and can be any name of your choice.

On the Site Install Destination page, enter the name of the site preparation folder. The default is c:\mrInterviewSiteInstallation. Click Next.

Port number other than 80,Port number other than 80,Port number other than 80
SSL,SSL,SSL

On the Cluster Machines page, enter the names of the machines that will host the Interview, Web, and Accessories Services. You can also specify the Web Reports for Surveys and Reports for Surveys server names if you selected to also install the applications. The names must be machine names not domain names, aliases, IP addresses, or any other name. Lists of names must be separated with semicolons. If you want to communicate using a port other than the default port 80 or you want to use SSL for greater security, click Advanced and proceed as follows. Otherwise, click Next.

• When you click Advanced, the Advanced Cluster Configuration dialog box lists the names of the servers you specified on the previous page. For each server shown, enter the port number you want to use and, if you want to use SSL, check the SSL box. Your changes are saved automatically as soon as you make them.

• To enter specifications for a different server, select it from the appropriate drop-down list and then change the port number and/or SSL setting as necessary.

• Click Apply.

• On the Question dialog box, click Yes if all the URLs shown are correct or No if you want to make further changes.

• When you are ready to continue, click Next.

On the Cluster Server Selection page, choose the names of the machines that will run the Interviewing Web, Image Cache Web, and (if appropriate) Interviewer Phone services. Click Next.

On the PASW Data Collection User and Group page, enter the name and password of the Running User and the name of the PASW Data Collection Group. Click Next after entering the appropriate information.

Note: The names that you enter must be valid names for the domain or workgroup on which you are installing.

On the Anonymous User page, enter the name and password of the Anonymous Access User that you created. Click Domain if this is a domain user account or Workgroup if this is a workgroup user account. Click Next after entering the appropriate information.

FMRoot,FMRoot,FMRoot
location,location,location

On the File Management Folder page, choose the location of the File Management root folder (FMRoot). This is the folder in which the master copies of project files created using Interviewer Server Administrator or the Scriptwriter desktop activities will be stored, and it is from here that the interviewing machines will make local copies of these files.

The File Management root folder must be shared so that it is accessible by other machines. If you choose a folder on your current machine, the installation procedure will create the share for you. If you choose a folder with a UNC pathname (that is, one that starts \\machine_name\...) this will be used as the shared folder. Click Next.

Note: You can create the File Management root folder on any machine as long as its share is visible to all machines running the Interviewing and Scriptwriter Services. The ideal location is a separate machine that acts as a file server rather than a machine running the Interviewing or Accessories service. This is because the File Management root folder is an integral part of most Interviewer Server Administrator and Interviewer Server functionality, and needs to be available all the time that Interviewer Server Administrator is running. If you install it on a machine that is running the Interviewing or Accessories service and you need to restart that machine, Interviewer Server Administrator becomes effectively unusable by anyone on any other machine until the service machine has restarted.

On the Database Setup page, enter the name of the database server on which you want to create the Interviewer ServerData database and click Next.

On the DPM User Admin Details page, enter a name and password for the Interviewer Server Administrator Administrator.

Note: This user name is simply for accessing the Distributed Property Management (DPM) database to perform administrative tasks such as setting up Interviewer Server Administrator users and roles, and managing access to Interviewer Server Administrator files and applications. It exists only in DPM. To avoid possible conflicts with other user names, the name that you choose should not match any existing NT user names on your system.

On the Email Settings page, enter the name and port number of your Email SMTP server. Alternatively, if you do not want to use the Email activity or do not have the required information at hand, click I want to configure my email settings later. In either case, click Next to move to the next page.

On the Internet Information Services (IIS) Configuration screen, the installation program detects any web sites available on the installation machine and displays them in the drop-down list box. If you want to use a Web site other than the default for your SPSS Inc. applications, select it from the drop-down list.

The default file location for the web site you have selected is displayed. If the installation program detects a folder called SPSSMR within the web site folder structure, you are prompted to install the files in this folder instead. If you want to install the files to a different location, click Browse and choose the folder you want to use.

If you are installing onto a machine running the Windows 2003 operating system, the Advanced button is available for advanced configuration of your chosen web site. This allows you to place Interviewer Server Administrator in its own application pool so each process can be split across multiple application pools The operating system places a 2 GB restriction on processes in IIS. Put simply, splitting a process across application pools means it is possible to run larger processes. Refer to your IIS documentation for general information about application pools. If you want to use application pools, proceed as follows:

• Click Advanced.

This opens the Advanced IIS Configuration screen.

• To place Interviewer Server Administrator in its own application pool, select Use "SPSSDimensionNetPool" application pool. If you want processes to recycle and/or shut down after specific number of minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the Interviewer Server Administrator process is recycled or shut down, anyone using Interviewer Server Administrator activities at that time will have to restart their session in order to continue working.

• To place Interviewer Server in its own application pool, select Use "SPSSmrInterviewPool" application pool. If you want processes to recycle and/or shut down after so many minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the application process is recycled or shut down, anyone using Interviewer Server activities at that time will have to restart their session in order to continue working.

• Click Apply.

On the Internet Information Services (IIS) Configuration screen, click Next when you are ready to continue.

Note: If you already installed Interviewer Server, the IIS configuration settings are automatically inherited, so the Internet Information Services Configuration screen will not appear.

On the Choose Destination Location page, choose the folder in which you want to install Interviewer Server. The default is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6. Click Next.

FMRoot,FMRoot,FMRoot
location,location,location

On the File Management Folder page, choose the location of the File Management root folder (FMRoot). This is the folder in which the master copies of project files created using Interviewer Server Administrator or the Scriptwriter desktop activities will be stored, and it is from here that the interviewing machines will make local copies of these files.

The File Management root folder must be shared so that it is accessible by other machines. If you choose a folder on your current machine, the installation procedure will create the share for you. If you choose a folder with a UNC pathname (that is, one that starts \\machine_name\...) this will be used as the shared folder. Click Next.

Note: You can create the File Management root folder on any machine as long as its share is visible to all machines running the Interviewing and Scriptwriter Services. The ideal location is a separate machine that acts as a file server rather than a machine running the Interviewing or Accessories service. This is because the File Management root folder is an integral part of most Interviewer Server Administrator and Interviewer Server functionality, and needs to be available all the time that Interviewer Server Administrator is running. If you install it on a machine that is running the Interviewing or Accessories service and you need to restart that machine, Interviewer Server Administrator becomes effectively unusable by anyone on any other machine until the service machine has restarted.

The Choose the location of Interviewer Server Project and Source files page allows you to specify the folder that you want to create for storing the project and source files that the Interview Services use for running interviews. When a scriptwriter activates a project, the activation program copies the questionnaire file and the templates into the Projects folder so that they are available for interviewing. The default project folder is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer. Click Next to continue.

FIPS 140-2,FIPS 140-2,FIPS 140-2

On the FIPS 140-2 Compliance page, select whether or not the installation will be configured for FIPS 140-2 compliance. FIPS 140-2 is a U.S. government computer security standard used to accredit cryptographic modules. Refer to the National Institute of Standards and Technology website for more information.

Configure for FIPS 140-2 Compliance. If your system is already configured to be FIPS 140-2 compliant prior to installation, the installation process will not let you deselect the Configure for FIPS 140-2 Compliance option. If you no do not want the installed applications to be FIPS 140-2 compliant, you must manually set a Windows System cryptography setting to disabled:

1. From the Windows Control panel, select:

Administrative Tools
Local Security Policy
Local Policies (located in the left panel)
Security Options (located in the left panel)
System cryptography: Use FIPS compliant algorithms... (located in the right panel)

2. Double-click the System cryptography: Use FIPS compliant algorithms... policy and select Disabled.

Refer to the National Institute of Standards and Technology website for more information regarding FIPS 140-2.

Note: When FIPS 140-2 is configured for Data Collection and Survey Visualization products, the applications adhere to the password protection security protocols that are defined on the Interviewer Server. For example, if the Interviewer Server is configured for MD5 security, the client-side applications will also use MD5 security for password protection, regardless of whether or not the Configure for FIPS 140-2 Compliance setting was selected during installation.

On the Concurrent Usage Setup page, enter the name of the machine on which the Sentinel License Manager software is installed.

The Start Copying Files page displays the name of the folder in which the site preparation file will be created. If this is correct, click Next. If not, click Back and step back through the pages to make the necessary changes.

When all files have been copied onto your machine, you are asked whether you want to start the License Authorization Wizard to obtain licenses for your installation. Normally you should answer Yes to this question to license the installed applications. However, if you would prefer to license the applications later, click No.

Refer to Licensing Your Product for details of how to license your applications.

When the installation has finished, you need to share the mrInterviewSiteInstallation folder manually. To do this, proceed as follows.

• In Windows Explorer, browse to the mrInterviewSiteInstallation folder, right-click and choose Properties.

• On the Sharing tab, select Share this folder.

• Click Permissions and add the Installing User and the PASW Data Collection Group.

If the installation procedure prompted you to reboot and you chose not to do so at that point, reboot now.

Related Topics

Installing the Interviewer Server Services on each Machine Named in the Site Preparation File
Cluster Installation


Installing the Interviewer Server Services on each Machine Named in the Site Preparation File

Site preparation file/folder,Site preparation file/folder,Site preparation file/folder
installing services from,installing services from,installing services from

The first machine on which you install Interviewer Server must be one that runs the Accessories Service. We recommend that you install in the following order: all Accessories servers, all Interview servers, all Web servers.

Log on as the Installing User.

In Windows Explorer, browse to the network directory in which the site preparation file was created.

Double-click the AutoPlay file (autoplay.exe).

This opens the Data Collection and Survey Visualization Server 5.6 Installer window.

From the Data Collection and Survey Visualization Server 5.6 Installer window, choose Install Data Collection and Survey Visualization Server 5.6.

This starts the Data Collection and Survey Visualization Server 5.6 Setup wizard.

On the Welcome screen, choose the type of license you have for Data Collection and Survey Visualization Server 5.6 and click Next. A single user license allows you to install Data Collection and Survey Visualization Server 5.6 applications on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization Server 5.6 applications on multiple computers for use by multiple users.

On the License Agreement screen, read the license agreement.

If you accept the agreement, click Yes.

On the Select Features page, choose the services and utilities to be installed, and then click Next. If you are installing onto a machine that will be running the Accessories Service and you want to use the Interviewer Phone and/or Remote Administrator, select those options as well. Click Next after selecting the appropriate options.

The Permissions Settings page opens showing the names of the Running User and the PASW Data Collection Group specified in the site preparation file. Enter the password for the Running User and click Next.

The Anonymous User page opens showing the name of the Anonymous User specified in the site preparation file. Enter the password for the Anonymous User and click Next.

On the DPM User Admin Details page, enter the user name and password for the Interviewer Server Administrator Administrator that you specified when creating the site preparation file.

On the Internet Information Services (IIS) Configuration screen, the installation program detects any web sites available on the installation machine and displays them in the drop-down list box. If you want to use a Web site other than the default for your SPSS Inc. applications, select it from the drop-down list.

The default file location for the web site you have selected is displayed. If the installation program detects a folder called SPSSMR within the web site folder structure, you are prompted to install the files in this folder instead. If you want to install the files to a different location, click Browse and choose the folder you want to use.

If you are installing onto a machine running the Windows 2003 operating system, the Advanced button is available for advanced configuration of your chosen web site. This allows you to place Interviewer Server Administrator in its own application pool so each process can be split across multiple application pools The operating system places a 2 GB restriction on processes in IIS. Put simply, splitting a process across application pools means it is possible to run larger processes. Refer to your IIS documentation for general information about application pools. If you want to use application pools, proceed as follows:

• Click Advanced.

This opens the Advanced IIS Configuration screen.

• To place Interviewer Server Administrator in its own application pool, select Use "SPSSDimensionNetPool" application pool. If you want processes to recycle and/or shut down after specific number of minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the Interviewer Server Administrator process is recycled or shut down, anyone using Interviewer Server Administrator activities at that time will have to restart their session in order to continue working.

• To place Interviewer Server in its own application pool, select Use "SPSSmrInterviewPool" application pool. If you want processes to recycle and/or shut down after so many minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the application process is recycled or shut down, anyone using Interviewer Server activities at that time will have to restart their session in order to continue working.

• Click Apply.

On the Internet Information Services (IIS) Configuration screen, click Next when you are ready to continue.

Note: If you already installed Interviewer Server, the IIS configuration settings are automatically inherited, so the Internet Information Services Configuration screen will not appear.

Note: The Internet Information Services Configuration page appears only if the machine you are installing on is an Accessories server.

On the Choose Destination Location page, choose the folder in which you want to install Interviewer Server. The default is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6. Click Next.

FMRoot,FMRoot,FMRoot
location,location,location

On the File Management Folder page, choose the location of the File Management root folder (FMRoot). This is the folder in which the master copies of project files created using Interviewer Server Administrator or the Scriptwriter desktop activities will be stored, and it is from here that the interviewing machines will make local copies of these files.

The File Management root folder must be shared so that it is accessible by other machines. If you choose a folder on your current machine, the installation procedure will create the share for you. If you choose a folder with a UNC pathname (that is, one that starts \\machine_name\...) this will be used as the shared folder. Click Next.

Note: You can create the File Management root folder on any machine as long as its share is visible to all machines running the Interviewing and Scriptwriter Services. The ideal location is a separate machine that acts as a file server rather than a machine running the Interviewing or Accessories service. This is because the File Management root folder is an integral part of most Interviewer Server Administrator and Interviewer Server functionality, and needs to be available all the time that Interviewer Server Administrator is running. If you install it on a machine that is running the Interviewing or Accessories service and you need to restart that machine, Interviewer Server Administrator becomes effectively unusable by anyone on any other machine until the service machine has restarted.

The Choose the location of Interviewer Server Project and Source files page allows you to specify the folder that you want to create for storing the project and source files that the Interview Services use for running interviews. When a scriptwriter activates a project, the activation program copies the questionnaire file and the templates into the Projects folder so that they are available for interviewing. The default project folder is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer. Click Next to continue.

FIPS 140-2,FIPS 140-2,FIPS 140-2

On the FIPS 140-2 Compliance page, select whether or not the installation will be configured for FIPS 140-2 compliance. FIPS 140-2 is a U.S. government computer security standard used to accredit cryptographic modules. Refer to the National Institute of Standards and Technology website for more information.

Configure for FIPS 140-2 Compliance. If your system is already configured to be FIPS 140-2 compliant prior to installation, the installation process will not let you deselect the Configure for FIPS 140-2 Compliance option. If you no do not want the installed applications to be FIPS 140-2 compliant, you must manually set a Windows System cryptography setting to disabled:

1. From the Windows Control panel, select:

Administrative Tools
Local Security Policy
Local Policies (located in the left panel)
Security Options (located in the left panel)
System cryptography: Use FIPS compliant algorithms... (located in the right panel)

2. Double-click the System cryptography: Use FIPS compliant algorithms... policy and select Disabled.

Refer to the National Institute of Standards and Technology website for more information regarding FIPS 140-2.

Note: When FIPS 140-2 is configured for Data Collection and Survey Visualization products, the applications adhere to the password protection security protocols that are defined on the Interviewer Server. For example, if the Interviewer Server is configured for MD5 security, the client-side applications will also use MD5 security for password protection, regardless of whether or not the Configure for FIPS 140-2 Compliance setting was selected during installation.

On the Concurrent Usage Setup page, enter the name of the machine on which the Sentinel License Manager software is installed.

The Start Copying Files page displays details about what will be installed and where. If this is correct, click Next. If not, click Back and step back through the pages to make the necessary changes.

When all files have been copied onto your machine, you are asked whether you want to start the License Authorization Wizard to obtain licenses for your installation. Normally you should answer Yes to this question to license the installed applications. However, if you would prefer to license the applications later, click No.

Refer to Licensing Your Product for details of how to license your applications.

Reboot the computer if prompted to do so.

Perform the post-installation tasks.

Related Topics

Installing the Scriptwriter Station Utility
Cluster Installation


Installing the Scriptwriter Station Utility

Scriptwriter Station,Scriptwriter Station,Scriptwriter Station
installing,installing,installing

You may need to install the Scriptwriter Station utility onto one or more separate machines that are not named in the site preparation file. This is normally required only where there are scriptwriters who cannot access Interviewer Server Administrator via their browser.

Log on as the Installing User.

In Windows Explorer, browse to the network directory in which the site preparation file was created.

Double-click the AutoPlay file (autoplay.exe).

This opens the Data Collection and Survey Visualization Server 5.6 Installer window.

From the Data Collection and Survey Visualization Server 5.6 Installer window, choose Install Data Collection and Survey Visualization Server 5.6.

This starts the Data Collection and Survey Visualization Server 5.6 Setup wizard.

On the Welcome screen, choose the type of license you have for Data Collection and Survey Visualization Server 5.6 and click Next. A single user license allows you to install Data Collection and Survey Visualization Server 5.6 applications on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization Server 5.6 applications on multiple computers for use by multiple users.

On the License Agreement screen, read the license agreement.

If you accept the agreement, click Yes.

On the Select Features page, select Scriptwriter Station and click Next.

On the Choose Destination Location page, choose the folder in which you want to install ScriptWriter Station. The default is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6. Click Next.

On the Concurrent Usage Setup page, enter the name of the machine on which the Sentinel License Manager software is installed.

When all files have been copied onto your machine, you are asked whether you want to start the License Authorization Wizard to obtain licenses for your installation. Normally you should answer Yes to this question to license the installed applications. However, if you would prefer to license the applications later, click No.

Refer to Licensing Your Product for details of how to license your applications.

When the installation has finished, click Finish.

Related Topics

Cluster Installation


Single Sign-on in a Cluster Environment

cluster,cluster,cluster
single sign-on,single sign-on,single sign-on
single sign-on,single sign-on,single sign-on
cluster,cluster,cluster

A single sign-on implementation for clustered environments improves user and role administration. The single sign-on implementation is required when signing onto a cluster results in the user signing onto all of the cluster's Interviewer Server Administrator instances. Cluster single sign-on allows a Interviewer Server Administrator user to perform activities on each clustered Interviewer Server Administrator server without signing onto each server.

A clustered server installation is configured for single sign-on as follows:

The activity instance that provides the best performance is selected.

• For each activity in a cluster environment, the installed instance information is saved under [Server/Application/ApplicationSettings].

• The property MultiInstance is used to determine whether each activity utilizes the web load balancing feature. In DPM Explorer, MultiInstance should be configured as True (even when there is only one instance) for the Interviewer Server, Web Reports for Surveys and Reports for Surveys activities, as these application activities are accessed from a different server.

• Interviewer Server Administrator load balance selects the instance that exhibits the best performance. Refer to the Interviewer Server Administrator Load Balancing topic in the Data Collection Developer Library for more information.

The server that hosts the activity instance is logged into.

If a user request is redirected to the activity on a different server, the username and ticket are appended as form parameters. Depending on the username and ticket, httpModules SingleSignOnModule handles the creation of the ASP.NET authentication ticket.

The activity instance is exited.

Upon exiting an activity, httpHandlers EndApplication signs-out the ASP.NET authentication ticket.

The Interviewer Server Administrator session is logged off.

When a user logs out of Interviewer Server Administrator, the ASP.NET authentication cookie is cleared and the DPM ticket is deleted from the DPM data base.

Related Topics

Cluster Installation


Web Reports for Surveys and Reports for Surveys Post-Installation Tasks

After you install Web Reports for Surveys or Reports for Surveys there are a number of tasks you may need to perform to ensure all components are able to function correctly. Full details of these tasks are given below under separate headings.

• Install Sentinel License Manager (if necessary) and activate your concurrent licenses.

• Users who have a license for Microsoft Office Web Components (OWC) can use the charting feature in Web Reports for Surveys or Reports for Surveys. Access to charting is disabled by default. To enable access for licensed users, see Enabling Charts in the Phone Reports Activity.

• Set up users and roles in Interviewer Server Administrator and assign roles to Interviewer Server Administrator activities.

• For Windows XP Service Pack 2, or if running Web Reports for Surveys or Reports for Surveys through a firewall, add the ASP.NET account to the Launch permissions on LogBck02.

• For Windows XP Service Pack 2 only, open port 80 on the firewall if remote connections are required for this machine.

• Check Internet Explorer settings.

• If you have installed onto a machine on which Professional is installed, addProfessional users to the PASW Data Collection group so they have access to the log file folder.

• Start mrUserAdminServer and mrDPMServer3 if they are not already running.

• Set up projects in Interviewer Server Administrator.

• Optionally, install the Data Collection Developer Library.

Web Reports for Surveys-specific tasks

• If you install Web Reports for Surveys on more than one machine, you need to set up load balancing.

• If you are using load balancing, set up a shared variable cache folder.

• If using IIS 6.0 and Windows 2003, you can optionally configure Web Reports for Surveys and Interviewer Server Administrator to use multiple worker processes and set up load balancing between the processes.

• If required, set up Web Reports for Surveys to reject new sessions when the server is busy.

• If using SSL, configure your browser to save encrypted pages to disk.

In This Section

Setting Up Web Reports for Surveys or Reports for Surveys Projects in Interviewer Server Administrator

Related Topics

Web Reports for Surveys and Reports for Surveys Installation Scenarios
Maintenance Checklist


Adding DCOM Permissions for Scriptwriters to LogBckO2

Scriptwriter stations,Scriptwriter stations,Scriptwriter stations
DCOM permissions for LogBckO2,DCOM permissions for LogBckO2,DCOM permissions for LogBckO2
LogBckO2,LogBckO2,LogBckO2
DCOM permissions on scriptwriters' machines,DCOM permissions on scriptwriters' machines,DCOM permissions on scriptwriters' machines
Quota control,Quota control,Quota control
access problems on scriptwriters' machines,access problems on scriptwriters' machines,access problems on scriptwriters' machines

If you have installed the Scriptwriter Service onto individual scriptwriters' machines, and those scriptwriters will be logging in to Scriptwriter Station using an account other than that of the installing user, you should add DCOM permissions for the machine's Users group to LogBckO2. This will prevent access problems if the scriptwriter works on projects that use quota control.

From the Windows Start menu, choose Run.

Type dcomcnfg in the text box and click OK.

In the left-hand frame expand the display to show the following hierarchy: Component Services > Computers > My Computer > DCOM Config.

In the left-hand frame, right-click LogBck02 and select Properties.

This opens the LogBckO2 Properties dialog box.

Select the Security tab.

In the Access Permissions frame click Edit.

This opens the Launch Permissions dialog box.

Click Add.

This opens the Select Users, Computers or Groups dialog box.

In "Enter the object names to select", type MachineName\Users, where MachineName is the name of the scriptwriter's machine.

Click OK to save the change and then close dcomcnfg.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Enabling Charts in the Phone Reports Activity

Phone Reports,Phone Reports,Phone Reports
enabling charts,enabling charts,enabling charts
Charts,Charts,Charts
enabling in Phone Reports,enabling in Phone Reports,enabling in Phone Reports

The charting feature in Interviewer Server Administrator is disabled by default. Before enabling this feature for any user it is your responsibility to verify that the said user is appropriately licensed for MS Office Web Components (OWC). Check your MS OWC license agreement or EULA.

To enable the charting feature, you need to carry out the following steps:

1. Run the Chart Configuration program that is installed with PASW® Data Collection and Survey Visualization 5.6.

2. Enable access to charts for users and roles.

Running the Chart Configuration Program

Use Windows Explorer to locate the executable file ChartConfiguration.exe. By default, this is installed in [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server Administrator.

Double-click the file name to run the program, then check the Display Charts in Interviewer Server Administrator box and click OK.

Enabling Access to Charting for Users and Roles

After running the chart configuration program, you can enable access to charting for users in a particular role, so that only correctly licensed users are able to access it. You may find that you need to create a separate role for these users. See the topic Adding Roles for more information.

In Interviewer Server Administrator, choose

Tools
User Administration

The User Administration activity starts.

In the left frame, click Activities.

Depending on the application, expand the Phone, Reports for Surveys, or Web Reports for Surveys activity, then expand the Features option.

Select the Can display charts feature.

A frame appears on the right of the page listing the roles currently assigned to this feature.

Click Add/Remove.

This opens the Add Role dialog box.

Choose the roles you want to assign to the feature and click OK.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Enabling Pop-ups and File Downloads

Pop-up and file download blocker,Pop-up and file download blocker,Pop-up and file download blocker

If the browser that is running Interviewer Server Administrator and Interviewer Server has pop-up blockers or restrictions on downloading files, users will encounter problems with activities that make use of these features. In order for Interviewer Server to work as intended pop-ups and file downloads should be enabled.

Enabling Pop-ups

In Internet Explorer, select:

Tools
Pop-up blocker
Pop-up blocker settings

Add the name of the machine that is running Interviewer Server to the settings.

Enabling File Downloads

Follow the instructions that the browser provides the first time it is unable to download a file. The changes made at this point enable all subsequent file downloads in Interviewer Server.

For example, when a user runs Export Data and chooses to download the exported data onto his/her computer, the export process will run but will display a message in the browser's information bar saying that Internet Explorer has blocked the site from downloading files onto the computer. To allow file downloads, the user should click on the location indicated in the message to display options for enabling downloads.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Things You Must Do

• Activate your site's concurrent licenses

• If the image cache is installed on a machine with only the Web Service installed and that machine is outside the firewall, configure the image cache as remote

• Set up users and roles in Interviewer Server Administrator

• On Accessories servers running Windows XP Service Pack 2, add the ASPNET account to the Launch permissions on LogBck02

• If you have installed onto a machine on which Professional is installed, add Professional users to the PASW Data Collection group on that machine so that they have access to the log file folder

• If you have installed the Web Service on machines that have multiple IP addresses and web sites configured for each IP address, replace the Web Service machine names with IP addresses in DPM and reregister the Interview Service machines

• If you have Web servers that are accessed through the internet, replace the machine name in certain URLs with the fully qualified machine name

• If your site uses SSL, cancel the requirement for mrIEngWS to use a secure channel


Activating Concurrent Licenses

Concurrent licenses,Concurrent licenses,Concurrent licenses
activating,activating,activating
Activating concurrent licenses,Activating concurrent licenses,Activating concurrent licenses

Concurrent licensing limits the number of interviews that can run and the number of people who can use the installed Data Collection and Survey Visualization Server applications at the same time. Data Collection and Survey Visualization Server applications use the Sentinel License Manager application to keep track of how many licenses you have and how many interviews and application sessions are currently in progress.

To activate your concurrent usage licenses, proceed as follows.

Open a command prompt.

Change directory to C:\Program Files\Common Files\SafeNet Sentinel\Sentinel RMS License Manager\WinNT.

Type licenseactivator.exe authorization_code where authorization_code is the concurrent license code you received from SPSS Inc.. If you have more than one code, you may either list them one after the other, separated by colons, or you may repeat the command for each code individually.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Setting Up the Image Cache on Web Service Machines without Direct Access to FMRoot

Image cache,Image cache,Image cache
Web Service machines without direct access to FMRoot,Web Service machines without direct access to FMRoot,Web Service machines without direct access to FMRoot

When the Web server cannot access FMRoot you need to configure the Web server's image cache application to connect to the Accessories server's image cache application, which in turn goes to the FMRoot folder and selects images from the project folders. Perform the following steps on all machines running the Web Service:

On each Web Service machine, open Windows Explorer and browse to \InetPub\wwwroot\SPSSMR\ImageCache.

Remove the Read-Only properties on the Web.config file and then open the file.

In the <appSettings> section, locate the line that defines the BASE_LOCATION key and change the key's value so that it points to the Accessories server:

<add key"BASE_LOCATION" value="http://AccServer/SPSSMR/ImageCache/ImageCache.aspx">

Locate the line <add key="IS_REMOTE" value="false"/> and change the value from false to true.

Save and close the file.

Depending on the way your system is configured, you may also need to change some settings in Web.config in [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb. The file contains two settings to do with the Image Cache.

ImageCacheURL. Defines the URL that the respondent's browser will use to reference the image cache on the Web tier.

<appSettings>
   <add key="ImageCacheURL" value="http://WebServer/SPSSMR/ImageCache/ImageCache.aspx"/>
</appSettings>

This URL needs to be accessible from a machine outside the Web tier — that is, on a machine other than the one on which respondents will take surveys. You can test this by opening a browser on a machine that represents your respondents' machines and accessing this URL.

LocalImageCacheURL. Used only if the local machine cannot access the ImageCacheURL when run locally.

<appSettings>
   <add key="LocalImageCacheURL" value="http://localhost/SPSSMR/ImageCache/ImageCache.aspx"/>
</appSettings>

The LocalImageCacheURL must be accessible from the local machine. You can test this by opening a browser on the Web server and accessing the URL. If the URL set by the installer cannot be accessed from the local machine you may need to replace the machine name with a fully qualified domain name or an IP address.

Browse to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb.

Remove the Read-Only properties on the Web.config file and then open the file.

Make whatever changes are necessary to ImageCacheURL and LocalImageCacheURL.

Save and close the file.

Stop and restart IIS to implement the changes. If you are running Windows 2003, you can stop and restart the Interviewer Server application pool (usually SPSSmrInterviewPool) rather than restarting IIS if you prefer. This has the advantage of not affecting any other applications that may be using IIS.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Setting Up Interviewer Server Administrator Users, Roles, and Permissions

Users,Users,Users
adding to Interviewer Server Administrator,adding to Interviewer Server Administrator,adding to Interviewer Server Administrator
Roles,Roles,Roles
adding to Interviewer Server Administrator,adding to Interviewer Server Administrator,adding to Interviewer Server Administrator

Users and roles are part of the Interviewer Server Administrator security system. Every Interviewer Server Administrator user has a unique user name and password, plus a personal working directory within the FMRoot\Users directory. Roles are a means of grouping users according to the activities they will use. For example, you might create a Scriptwriting role for users who need access to questionnaire design and building activities, and an Analysis role for users who need access to the activities that generate tables and export data. You might also create an Analysis role for users who need access to the applications that generate tables and export data.

The installation procedure creates one administrator with a name and password of your choice and places that user in the DPMAdmins role.

In addition, three further roles are created when you install Web Reports for Surveys: TabulationFullAccess, TabulationMediumAccess, and TabulationMinimumAccess. Each role is set up with the appropriate Interviewer Server Administrator activities and features. You can attach users to these roles if required, or use them as a basis for creating your own roles. For details of the activities and features assigned to each role, see the Access Levels in Web Reports for Surveys topic in the Web Reports for Surveys Technical Documentation section of the Data Collection Developer Library.

Before you can add users and roles and set permissions, you need to start Interviewer Server Administrator.

Open your browser and go to http://machine_name/SPSSMR/DimensionNet/default.aspx.

On the Interviewer Server Administrator login screen, enter the name and password for the user you specified as the Interviewer Server Administrator administration user during installation and click Login.

This opens the main Interviewer Server Administrator screen.

Related Topics

Adding UsersAdding Users
Adding RolesAdding Roles
Assigning Activities to RolesAssigning Activities to Roles
Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Adding Users

Users,Users,Users
adding to Interviewer Server Administrator,adding to Interviewer Server Administrator,adding to Interviewer Server Administrator

In Interviewer Server Administrator, choose

Tools
User Administration

The User Administration activity starts.

Click Users.

A list of current user names appears on the right of the screen.

On the right of the screen, click New User....

This opens the PASW User Administration dialog box.

Complete the fields in the dialog box and click OK to create the new account.

Related Topics

Adding RolesAdding Roles
Assigning Activities to RolesAssigning Activities to Roles
Setting Up Interviewer Server Administrator Users, Roles, and PermissionsSetting Up Interviewer Server Administrator Users, Roles, and Permissions


Adding Roles

Roles,Roles,Roles
adding to Interviewer Server Administrator,adding to Interviewer Server Administrator,adding to Interviewer Server Administrator

In Interviewer Server Administrator, choose

Tools
User Administration

The User Administration activity starts.

Click Roles.

A list of current role names appears on the right of the screen.

In this frame click New Role....

This opens the PASW User Administration dialog box.

Complete the fields in the dialog box and click OK.

In the Add User\Project\Activity dialog box, select the users who will be members of this role.

Click OK to create the role with the selected users as members.

Related Topics

Adding UsersAdding Users
Assigning Activities to RolesAssigning Activities to Roles
Setting Up Interviewer Server Administrator Users, Roles, and PermissionsSetting Up Interviewer Server Administrator Users, Roles, and Permissions


Assigning Activities to Roles

Roles,Roles,Roles
assigning activities to,assigning activities to,assigning activities to
Activities,Activities,Activities
assigning roles to,assigning roles to,assigning roles to

Once you create users and roles, you can decide which roles may use each activity.

Some features of some activities have their own security settings. For example, while all users may be able to run an activity, you may be able to restrict access to certain features within the activity to a subset of users. When you assign activities to roles, you are prompted to specify which activity features should be available to role members.

When you assign activities to roles, always check whether the activity has security controlled features and consider who needs access to these features. The default may be that no one except administrators have access (which is probably not what you want). You may find that you need to create a separate role for these users.

In Interviewer Server Administrator, choose

Tools
User Administration

The User Administration activity starts.

Click Activities.

Select an activity from the Activities tree.

Click the Roles tab on the right of the page. The tab lists the roles currently assigned to the selected activity.

Click Add/Remove.

This opens the Add Role dialog box.

Choose the roles you want to assign to this activity and click OK.

If the activity has features, a second dialog box is displayed. Select the features that should be accessible to the roles you have just added.

Click OK to assign the features to the role.

Related Topics

Adding UsersAdding Users
Adding RolesAdding Roles
Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Adding the ASPNET Account to the Launch Permissions on LogBck02

LogBck02,LogBck02,LogBck02
adding ASPNET account to,adding ASPNET account to,adding ASPNET account to

This task applies only to Accessories servers that are running Windows XP Service Pack 2.

From the Windows Start menu, choose Run.

Type dcomcnfg in the text box and click OK.

In the left-hand frame, expand the display to show the following hierarchy:

Component Services
Computers
My Computer
DCOM Config

In the left-hand frame, right-click LogBck02 and select Properties.

This opens the LogBckO2 Properties dialog box.

Select the Security tab.

In the Launch and Activation Permissions frame click Edit.

This opens the Launch Permissions dialog box.

Click Add.

This opens the Select Users or Groups dialog box.

Click Locations, and change the location to be your local machine. Then click OK.

Add ASPNET, and click OK.

In the Launch Permissions window, verify that Local Launch and Local Activation are allowed for the ASPNET user and set them if they are not.

Close dcomcnfg.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Adding Professional Users to the PASW Data Collection Group

PASW Data Collection group,PASW Data Collection group,PASW Data Collection group
adding Professional users to,adding Professional users to,adding Professional users to
Professional users,Professional users,Professional users
adding to PASW Data Collection group,adding to PASW Data Collection group,adding to PASW Data Collection group

Interviewer Server Administrator and all the activities that run within it write log files to the folders named in the Directory setting in HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\DimensionNet\Log and \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Log in the registry. The default for both keys is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server Administrator\Logs. PASW Data Collection desktop applications such as Professional usually write their log files elsewhere.

If you install a mixture of Interviewer Server Administrator and desktop applications on a machine, it makes sense to have all the log files written to the same location, and the Interviewer Server Administrator Logs folder becomes the central location for all log files. The product installation programs deal with this automatically, but there may be times when you need to make some additional changes.

Any user who is a member of the PASW Data Collection group has permissions to write to files in the Logs folder. All Interviewer Server Administrator activities are run by the anonymous user. The anonymous user is a member of the PASW Data Collection group and therefore log messages can be written by all Interviewer Server Administrator activities. Desktop application users (for example, users of Professional or the Interviewer Server Scriptwriter Station) are not necessarily members of this group and may not have permission to write to the Logs folder. Therefore, you may sometimes need to add desktop users to the PASW Data Collection group. There are two situations when you will need to do this:

• You install Interviewer Server, Web Reports for Surveys, or Reports for Surveys onto a machine that already has Professional or just the Scriptwriter Station installed. The installation procedure modifies the registry so that log files for all PASW Data Collection products go to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server Administrator\Logs.

• You install Professional or just the Scriptwriter Station onto a machine that already has Interviewer Server, Web Reports for Surveys, or Reports for Surveys installed. Since the Interviewer Server Administrator Logs folder is already set as the logging folder, the application's installation program does not change the registry settings.

Follow these steps to add a user to the PASW Data Collection group on machines on which Professional is installed:

Open Control Panel and choose:

Administrative Tools
Computer Management

This opens the Computer Management window.

Expand Local Users and Groups, click Groups.

In the right-hand frame, right-click the PASW Data Collection group that you created for installing Interviewer Server and choose Add to Group.

This opens the group's Properties dialog box.

Click Add.

This opens the Users or Groups dialog box.

In the list of names, choose the names of the users you want to add to the group and click Add.

Click OK to close the Users or Groups dialog box.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Changes for Machines with Multiple IP Addresses

Machines with multiple IP addresses,Machines with multiple IP addresses,Machines with multiple IP addresses
Web sites configured for machines with multiple IP addresses,Web sites configured for machines with multiple IP addresses,Web sites configured for machines with multiple IP addresses

If you have installed the Web Service onto a machine with multiple IP addresses and have web sites set up for each IP address, you must update the project management database so that it refers to the IP addresses of the Interviewer Server Web sites rather than the names of the machines on which the Web Service is installed. The recommended way to do this is to use DPM Explorer, which is installed as part of the Data Collection Developer Library.

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\Code\Tools\VB.Net\DPMExplorer.Net and double click DPMExplorer.exe.

In the left-hand frame of the DPM Explorer screen, click Clusters.

In the upper right-hand frame, click DefaultCluster.

The value of this property is displayed in the lower right-hand frame.

In the lower right-hand frame, replace the machine names with the IP addresses of the web sites you will be using. Do not delete the & symbols that enclose the names.

Click Apply and then close DPM Explorer.

Log on to a machine running the Interview Service.

Browse to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server and double-click RegIntSvr.exe to register the Interview Service machines with the Web Service machines.

Repeat these last two steps on all other machines running the Interview Service.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Replacing Machine Names in URLs with Fully Qualified Machine Names

InterviewURL,InterviewURL,InterviewURL
DimensionsInterviewURL,DimensionsInterviewURL,DimensionsInterviewURL
FileManagerWebserviceURL,FileManagerWebserviceURL,FileManagerWebserviceURL

If you have Web servers that are accessed through the internet, you will need to replace the machine names in certain URLs with fully qualified machine names. For example, you might replace the server name olympus with olympus.spss.com. The URLs must be changed on machines running the Accessories or Interviewing service, and are as follows:

• ImageCacheURL

• DimensionsInterviewUrl

• FileManagerWebserviceUrl (must always be changed if users need to activate projects over the internet using the Promote Project activity)

• DefaultCluster

Fully qualified machine names,Fully qualified machine names,Fully qualified machine names

In Windows Explorer, navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb and remove the read-only property on the Web.config file.

Open Web.config.

Locate the section that adds the ImageCacheURL key and change the value of this key to use a fully qualified domain name:

<appSettings>
   <add key="ImageCacheURL" value="http://SERVER.DOMAIN.COM/SPSSMR/ImageCache/ImageCache.aspx"/>
</appSettings>

Save your changes and close the file.

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\Code\Tools\VB.NET\DPM Explorer.Net and double click DPMExplorer.exe.

This opens the DPM Explorer window.

In the left-hand frame expand the main site entry and click the Properties entry.

A list of site properties is displayed in the upper right-hand frame.

Do the following for the DimensionsInterviewUrl and FileManagerWebServiceUrl properties and, if necessary, for InterviewUrl.

• Click the property name or value.

This displays the property's value in the lower right-hand frame.

• In the lower right-hand frame, replace the machine name with the fully qualified machine name and click Apply.

This updates the entry in the upper right-hand frame.

If the Web Service cannot communicate with the Interviewing Engine Service using a basic machine name, update the DefaultCluster property as follows:

• In the left-hand frame click the Clusters entry.

• In the DefaultCluster property, replace the value of WEBSERVERLIST with a fully qualified domain name, for example:
DBSERVER&=&MyDbServer&;&DBDRIVER&=&SQL Server&;&IVSERVERLIST&=&MyIntServer&;&WEBSERVERLIST&=&ServerName.DomainName.com&;&CONNECTIONSDATABASE&=&Provider=SQLOLEDB;Integrated Security=SSPI;Initial Catalog=mrInterviewData;Data Source=MyServerName;

Close DPM Explorer.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Cancelling the Requirement for mrIEngWS to use a Secure Channel

SSL,SSL,SSL
secure channels with mrIEngWS,secure channels with mrIEngWS,secure channels with mrIEngWS

If your web site uses SSL you will need to cancel the requirement for mrIEngWS to use a secure channel.

From Control Panel select:

Administrative Tools
Internet Information Services

This opens the Internet Information Services window.

In the left-hand frame, navigate to the Web site through which users will access Interviewer Server. Then right-click on the web site name and select Properties.

This opens the Web Site Properties dialog box.

Right-click mrIEngWS and select Properties.

In the Secure communications frame, click Edit.

This opens the Secure Communications dialog box.

Cancel Require secure channel (SSL) and click OK.

Close IIS.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Things You Must Do If They Are Not Done Automatically

• Register the Interview Service machines with the Web Service machines

• Start mrUserAdminServer and mrDPMServer3 if they are not already running

• Check that access permissions are set correctly for FMRoot and all its subfolders


Registering Interview Service Machines with Web Service Machines

Interview servers,Interview servers,Interview servers
registering with Web servers,registering with Web servers,registering with Web servers
Web servers,Web servers,Web servers
registering Interview servers with,registering Interview servers with,registering Interview servers with

When installing the Interview Service, the installer registers the Interview Service machine with all machines currently running the Web Service. If you install the Interview Service before you have installed Interviewer Server on all your Web servers, the registration of that Interview server with the Web servers cannot take place. When this happens you will need to register the Interview Service machine manually. There are two ways of doing this.

Either:

Reboot each Interview Service machine that you want to register.

Or:

On each Interview Service machine to be registered, navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server and run RegIntSvr.exe.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Starting mrUserAdminServer and mrDPMServer3

mrUserAdminServer,mrUserAdminServer,mrUserAdminServer
starting,starting,starting
mrDPMServer3,mrDPMServer3,mrDPMServer3
starting,starting,starting

The installation process normally starts mrUserAdminServer and mrDPMServer3 on all machines running the Interviewing Service. Take the following steps to check whether the services are running and, if necessary, to start them.

Open Control Panel and choose:

Administrative Tools
Services

This opens the Services dialog box.

In the list of services check that both services are running.

If a service is not running, right-click on it and choose Start.

If neither service is running, you should start mrUserAdminServer followed by mrDPMServer3.

A dialog box reports progress of the start-up procedure.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Access Permissions for FMRoot and its Subfolders

FMRoot,FMRoot,FMRoot
access permissions,access permissions,access permissions

Every folder has an Access Control List (ACL) that determines which users and groups can access the folder and what they can do with it. The installation procedure sets access permissions for the FMRoot folder and all its subfolders so that all members of the PASW Data Collection group have access to those folders. However, a problem with the Windows operating system means that occasionally these permissions are not stored in the correct order and that the permissions for the Dimension group will be ineffective. If this happens, users may see messages such as "The application was unable to resolve the path to the shared project files for the selected project." when they use Interviewer Server Administrator activities that access one of the FMRoot subfolders.

To avoid this problem, take the following steps.

For each subfolder within FMRoot, right-click on the folder name and choose "Sharing and Security".

This opens the Properties dialog box for that subfolder.

Select the Security tab.

If the permissions are stored in the wrong order, you will see the following message box:

To correct the ACL for this folder, click OK as directed.

Select the entry for the PASW Data Collection group and check that it has Full Control for the current folder. If not, set this permission and click OK.

If you want further information about the Windows problem, refer to http://support.microsoft.com/?id=834721 and http://support.microsoft.com/default.aspx?scid=kb;en-us;322293

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Optional Tasks

• Add indexes to any existing sample tables to improve performance

• If your site uses telephone interviewing, increase the size of the appRequestQueueLimit setting for the .NET Framework.

• If your site uses telephone interviewing, change the thread configuration settings for the interviewing engine and the .NET Framework to avoid requests beings queued due to blocked thread pools.

• Install the Load Tool

• Configure the Interviewer Server Administrator Email activity

• Increase the number and/or size of the log files

• Create a hosts file that will allow Interviewer Server services to communicate across a firewall

• Set up your Web site to use SSL

• Set up Interviewer Server Administrator load balancing to specify the machines on which Interviewer Server and its applications will run

• Change the Interview Engine load balancing algorithm used to distribute interviews to the Interview Service machines

• In cluster installations, modify the TCP/IP registry settings on machines running the Interview and Web Services

• If you are using SQL Server 2005 and a named instance, edit SampleMgtGUI.Config.xml to control the servers available to the Participants and Activate activities

• Install the Data Collection Developer Library


Adding Indexes to Sample Tables

Sample tables,Sample tables,Sample tables
indexing to improve performance,indexing to improve performance,indexing to improve performance

Interviewer Server indexes any sample tables that it creates to provide improved performance on projects that use sample management. If you create sample tables manually outside Interviewer Server, you can set the same indexes manually on those tables to achieve the same performance gains. If you have sample tables created with mrInterview 3.1 or earlier you may wish to add the indexes to those tables too.

You can also use these instructions as guidelines if you want to index new fields that you add to sample tables.

Start the SQL query analyzer as follows:

• If you are using SQL Server 2005, open SQL Server 2005 Management Studio and select the New Query feature.

• If you are using any other version of SQL Server, from the Start menu, choose:

Programs
Microsoft SQL Server
Query Analyzer

Connect to your Interviewer Server database server.

In the drop-down list of databases, select the sample database whose table or tables you want to index.

In the Query window, type the following commands. You will need to repeat the commands for each sample table you have created manually.

• For tables that are used for Web (inbound) and/or telephone interviewing (outbound) projects:

CREATE NONCLUSTERED INDEX Name_idx_id_active    ON TableName (Id, Active)
CREATE NONCLUSTERED INDEX Name_idx_queue        ON TableName (Queue)
CREATE NONCLUSTERED INDEX Name_idx_active       ON TableName (Active)

• Tables that are used for telephone interviewing projects need the following additional indexes:

CREATE NONCLUSTERED INDEX Participants_idx_id_active ON (Id, Active)
CREATE NONCLUSTERED INDEX Participants_idx_queue_sortid ON SampleTableName (Queue, SortId)
CREATE NONCLUSTERED INDEX Participants_idx_queue_appointmenttime ON SampleTableName (Queue, AppointmentTime)
CREATE NONCLUSTERED INDEX Participants_idx_queue_recalltime  ON SampleTableName (Queue, RecallTime)

If you also wish to index the associated history tables, type the following for each history table in the database:

CONSTRAINT Participants_ProjectName_HistoryTable_pk PRIMARY KEY CLUSTERED (Id)
CREATE NONCLUSTERED INDEX Participants_ProjectName_HistoryTable_idx ON SampleTableName (SampleId)
CREATE NONCLUSTERED INDEX Participants_ProjectName_HistoryTable_idx_starttime ON SampleTableName (StartTime)

Press F5 or click Execute Query (the green triangle).

If you have sample tables in more than one database, select the next database from the drop-down list and repeat these commands for the tables in that database.

Save your changes and exit.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Increase the Size of appRequestQueueLimit in the .NET Framework

appRequestQueueLimit,appRequestQueueLimit,appRequestQueueLimit

Each virtual directory on your Web server has a queue that stores requests to be passed from IIS to the .NET Framework (ASP.NET). If an application's queue becomes full, users see the HTTP 503, Server is busy, message and the queue starts to rejects requests. If your site uses telephone interviewing, you should consider increasing the queue size to prevent the Phone activity flooding its queue with requests. This change is strongly recommended, especially if you have many interviewers working at the same time.

On each machine running the Web Service, navigate to c:\Windows\Microsoft.Net\Framework\v2.0.50727\CONFIG and open machine.config.

Locate the line that starts <httpRuntime ...> (it is near the beginning of the file) and change the value of the appRequestQueueLimit attribute from 100 to 1000.

Save your changes and close the file.

For more detailed information about this change, refer to pages 818 and 819 of http://download.microsoft.com/download/a/7/e/a7ea6fd9-2f56-439e-a8de-024c968f26d1/ScaleNet.pdf.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Changing Thread Configuration Settings for the Interviewing Engine and the .NET Framework

.NET Framework,.NET Framework,.NET Framework
configuration changes for telephone interviewing,configuration changes for telephone interviewing,configuration changes for telephone interviewing
Interviewing engine,Interviewing engine,Interviewing engine
changing thread configuration setting,changing thread configuration setting,changing thread configuration setting

This topic applies only to sites that run telephone interviews.

When a telephone interviewer requests a number to call, the Phone activity requests one from the sample management system. If the system does not have enough resources allocated for dealing with these requests, the requests will be queued and interviewers will have to wait longer than necessary to receive numbers. You can reduce the likelihood that this will happen by increasing the resources available for processing requests.

Make the following changes on each machine running the Interviewing Service.

From the Windows Start menu, choose Run.

In the Run dialog box, type regedit and click OK.

Step down through the hierarchy to \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Interviewing.

Right-click in the right-hand frame, select New, DWORD value, and enter DefaultThreadPoolSize as the value name.

Right-click this new entry and select Modify.

In the Edit DWORD Value dialog box, type 200 as the value and choose Decimal as the base. Click OK to save your changes.

Note: You do not need to set this value if the server has eight or more logical processors.

Close Registry Editor.

Navigate to c:\Windows\Microsoft.Net\Framework\v2.0.50727\CONFIG and open machine.config.

In the <system.web> section, add the following settings or edit your existing settings so that they contain the designated properties and values.

<system.web>
   <httpRuntime minFreeThreads="88" minLocalRequestFreeThreads="76"/>
   <processModel autoConfig="false" maxWorkerThreads="100" maxIoThreads="100"/>
</system.web>

In the <system.net> section, add the following settings or edit your existing settings so that they contain the designated properties and values.

<system.net>
   <connectionManagement>
      <add address="*" maxconnection="100"/>
   </connectionManagement>
</system.net>

Save your changes and close the file.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Installing the Load Tool

Load Tool,Load Tool,Load Tool

Interviewer Server Load Tool is a program that can be run to test Interviewer Server performance in various scenarios. It is particularly useful for simulating live interviewing across a number of projects that are running simultaneously, where it can highlight potential problems with system loading before the projects go live. It can also be used it to test and evaluate the effect of changes in your system configuration before implementing them.

The Load Tool is an installation option on the Data Collection and Survey Visualization Server installation CD-ROM. You can install the Load Tool on any machine, but a machine outside the Interviewer Server cluster is best. For further information about the Load Tool refer to "Load Testing" in Data Collection Developer Library.

Launch the Data Collection and Survey Visualization Server installation program.

Select either Single user license or Site license and click Next.

On the License Agreement page, click Yes and click Next.

On the Select Features page, select Load Tool (located under Interviewer Server -> Utilities), and click Next.

The Choose Destination Location page shows where the files for the Load Tool will be installed. To accept the default location just click Next. To install into a different location, click Browse and then browse to the folder you want to use (you may create a new folder if necessary). Click OK to close the Choose Folder dialog and then click Next to continue.

On the Concurrent Usage Licensing page, enter the name of the machine on which the Sentinel License Manager software is installed and click Next.

On the Start Copying Files page, click Next.

The Setup Status page reports installation progress.

When all files have been copied onto your machine, you are asked whether you want to start the License Authorization Wizard to obtain licenses for your installation. Normally you should answer Yes to this question to license installed applications. However, if you would prefer to do this later, click No.

Click Next on the Setup information page.

When the installation has finished, choose whether to restart your machine now or later and click Finish. If you want to run the post-installation steps straight away you must restart your machine now.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Configuring the Interviewer Server Administrator Email Activity

Email activity,Email activity,Email activity
configuring,configuring,configuring

The installation procedure asks whether you want to configure the Interviewer Server Administrator Email activity as part of the installation process. If you choose not to do this, or the automatic configuration fails, you can perform the configuration manually as follows:

In Windows Explorer, navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\Code\Tools\VB.NET\DPM Explorer.Net and double click DPMExplorer.exe.

DPMExplorer is installed as part of the Data Collection Developer Library which you can install from the Data Collection and Survey Visualization Server installation CD. See the topic Installing the Data Collection Developer Library for more information.

Expand the site entry and then select the Properties entry.

You should see properties called EmailServerName and EmailServerPort in the right-hand frame.

If the properties exist but have no values, define their values as follows:

• Select the property.

• In the lower frame on the right of the screen, type the appropriate value and click Apply. The property's value is displayed in the upper right-hand frame.

If the properties are not present, choose:

Add
Property

and enter the property's name and value in the dialog box displayed.

Close DPM Explorer.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Changing the Number and/or Size of the Log Files

Log files,Log files,Log files
changing the number/size of,changing the number/size of,changing the number/size of

Interviewer Server records the actions that it takes during each interview, and any problems it encounters, in a series of log files. When a log file reaches 4Mb in size, Interviewer Server closes that file and starts a new one. When the tenth file reaches its maximum size, Interviewer Server starts overwriting the first log file in the set.

Depending on the amount of logging information you want to retain, you can increase the number of log files that Interviewer Server creates before it starts overwriting existing files, or you can increase the maximum size of each file. In general, it is better to increase the number of log files used rather than the size of each file. Log files that will be opened in DM Query should not be larger than 4Mb.

The MaxFiles and MaxFileSizeInKB keys that control logging behavior are defined in the following locations in the registry:
HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\DimensionNet\Log
HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\DimensionNet\3\Log
HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\MRPropertyManagement\2.0\Log
HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\MRPropertyManagement\2.0\Security\Auditing

Note: Any changes you make must be made in all locations since you cannot be sure which application will start the logging component. For consistency, they should also be made on all machines running the Interviewing and Accessories Services.

To Change the Maximum Number of Log Files and/or the Maximum Log File Size

From the Windows Start menu, choose Run.

In the Run dialog box, type regedit and click OK.

Step down through the hierarchy to the appropriate location.

In the right-hand frame, right-click on the key you want to change and choose Modify.

On the Edit DWORD Value dialog box, enter the new value.

Close the Registry Editor.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Creating a Hosts File for Running Interviewer Server Through a Firewall

Firewall,Firewall,Firewall
running Interviewer Server through,running Interviewer Server through,running Interviewer Server through
Firewall,Firewall,Firewall
machine naming conventions,machine naming conventions,machine naming conventions

If you have installed Interviewer Server in a non-domain environment, you may find that machines that communicate using machine names rather than IP addresses cannot communicate across the firewall. If this happens, create a hosts file on those machines linking the machine names with the machines' IP addresses.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Setting Up your Web Site to use SSL

SSL,SSL,SSL

You can increase the security of the Web site that provides access to Interviewer Server by using the Secure Sockets Layer (SSL) which encrypts Web documents passed to and from the site. This topic explains how to set up and enable SSL, and how to ensure that Interviewer Server Administrator always creates interview URLs that use SSL.

Note: It is not currently possible to configure the Interview Tier web service to use SSL.

Creating a Server Certificate

From Control Panel select:

Administrative Tools
Internet Information Services

This opens the Internet Information Services window.

In the left-hand frame, navigate to the Web site through which users will access Interviewer Server. Then right-click on the web site name and select Properties.

This opens the Web Site Properties dialog box.

On the Directory Security tab, click Server Certificate.

This starts the IIS Certificate Wizard.

On the Welcome page, click Next.

On the Server Certificate page, select Create a new certificate and click Next.

On the Delayed or Immediate Request page, click Prepare the request now, but send it later and click Next.

On the Name and Security Settings page, enter the name of your web site. (You can enter any name you like here, but it is a good idea to enter a name that can be recognized later.) Click Next.

On the Organization Information page, enter a name of your choice in both fields and then click Next.

The Your Site's Common Name page should show the correct computer name for the chosen web site, so click Next to continue.

On the Geographical Information page, complete the fields as appropriate.

Click Next on all other pages until you reach the end of the wizard. Then click Finish to return to the Web Site Properties dialog box.

In the Secure communications frame, click Edit.

This opens the Secure Communications dialog box.

Select Require secure channel (SSL) and click OK.

Close IIS.

The certificate used for SSL must be trusted on the local machine. To check this, proceed as follows:

• Open Internet Explorer and select:

Tools
Internet Options

• On the Content tab click Certificates.

• On the Certificates dialog box, select the Trusted Root Certification Authorities tab and check that the certificate for SSL appears in the list.

• If the certificate does not appear in the list, click Import to run the Certificate Import wizard which will add the certificate to the list.

• Close Internet Explorer.

Follow the instructions in Cancelling the Requirement for mrIEngWS to use a Secure Channel

If your SSL certificate is assigned to a fully qualified domain name, change the value of the LocalImageCacheURL setting in the Web Service's Web.config file so that it uses the fully qualified domain name. Perform the following steps on all machines running the Web Service.

• In Windows Explorer, navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb and open Web.config using Visual Studio or a text editor.

• Change the entry for LocalImageCache so that it reads something like:

<add key="LocalImageCacheURL"value="https://www.FQDomainName.com/SPSSMR/ImageCache/ImageCache.aspx"/>

• Save the change and close the file.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Set up Interviewer Server Administrator Load Balancing

Load balancing,Load balancing,Load balancing
Accessories servers,Accessories servers,Accessories servers
Accessories Service machines,Accessories Service machines,Accessories Service machines
load balancing,load balancing,load balancing
Interviewer Server Administrator load balancing,Interviewer Server Administrator load balancing,Interviewer Server Administrator load balancing

Note: For Web Reports for Surveys and Reports for Surveys, this optional task only applies when either of the applications are installed on more than one machine.

The Interviewer Server Administrator load balancing system allows you to distribute Interviewer Server Administrator users evenly between the servers in a cluster. Currently, it is primarily used for ensuring that Web Reports for Surveys, which has large memory requirements, does not run on the same servers as Interviewer Server. Put simply, the Interviewer Server Administrator load balancing system lets you specify the machines on which Interviewer Server Administrator will run and the machines that will be used for Web Reports for Surveys. When a user starts an application, the load balancing system routes the user to the lightest loaded machine within the group on which that application may run. For further information about the Interviewer Server Administrator load balancing system, refer to "Load Balancing" in the Interviewer Server Administrator section of the Data Collection Developer Library documentation.

To Set Up Interviewer Server Administrator Load Balancing

On each machine running the Accessories Service, or on one of the machines on which Web Reports for Surveys is installed, open C:\InetPub\wwwroot\SPSSMR\Shared\LoadBalancingConfiguration.xml using Notepad or a similar text editing program.

Add an Application segment for each application that will be load balanced on this machine, and specify which communications protocol will be used (it must be the same for all applications on all machines). If you want the application's current load to be reported more or less frequently than every two seconds, change the value of ReportingInterval on this tag.

In each Application segment do the following:

• If you are using UDP, specify the multicast address and port on the UdpConnection tag.

• If you are using TCP, add a Connection tag to the TcpConnections section for each machine on which the application is to be load balanced.

• If necessary, change any or all of the load-weight, interval, and maximum-measures parameters in the PerformanceCounters section.

On the LoadMonitoring tag, optionally change the value of ReportExpireTime if you want to increase or decrease the amount of time that may elapse between reports from a server before that server is removed from the list of available servers.

Save your changes and close the file.

Note: The following step only pertains to Interviewer Server.

For each application that you are load balancing, browse to its source folder in \InetPub\wwwroot\SPSSMR and do the following.

• Right-click Web.config and select Properties. Cancel the Read-only attribute and click OK.

• Edit Web.config using a text editor such as Notepad and add the following statements to the end of the file:

<appSettings>
   <add key="SPSS_LoadBalance_Application" value="appname"/>
   <add key="SPSS_LoadBalanceXmlFile"
      value="drive:\InetPub\wwwroot\SPSSMR\Shared\LoadBalancingConfiguration.xml"/>
</appSettings>

In this code segment, appname is the name of the application, and drive is the drive letter on which the load balancing configuration file is installed.

Note: The Web.config files for Interviewer Server Administrator and Web Reports for Surveys already have an appSettings segment naming the load balancing configuration file so for these applications you will just need to add the tag defining the application's name. For other applications you will need to add the whole segment.

Repeat all of these steps for the configuration files and Web.config files on the other machines in the cluster, including any machines on which Web Reports for Surveys is installed.

If the load balancing service is not running on a machine, start it as follows.

• Open Control Panel and choose:

Administrative Tools
Services

• On the Services dialog box, right-click mrLoadBalanceService and choose Start.

Load balancing,Load balancing,Load balancing
using an SSL accelerator,using an SSL accelerator,using an SSL accelerator

Sites Using SSL Accelerators

If your site uses SSL accelerators and you want to run Interviewer Server Administrator load balancing, perform the following steps on all machines running the Accessories service, in addition to the previous steps.

Navigate to C:\InetPub\wwwroot\SPSSMR\Shared and open LoadBalancingConfiguration.xml using a text editor such as Notepad.

In each <Application> section inside the <LoadReporting> element, update the value of applicationpath so that it shows the server's public URL. For example:

<LoadReporting>
   <Application name="dimensionnet" applicationpool="PASWDataCollectionPool"
      ReportingInterval="1000" protocoltype="TCP"
      applicationpath="https://localhost/SPSSMR/DimensionNet/Default.aspx">
   ...
   </Application>
</LoadReporting>

Stop and restart the Load Balancing service.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Changing the Interview Engine Load Balancing Algorithm

Interview Engine,Interview Engine,Interview Engine
load balancing algorithm,load balancing algorithm,load balancing algorithm
Load balancing,Load balancing,Load balancing
interview engine,interview engine,interview engine
Interview Service machines,Interview Service machines,Interview Service machines
load balancing,load balancing,load balancing

The interview engine load balancing algorithm tries to ensure that interviews are evenly distributed across machines running the Interviewing Service. If you find that the default algorithm does not suit your requirements you may change it.

Refer to "Load Balancing Interviewing Engines" in the Interviewer Server section of the Data Collection Developer Library documentation for further information about this facility and examples of load balancing algorithms based on different criteria.

To Change the Load Balancing Algorithm for Distributing Interviews

Perform the following steps on each machine running the Interview Service.

Make a copy of the file [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\defaultload.mrs.

Edit the copy of the script to implement the type of load balancing you require.

Change the registry key \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\LoadBalancing\LoadBalancingScript so that it has the full path to the new script file as its value.

Stop and restart IIS. If you are running Windows 2003, you can stop and restart the Interviewer Server application pool (usually SPSSmrnterviewPool) rather than restarting IIS if you prefer. This has the advantage of not affecting any other applications that may be using IIS.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Modifying TCP/IP Registry Settings on Interview and Web Servers in a Cluster

Registry settings,Registry settings,Registry settings
TCP/IP,TCP/IP,TCP/IP
Interview servers,Interview servers,Interview servers
TCP/IP registry settings,TCP/IP registry settings,TCP/IP registry settings
Web servers,Web servers,Web servers
TCP/IP registry settings,TCP/IP registry settings,TCP/IP registry settings
TCP/IP registry settings,TCP/IP registry settings,TCP/IP registry settings
for Interview and Web servers,for Interview and Web servers,for Interview and Web servers

Note: These instructions are only intended for use with Interview and Web servers. The settings outlined in this topic should not be employed in any other environment.

In cluster installations, if the Interview or Web servers run out of available ports, interviews will fail. An indication that a server is failing because of insufficient available socket ports is the following message in the IVW logs:

Error calling WS method 'Method'. URL 'URL', Error codes: Client 5, HTTP -1, SOAP 0, TCP 10048

You can prevent this from happening by changing either of the following settings for TCP/IP in the Windows registry (HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters):

• Increase the port range that is used for anonymous ports to approximately 20000 ports (for example) by modifying the MaxUserPort registry key.

• Change the connection time-out set in TcpTimedWaitDelay from the default 240 seconds to anything from 30 to 300 seconds.

Refer to the Microsoft Knowledge Base Article 319502 at http://support.microsoft.com/kb/319502/en-us/ for more information on changing these settings.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Naming Servers Available to the Participants and Activate Activities

SQL2000/ 2005 servers with named instances,SQL2000/ 2005 servers with named instances,SQL2000/ 2005 servers with named instances
SampleMgtGUI.Config.xml,SampleMgtGUI.Config.xml,SampleMgtGUI.Config.xml
server availability with SQL Server 2005 and named instances,server availability with SQL Server 2005 and named instances,server availability with SQL Server 2005 and named instances

This task applies only to sites running SQL Server 2005 and a named instance.

When the Participants and Activate activities generate the selection list for the Server field, they do not include named instances. Users can normally choose an unlisted server simply by typing its name in the input box. However, this does not work for named instances. To avoid this situation it is best to restrict users to choosing from a predefined list of server names only.

The names of available servers and access rights to those servers are defined the SampleMgtGUI.Config.xml file. To restrict the servers that can be chosen in Participants and Activate edit the file as follows:

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\FMRoot\Shared\Config and open SampleMgtGUI.Config.Xml using a text editor of your choice.

Locate the <SampleManagementGUI> tag and add the showexistingonly="false" attribute as follows:

<SampleManagementGUI showexistingonly="false">
   ...
</SampleManagementGUI>

Save your changes and close the file.

For further information about SampleMgtGUI.Config.xml refer to "Controlling Access to Sample Data" in the Data Collection Developer Library.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Modifying the Default Web Service Settings for Remote Administrator

If you have installed Remote Administrator, you may wish to modify the default Web service settings that control synchronization between remote interviewers and the Remote Administrator. You can change the Web service settings by editing the web.config file. By default, the web.config file is found in C:\InetPub\wwwroot\SPSSMR\SyncWebService\web.config.

Property | Description
DPMServerName | Name of the DPM server machine. If the server is located on a remote machine, change this value to that machine's name. Default Value: localhost
inbox | Location of the SyncWebService inbox. If Interviewer Server Administrator was not installed in the default location of C:\InetPub\wwwroot\SPSSMR, change this value to a complete file path that the anonymous user has read/write access to. Default Value: C:\InetPub\wwwroot\SPSSMR\SyncWebService\inbox
ShouldHostTransferService | Indicates whether Interviewer Server should host a transfer service specifically for the Remote Administrator. This is unnecessary if Interviewer Server is being used on this cluster for Web or CATI interviews, as Remote Administrator will employ the same transfer service. However, if Interviewer Server will not be used on this cluster for Web or CATI interviews, set this value to True. Default Value: False
PrincipalSyncWebService | Indicates that the SyncWebService instance is a proxy for the specified service. By default, this setting is commented out. To set the property, remove the comment markers and replace the default value with the actual path to the principal service. Note that if this line is uncommented, all other Web service settings specified in the current web.config file are ignored. Default Value: http://your-principal-server/SPSSMR/SyncWebService/SyncWebService.asmx


Installing the Data Collection Developer Library

See the topic Installing the Data Collection Developer Library for more information.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Things You Must Do on Local Machines

Scriptwriter stations,Scriptwriter stations,Scriptwriter stations
setting up,setting up,setting up
Local machines See Scriptwriter stations,Local machines See Scriptwriter stations,Local machines See Scriptwriter stations

• If scriptwriters will be using Scriptwriter Station and logging in as anyone other than the Installing User, add DCOM permissions for the machine's Users group to LogBckO2 on those users' machines

• If Phone Reports users will need to create charts, enable the charting facility

• Enabling Pop-ups and File Downloads

• Enable the Internet Explorer security setting “Allow websites to open windows without address or status bars”.

• Set up automatic NT login for Interviewer Server Administrator users who use the Firefox browser

• For users who will run Interviewer Server Administrator using the Firefox browser on the WYSE 5150SE, increase the default font size in Firefox

Related Topics

Pre-Installation Checklist for the Interviewer Server Installation Procedure
Installation Procedures


Enabling Pop-ups and File Downloads

Pop-up and file download blocker,Pop-up and file download blocker,Pop-up and file download blocker

If the browser that is running Interviewer Server Administrator and Interviewer Server has pop-up blockers or restrictions on downloading files, users will encounter problems with activities that make use of these features. In order for Interviewer Server to work as intended pop-ups and file downloads should be enabled.

Enabling Pop-ups

In Internet Explorer, select:

Tools
Pop-up blocker
Pop-up blocker settings

Add the name of the machine that is running Interviewer Server to the settings.

Enabling File Downloads

Follow the instructions that the browser provides the first time it is unable to download a file. The changes made at this point enable all subsequent file downloads in Interviewer Server.

For example, when a user runs Export Data and chooses to download the exported data onto his/her computer, the export process will run but will display a message in the browser's information bar saying that Internet Explorer has blocked the site from downloading files onto the computer. To allow file downloads, the user should click on the location indicated in the message to display options for enabling downloads.


Enabling the Internet Explorer Security Setting "Allow websites to open windows without address or status bars"

Internet Explorer,Internet Explorer,Internet Explorer
Allow websites to open windows without address or status bars,Allow websites to open windows without address or status bars,Allow websites to open windows without address or status bars

If the browser that is running Interviewer Server Administrator or Interviewer Server displays a URL field for each dialog, you will need to enable the Internet Explorer Allow websites to open windows without address or status bars security setting.

Enabling the Security Setting

In Internet Explorer, select:

Tools
Internet Options
Security
Custom level...

Select the Enable option under the Allow websites to open windows without address or status bars setting.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Enabling Automatic NT Login to Interviewer Server Administrator for Firefox

Firefox,Firefox,Firefox
automatic NT login,automatic NT login,automatic NT login
NT logins with Firefox,NT logins with Firefox,NT logins with Firefox

Interviewer Server Administrator users who are using the Firefox browser can login into Interviewer Server Administrator automatically using their NT login credentials. However, this does not happen until users have logged in to Interviewer Server Administrator manually at least once using these credentials. Users can avoid this by carrying out the following tasks before using Interviewer Server Administrator with Firefox for the first time.

In Firefox, type about:config into the URL address bar.

This displays a list of configurable options.

In Filter, type network automatic.

A reduced list of options is displayed.

Double-click network.automatic-ntlm-auth.trusted-uris and then type the name of the Interviewer Server Administrator server. If your site has more than one Interviewer Server Administrator server, type a list of names separated by commas.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Changing Font Settings for Firefox on Wyse 5150SE Terminals

Firefox,Firefox,Firefox
font settings,font settings,font settings
Small text in Firefox,Small text in Firefox,Small text in Firefox

The default font settings in the Firefox browser produce very small text in Interviewer Server Administrator when used on Wyse 5150SE terminals. You will probably want to change these settings to make the Interviewer Server Administrator text more readable. Suggested settings are as follows:

Proportional | Serif, 15 pixels
Serif | Luxi Sans
Sans-serif | Luxi Sans
Monospace Luxi Sans | 13 pixels

In Firefox, select

Edit
Preferences
Fonts & Colors

Make whatever font changes you think are necessary to produce readable text.

Related Topics

Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Installing Interviewer Server for Off-Line Use

Off-line use,Off-line use,Off-line use
installing for,installing for,installing for

The notes in this section summarize how to use the installation procedure to install a version of Interviewer Server that will work whether or not your laptop is connected to a network.

If you install Interviewer Server onto a single machine using the default Domain option, you will find that Interviewer Server works properly when you are logged in to your local network, but not when your are using your laptop in standalone mode. The problems you will encounter are as follows:

• UNC pathnames are not resolved, so applications cannot access the FMRoot folder.

• Domain user accounts cannot be authenticated.

The recommended procedure for installing Interviewer Server when you want to work attached to a network or off-line is to install a single machine workgroup version of Interviewer Server and then carry out the following post-installation tasks:

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\Code\Tools\VB.Net\DPMExplorer.Net and double-click DPMExplorer.exe.

In the left-hand frame, click Properties.

In the upper right-hand frame, click FileMgt_RootFolderUNC.

The property's value is displayed in the lower right-hand frame.

In the lower right-hand frame, replace the pathname with [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\FMRoot.

Select InterviewCacheUNC and replace the pathname with [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\FMRoot\Interview\Cache.

Select Brad_Backup_UNC and replace the pathname with [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\FMRoot\Shared\Backup.

Click Apply and close DPM Explorer

To be able to access images held in the image cache, edit the file \InetPub\wwwroot\SPSSMR\ImageCache\Web.Config and change the setting of the BASE_LOCATION key so that it points to the Master folder:

<AppSettings>
   <add key="BASE_LOCATION"
      value="[INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer
Server\FMRoot\Master" />
</AppSettings>

Log in to Interviewer Server Administrator using the DPM Administrator account that you specified during installation.

If you want to be able to log into Interviewer Server Administrator using a user name other than that of the DPM administrator, start User Administration and add this user. Make the user a member of the DPMAdmins role to ensure that the user has unrestricted access to all applications, application features, and files.

Open the Services Manager and stop the Load Balancing service if it is running.

The Load Balancing service is used for clustering the Accessories servers and is not necessary for a single machine. If you try to start Interviewer Server Administrator and your URL changes to http://server1/... then you know that the Load Balancing service is running.

Related Topics

Improving Stability when Running Interviewer Server Administrator Off-line


Improving Stability when Running Interviewer Server Administrator Off-line

Off-line use,Off-line use,Off-line use
installing network adapters,installing network adapters,installing network adapters
Off-line use,Off-line use,Off-line use
improving stability,improving stability,improving stability

If you have installed any of the Data Collection and Survey Visualization Server applications for off-line use you may find that installing the Microsoft Loopback Adapter improves stability when running off-line. When you install the Loopback Adapter, it becomes the first connection in the binding order that determines the order in which connections are accessed by DNS. If you regularly connect to a LAN and only occasionally run Interviewer Server Administrator off-line, you may wish to move the Loopback Adapter below your regular LAN connection in the binding order.

To install the Microsoft Loopback Adapter on Windows XP and Windows 2003

From the Control Panel, go to Add Hardware. This starts the Add Hardware wizard.

On the Welcome page, click Next.

On the Is the hardware connected? page, choose Yes, I have already connected the hardware and then click Next.

On the next page, scroll to the end of the hardware list and select Add a new hardware device. Then click Next.

On the next page, select Install the hardware that I manually select from a list (Advanced) and then click Next.

The next page displays a list of common hardware types. Select Network Adapters. Then click Next.

On the Select Network Adapter page, select Microsoft Loopback Adapter. Then click Next.

Click Next to start the installation procedure.

To change the binding order of the network adapters

From the Control Panel, go to Network Connections (or right-click the Network icon on your desktop and choose Properties). This opens the Network Connections window.

Choose:

Advanced
Advanced Settings

This opens the Advanced Settings dialog box. The Loopback Adapter you have just installed should be highlighted in the Connections frame.

Click the green down-arrow next to this frame to move the adapter at least one place down. Your default Local Area Connection will be at the top of the list again.

Related Topics

Installing Interviewer Server for Off-Line Use


Web Reports for Surveys and Reports for Surveys Installation Overview

To install Web Reports for Surveys or Reports for Surveys:

If you have not already done so, verify you have the correct hardware and software:

• See What You Need to Run the Data Collection and Survey Visualization Server 5.6 Applications to verify you meet the minimum hardware and software requirements.

• If necessary, install the required software.

Create the users and the user group. See the topic Creating the users and the user group for more information.

If running Web Reports for Surveys or Reports for Surveys through a firewall, open ports on the firewall.

Install Web Reports for Surveys or Reports for Surveys. See the topic Installing Web Reports for Surveys or Reports for Surveys for more information.

Carry out any post-installation steps necessary for your installation.

For a full checklist of these steps, see Checklist for Web Reports for Surveys and Reports for Surveys Installation.


Checklist for Web Reports for Surveys and Reports for Surveys Installation

installation checklist,installation checklist,installation checklist
Pre-installation checks
 | Check hardware and software requirements
Install required software
 | Microsoft .NET Framework 2.0 SP1
 | Microsoft Data Access Components 2.8
 | Internet Explorer 6.0 or 7.0, including MS XML 4.0 add-in
 | Internet Information Services
 | SQL Server
 | RMS Sentinel License Manager
Create users and groups
 | Create installing user
 | Create running user
 | Create anonymous access user
 | Create Web Reports for Surveys or Reports for Surveys group
Open ports on firewall
 | If running Web Reports for Surveys or Reports for Surveys through a firewall, open ports on the firewall
Installation
 | Install Web Reports for Surveys or Reports for Surveys
Post-installation
 | Activate your concurrent licenses
 | Enable access to charting
 | Set up users and roles in Interviewer Server Administrator
 | Add ASP.NET account to launch permissions on Logbck02
 | Allow remote access on Windows XP Service Pack 2
 | Check Internet Explorer settings
 | If installing onto a machine with Professional, add Professional users to the PASW Data Collection group.
 | If using an SSL accelerator, set up Interviewer Server Administrator to use SSL accelerators


Web Reports for Surveys and Reports for Surveys Installation Scenarios

Installation overview,Installation overview,Installation overview

There are several distinct installation scenarios. The installation procedure varies for each of these scenarios.

Installing Web Reports for Surveys or Reports for Surveys with Interviewer Server. You can install Web Reports for Surveys or Reports for Surveys with Interviewer Server on a single machine or on a cluster. When installing Interviewer Server on a cluster, install Interviewer Server on all of the machines in the cluster first. You can then install Web Reports for Surveys or Reports for Surveys on one or more machines in the cluster or on one or more other machines that will become part of the cluster. The configurations that are supported are the same as described in the Interviewer Server System Configurations topic in the Interviewer Server Installation Instructions.

When you install Web Reports for Surveys or Reports for Surveys onto an Interviewer Server Accessories server, the installation detects the presence of the existing DPM Server and will automatically connect Web Reports for Surveys or Reports for Surveys to it. When you install Web Reports for Surveys or Reports for Surveys onto a server that does not have the Interviewer Server Accessories service installed, you should check the Connect to an Existing Web Reports for Surveys/Reports for Surveys or Interviewer Server server box on the Cluster Settings screen, and when subsequently prompted, enter the names of the machines on which the DPM Server and the SQL Server are installed. Note that you cannot install Web Reports for Surveys or Reports for Surveys onto an Interviewer Server Interview Service machine unless it also has the Interviewer Server Accessories service installed.

Single-machine installation of Web Reports for Surveys or Reports for Surveys without Interviewer Server. You can install Web Reports for Surveys or Reports for Surveys without Interviewer Server in a single-machine installation. In a single machine installation, the SQL Server can either be located on the same machine or on a different machine in the same domain or workgroup.

When installing Web Reports for Surveys or Reports for Surveys without Interviewer Server, run the installation in the normal way, making sure you uncheck the Connect to an Existing Web Reports for Surveys/Reports for Surveys or Interviewer Server server option on the Cluster Settings screen. You will be prompted for the name of the SQL Server machine.

Clustered installation of Web Reports for Surveys or Reports for Surveys (without Interviewer Server). You can install Web Reports for Surveys or Reports for Surveys on two or more machines in a cluster. When you do this, SQL Server is required on only one of the machines in the cluster (this machine can optionally be a separate machine from those on which Web Reports for Surveys or Reports for Surveys is installed). When you are installing onto machines in different domains, the domains must trust one another (that is, be bi-directional).

When you install Web Reports for Surveys or Reports for Surveys on the first machine in the cluster, make sure you uncheck the Connect to an Existing Web Reports for Surveys/Reports for Surveys or Interviewer Server server option on the Cluster Settings screen. You will then be prompted for the name of the machine on which SQL Server is installed. When you install the other machines, check the Connect to an Existing Web Reports for Surveys/Reports for Surveys or Interviewer Server server option on the Cluster Settings screen and when subsequently prompted for the names of the DPM Server and the SQL Server, enter the names of the machine on which you installed Web Reports for Surveys or Reports for Surveys first and the SQL Server machine.

In This Section

Installations onto a Domain Controller
Installing Web Reports for Surveys or Reports for Surveys

Related Topics

Before You Start
Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Installations onto a Domain Controller

Domain controller,Domain controller,Domain controller
installing onto,installing onto,installing onto

SPSS Inc. does not recommend installing Web Reports for Surveys or Reports for Surveys onto a domain controller. There are known issues with .NET running on domain controllers and there may be an additional security risk if IIS runs on a domain controller that is accessible from the Internet.

Related Topics

Web Reports for Surveys and Reports for Surveys Installation Scenarios
Installing Web Reports for Surveys or Reports for Surveys


Creating the users and the user group

Note: If you are installing Web Reports for Surveys or Reports for Surveys and Interviewer Server, you must use the same Installing User, Running User, Anonymous Access User, and Group for all products.

If you are installing only Web Reports for Surveys, Reports for Surveys, or Interviewer Server in a single-machine installation, you need to create a number of users and a user group, as described below. If you are installing Web Reports for Surveys or Reports for Surveys on multiple machines in a domain, the system administrator will need to create these users and the group so that they are valid for all machines in the domain. If you are using machines in different domains, the Installing User and Running User must be visible and trusted on all those domains. Both users must also have permission to create databases on the machine hosting the Database Service. If you are installing on machines within a workgroup, the users and the group must be created on all of the machines in the workgroup. If necessary, contact your system administrator for assistance.

Note: For domain installations, if you are using case-sensitive SQL you must create the Running User and the Anonymous Access User with the Full Name and Logon Name in the same case.

• Create a user for installing. This user will be referred to as the Installing User in the rest of this document.

• Optionally, create a user for running. This user will be referred to as the Running User in the rest of this document. You can use the Installing User as the Running User if you wish.

• Create a user that can be used for anonymous IIS access to Web Reports for Surveys or Reports for Surveys. This user will be referred to as the Anonymous Access User in the rest of this document.

• Create a group for users.

In This Section

Creating the Installing and Running Users
Creating the Anonymous Access User
Creating the Web Reports for Surveys or Reports for Surveys Group


Ports for Running Web Reports for Surveys or Reports for Surveys Through a Firewall

Firewall,Firewall,Firewall
running Web Reports for Surveys or Reports for Surveys through,running Web Reports for Surveys or Reports for Surveys through,running Web Reports for Surveys or Reports for Surveys through

If you will be running Web Reports for Surveys or Reports for Surveys through a firewall, certain ports on the firewall must be open.

Firewall Between the Internet and the Interviewer Server Administrator Server

All communication between the browser and the Interviewer Server Administrator server (sometimes known as the Accessories server) defaults to using HTTP on port 80. If your web site runs SSL or uses a different port number, you can specify this on the Internet Information Services (IIS) Configuration screen during the installation procedure. This port does not need to be opened until after installation is complete.

Firewall Between the Interviewer Server Administrator Server and the Database Server

Communication between the Interviewer Server Administrator Server and the Database Server takes place using TCP on port 1433. This port must be opened before the installation begins, as the installation process writes to the Database Server.

If you have SQL running on a named instance, then the port number is dynamically assigned and could be something other than 1433. If you know which port number is being used, you should open this port rather than port 1433. If you do not know which port is being used (and for more information about named SQL instances in general) refer to http://groups.google.nl/groups?q=connecting+to+second+SQL+instance+through+firewall&hl=nl&lr=&selm=uGvOuCRGEHA.1988%40cpmsftngxa06.phx.gbl&rnum=1

Related Topics

Web Reports for Surveys and Reports for Surveys Installation Overview


Installing Web Reports for Surveys or Reports for Surveys

Installation steps,Installation steps,Installation steps

Log on as the Installing User. See the topic Creating the Installing and Running Users for more information.

Insert the CD-ROM into the CD-ROM drive.

Depending on your system configuration, the AutoPlay feature may detect and start the installation program when you insert the CD-ROM into the drive. If this does not happen, you can start the installation program manually, as follows:

• From the Windows Start menu, choose Run.

• In the Run dialog box, type d:\autoplay where d:\ is the CD-ROM drive.

This opens the Data Collection and Survey Visualization Server 5.6 Installer window.

From the Data Collection and Survey Visualization Server 5.6 Installer window, choose Install Data Collection and Survey Visualization Server 5.6.

This starts the Data Collection and Survey Visualization Server 5.6 Setup wizard.

On the Welcome screen, choose the type of license you have for Data Collection and Survey Visualization Server 5.6 and click Next. A single user license allows you to install Data Collection and Survey Visualization Server 5.6 applications on up to two computers, if those computers are used by one user. A site license allows you to install Data Collection and Survey Visualization Server 5.6 applications on multiple computers for use by multiple users.

On the License Agreement screen, read the license agreement.

If you accept the agreement, click Yes.

On the Select Features screen, select either Web Reports for Surveys or Reports for Surveysand then click Next.

On the Machine Configuration page, choose Single Machine Install.

On the Cluster Settings page, enter a name for your PASW Data Collection site and click Next. The site name that you choose is displayed on the main Interviewer Server Administrator page and can be any name of your choice.

On the PASW Data Collection User and Group screen, enter information about the user and group that should be used for running Web Reports for Surveys or Reports for Surveys.

• If you have already installed Interviewer Server on this machine, all the fields on this screen (except the Password field) will show the information entered for Interviewer Server. In this case you should enter the password and leave the other fields unchanged.

• Otherwise, if the machine on which you are installing Web Reports for Surveys or Reports for Surveys is part of a domain, click Domain and enter the domain name in the box. If the machine is part of a workgroup or you are installing Web Reports for Surveys or Reports for Surveys on your local machine, click Workgroup. In the Username and Password boxes, enter the name and password of the Running User. In the Group box, enter the name of the Web Reports for Surveys or Reports for Surveys Group.

Note: The names you enter must be valid names for the domain or workgroup on which you are installing.

On the PASW Data Collection Anonymous User screen, enter the details for the Anonymous Access User.

• If you have already installed Interviewer Server on this machine, all the fields on this screen (except the Password field) will show the information entered for Interviewer Server. In this case you should enter the password and leave the other fields unchanged.

• Otherwise, if the machine on which you are installing Web Reports for Surveys or Reports for Surveys is part of a domain, click Domain and enter the domain name in the box. If the machine is part of a workgroup or you are installing Web Reports for Surveys or Reports for Surveys on your local machine, click Workgroup. In the Username and Password boxes, enter the name and password of the Anonymous Access User.

On the PASW Data Collection Database screen, enter the name of the server that hosts the Microsoft SQL server software.

On the DPM User Admin Details screen, enter a name and password for the Interviewer Server Administrator Administrator. If Interviewer Server has been installed, this user will already exist and the user name will be displayed. Just enter that user's password to continue.

Note: This user name is simply for accessing Interviewer Server Administrator's Distributed Property Management (DPM) database to perform administrative tasks such as setting up Interviewer Server Administrator users and roles, and managing access to Interviewer Server Administrator files and applications. It exists only in DPM. To avoid possible conflicts with other user names, the name that you choose should not match any of the NT user names known to your system.

On the Internet Information Services (IIS) Configuration screen, the installation program detects any web sites available on the installation machine and displays them in the drop-down list box. If you want to use a Web site other than the default for your SPSS Inc. applications, select it from the drop-down list.

The default file location for the web site you have selected is displayed. If the installation program detects a folder called SPSSMR within the web site folder structure, you are prompted to install the files in this folder instead. If you want to install the files to a different location, click Browse and choose the folder you want to use.

If you are installing onto a machine running the Windows 2003 operating system, the Advanced button is available for advanced configuration of your chosen web site. This allows you to place Interviewer Server Administrator in its own application pool so each process can be split across multiple application pools The operating system places a 2 GB restriction on processes in IIS. Put simply, splitting a process across application pools means it is possible to run larger processes. Refer to your IIS documentation for general information about application pools. If you want to use application pools, proceed as follows:

• Click Advanced.

This opens the Advanced IIS Configuration screen.

• To place Interviewer Server Administrator in its own application pool, select Use "SPSSDimensionNetPool" application pool. If you want processes to recycle and/or shut down after specific number of minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the Interviewer Server Administrator process is recycled or shut down, anyone using Interviewer Server Administrator activities at that time will have to restart their session in order to continue working.

• To place Interviewer Server in its own application pool, select Use "SPSSmrInterviewPool" application pool. If you want processes to recycle and/or shut down after so many minutes, select the appropriate option and enter the number of minutes elapse time required. Selecting this option means that if the application process is recycled or shut down, anyone using Interviewer Server activities at that time will have to restart their session in order to continue working.

• Click Apply.

On the Internet Information Services (IIS) Configuration screen, click Next when you are ready to continue.

Note: If you already installed Interviewer Server, the IIS configuration settings are automatically inherited, so the Internet Information Services Configuration screen will not appear.

On the Setup Type screen, choose:

• Typical to install all components on your current machine

• Compact to install the minimum components on your current machine

• Custom to choose the components you want to install

If you chose the Custom installation, two additional screens are displayed.

The Choose Destination Location screen displays the name of the folder in which the files will be installed. The default is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6. If you want to install into a different folder, click Browse and choose the folder you want to use. Click Next.

On the File Management Folder screen, enter the location of the root folder for the file management system. Click Next.

On the FIPS 140-2 Compliance page, select whether or not the installation will be configured for FIPS 140-2 compliance. FIPS 140-2 is a U.S. government computer security standard used to accredit cryptographic modules. Refer to the National Institute of Standards and Technology website for more information.

Configure for FIPS 140-2 Compliance. If your system is already configured to be FIPS 140-2 compliant prior to installation, the installation process will not let you deselect the Configure for FIPS 140-2 Compliance option. If you no do not want the installed applications to be FIPS 140-2 compliant, you must manually set a Windows System cryptography setting to disabled:

1. From the Windows Control panel, select:

Administrative Tools
Local Security Policy
Local Policies (located in the left panel)
Security Options (located in the left panel)
System cryptography: Use FIPS compliant algorithms... (located in the right panel)

2. Double-click the System cryptography: Use FIPS compliant algorithms... policy and select Disabled.

Refer to the National Institute of Standards and Technology website for more information regarding FIPS 140-2.

Note: When FIPS 140-2 is configured for Data Collection and Survey Visualization products, the applications adhere to the password protection security protocols that are defined on the Interviewer Server. For example, if the Interviewer Server is configured for MD5 security, the client-side applications will also use MD5 security for password protection, regardless of whether or not the Configure for FIPS 140-2 Compliance setting was selected during installation.

On the Concurrent Usage Setup page, enter the name of the machine on which the Sentinel License Manager software is installed.

The Start Copying Files screen lists the installation choices you have made. If these settings are correct, click Next to begin the installation. If not, click Back and step back through the screens to make the necessary changes.

Note: The installation procedure places a number of keys in the registry. The WebServiceURL key contains the URL to use for starting Web Reports for Surveys. If the installer can find the server's domain name in the registry, it includes it in the URL so that, for example, the server called olympus is shown as olympus.spss.com. If the WebServiceURL is incorrect, Web Reports for Surveys will not start.

When all files have been copied onto your machine, you are asked whether you want to start the License Authorization Wizard to obtain licenses for your installation. Normally you should answer Yes to this question to license the installed applications. However, if you would prefer to license the applications later, click No.

Refer to Licensing Your Product for details of how to license your applications.

To complete the installation, perform the post-installation tasks.

In This Section

Web Reports for Surveys and Reports for Surveys Installation Scenarios
Installations onto a Domain Controller

Related Topics

Before You Start
Post-Installation Checklist for Interviewer Server InstallationWeb Reports for Surveys and Reports for Surveys Post-Installation Tasks


Activating Concurrent Licenses

Concurrent licenses,Concurrent licenses,Concurrent licenses
activating,activating,activating
Activating concurrent licenses,Activating concurrent licenses,Activating concurrent licenses

Concurrent licensing limits the number of interviews that can run and the number of people who can use the installed Data Collection and Survey Visualization Server applications at the same time. Data Collection and Survey Visualization Server applications use the Sentinel License Manager application to keep track of how many licenses you have and how many interviews and application sessions are currently in progress.

To activate your concurrent usage licenses, proceed as follows.

Open a command prompt.

Change directory to C:\Program Files\Common Files\SafeNet Sentinel\Sentinel RMS License Manager\WinNT.

Type licenseactivator.exe authorization_code where authorization_code is the concurrent license code you received from SPSS Inc.. If you have more than one code, you may either list them one after the other, separated by colons, or you may repeat the command for each code individually.


Adding the ASPNET Account to the Launch Permissions on LogBck02

LogBck02,LogBck02,LogBck02
adding ASPNET account to,adding ASPNET account to,adding ASPNET account to

This task applies only to Accessories servers that are running Windows XP Service Pack 2.

From the Windows Start menu, choose Run.

Type dcomcnfg in the text box and click OK.

In the left-hand frame, expand the display to show the following hierarchy:

Component Services
Computers
My Computer
DCOM Config

In the left-hand frame, right-click LogBck02 and select Properties.

This opens the LogBckO2 Properties dialog box.

Select the Security tab.

In the Launch and Activation Permissions frame click Edit.

This opens the Launch Permissions dialog box.

Click Add.

This opens the Select Users or Groups dialog box.

Click Locations, and change the location to be your local machine. Then click OK.

Add ASPNET, and click OK.

In the Launch Permissions window, verify that Local Launch and Local Activation are allowed for the ASPNET user and set them if they are not.

Close dcomcnfg.


I'm having problems running PASW Data Collection applications remotely on Windows XP Service Pack 2

Remote access,Remote access,Remote access
Windows XP Service Pack 2,Windows XP Service Pack 2,Windows XP Service Pack 2

If you are working on a clustered site, your problems may be caused by a firewall between your computer and one of the machines you are using. If you do not know whether there is a firewall, check with your system administrator. If there is, you may need to open a port on the firewall, allowing you to connect to the machines on the other side.

Open Control Panel and choose:

Windows Firewall

On the Exceptions tab, click Add Port.

In Port Number, type 80.

In Name, type Port 80 or any other suitable text of your choice.

Select the "Port 80" check box on the Exceptions tab to apply the change.

Related Topics

Troubleshooting and FAQs


Checking Internet Explorer Settings for Web Reports for Surveys and Reports for Surveys

Internet Explorer settings for running Web Reports for Surveys and Reports for Surveys,Internet Explorer settings for running Web Reports for Surveys and Reports for Surveys,Internet Explorer settings for running Web Reports for Surveys and Reports for Surveys
Web Reports for Surveys and Reports for Surveys Internet Explorer settings,Web Reports for Surveys and Reports for Surveys Internet Explorer settings,Web Reports for Surveys and Reports for Surveys Internet Explorer settings

After installation, check your Internet Explorer settings before running Web Reports for Surveys or Reports for Surveys. The following changes may be required to ensure that Web Reports for Surveys or Reports for Surveys runs correctly.

Pop-ups,Pop-ups,Pop-ups
Windows XP,Windows XP,Windows XP

Enable Pop-ups for Web Reports for Surveys or Reports for Surveys Web Page (Windows XP Service Pack 2)

The pop-up blocker that comes with Windows XP Service Pack 2 may block some of the dialog boxes in Web Reports for Surveys or Reports for Surveys when the default settings are used. This can result in the loss of all the work you have done in the current session of Web Reports for Surveys or Reports for Surveys. To prevent this from happening, enable pop-ups for the Web Reports for Surveys or Reports for Surveys web page before you run the application.

From the Internet Explorer menu, choose:

Tools
Pop-up Blocker
Pop-up Blocker Settings

Paste the URL of the Web Reports for Surveys or Reports for Surveys web page in the "Address of Web Site to allow" field and click Add.

Click Close.

General Internet Options

From the Internet Explorer menu, choose:

Tools
Internet Options

This displays the Internet Options dialog box.

On the General tab:

• Click Delete Files and confirm your request when asked to do so (it is up to you whether you also choose to delete offline content). This ensures that any temporary files from previous releases of Web Reports for Surveys or Reports for Surveys are removed.

• Click Settings. In the Settings dialog, ensure that "Check for newer versions of stored pages" is set to either Every visit to the page or Automatically.

Security Internet Options

On the Security tab of the Internet Options dialog box, select Trusted Sites, and click the Sites button.

In the Trusted Sites dialog, add the URL for the Web Reports for Surveys or Reports for Surveys website to the list of trusted websites, and click OK to close the dialog.

Select Trusted Sites and set the Security level for this zone slider to Medium. The Medium setting provides the required options for Web Reports for Surveys or Reports for Surveys to properly function.

Security Internet Options when Running Web Reports for Surveys GUI Server and Web Service on Different Machines

On the Security tab of the Internet Options dialog box, select the zone, and click the Custom Level button.

In the Miscellaneous section, select Enable or Prompt for "Access data sources across domains". This is necessary even if the Web Reports for Surveys Front End and Web Service are in the same domain.

Advanced Internet Options

On the Advanced tab of the Internet Options dialog box:

• In the Browsing section, ensure that "Show friendly HTTP error messages" is unchecked.

• In the Security section, ensure that "Do not save encrypted pages to disk" is unchecked. See the topic Configuring Your Browser to Save Encrypted Pages to Disk for more information.

Enabling File Downloads

Follow the instructions that the browser provides the first time it is unable to download a file. The changes made at this point enable all subsequent file downloads in Web Reports for Surveys or Reports for Surveys.

For example, when a user chooses to download a file onto his/her computer, the process will run but will display a message in the browser's information bar saying that Internet Explorer has blocked the site from downloading files onto the computer. To allow file downloads, the user should click on the location indicated in the message to display options for enabling downloads.


Adding Professional Users to the PASW Data Collection Group

PASW Data Collection group,PASW Data Collection group,PASW Data Collection group
adding Professional users to,adding Professional users to,adding Professional users to
Professional users,Professional users,Professional users
adding to PASW Data Collection group,adding to PASW Data Collection group,adding to PASW Data Collection group

Interviewer Server Administrator and all the activities that run within it write log files to the folders named in the Directory setting in HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\DimensionNet\Log and \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Log in the registry. The default for both keys is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server Administrator\Logs. PASW Data Collection desktop applications such as Professional usually write their log files elsewhere.

If you install a mixture of Interviewer Server Administrator and desktop applications on a machine, it makes sense to have all the log files written to the same location, and the Interviewer Server Administrator Logs folder becomes the central location for all log files. The product installation programs deal with this automatically, but there may be times when you need to make some additional changes.

Any user who is a member of the PASW Data Collection group has permissions to write to files in the Logs folder. All Interviewer Server Administrator activities are run by the anonymous user. The anonymous user is a member of the PASW Data Collection group and therefore log messages can be written by all Interviewer Server Administrator activities. Desktop application users (for example, users of Professional or the Interviewer Server Scriptwriter Station) are not necessarily members of this group and may not have permission to write to the Logs folder. Therefore, you may sometimes need to add desktop users to the PASW Data Collection group. There are two situations when you will need to do this:

• You install Interviewer Server, Web Reports for Surveys, or Reports for Surveys onto a machine that already has Professional or just the Scriptwriter Station installed. The installation procedure modifies the registry so that log files for all PASW Data Collection products go to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server Administrator\Logs.

• You install Professional or just the Scriptwriter Station onto a machine that already has Interviewer Server, Web Reports for Surveys, or Reports for Surveys installed. Since the Interviewer Server Administrator Logs folder is already set as the logging folder, the application's installation program does not change the registry settings.

Follow these steps to add a user to the PASW Data Collection group on machines on which Professional is installed:

Open Control Panel and choose:

Administrative Tools
Computer Management

This opens the Computer Management window.

Expand Local Users and Groups, click Groups.

In the right-hand frame, right-click the PASW Data Collection group that you created for installing Interviewer Server and choose Add to Group.

This opens the group's Properties dialog box.

Click Add.

This opens the Users or Groups dialog box.

In the list of names, choose the names of the users you want to add to the group and click Add.

Click OK to close the Users or Groups dialog box.


Setting up a Shared Variable Cache Folder on a Load-Balanced System

variable cache folder,variable cache folder,variable cache folder

Web Reports for Surveys stores data about variables in a cache file. The cache file is saved on the Web Reports for Surveys server in a folder called C:\InetPub\wwwroot\SPSSMR\mrTables\Cache, and is regenerated and downloaded from the server machine to the user's browser when any changes are made.

On a clustered system, users are allocated to one of a number of Web Reports for Surveys servers by the load balancing process. The variable cache file is regenerated if the user logs on to a different Web Reports for Surveys machine. In a system with a large number of Web Reports for Surveys servers, it is unlikely that any user will log on to the same machine twice running, so the variable cache is likely to be generated and downloaded whenever the user logs on, slowing performance.

To prevent the variable cache file from being regenerated each time a user logs on, it is recommended that you use a single shared cache folder.

To create a single shared cache folder

On one server, make the C:\InetPub\wwwroot\SPSSMR\mrTables\Cache folder a shared folder, and grant access to the other Web Reports for Surveys servers.

On the other Web Reports for Surveys servers, remove the C:\InetPub\wwwroot\SPSSMR\mrTables\Cache cache folder, and replace it with a link to the shared folder.

Ensure that permissions on the share are adequate, that is, match the permissions on the original folder.

To change the registry settings for the cache folder

From the Windows Start menu, choose Run.

In the Run dialog box, type regedit and click OK.

In the left-hand frame of the Registry Editor, navigate to HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\MR Tables\5.6.

In the right-hand frame, right-click VariableCacheURL, and select Modify.

In the Edit String dialog, replace the default path /SPSSMR/mrTables/Cache/ with the URL for the cache folder on the designated cache server, for example, https://singleserver.com/SPSSMR/mrTables/Cache/ and click OK.

In the right-hand frame, right-click VariableCacheDir, and select Modify.

In the Edit String dialog, replace the default path C:\InetPub\wwwroot\SPSSMR\mrTables\Cache\ with the UNC path of the cache folder on the designated cache server, for example, \\singleserver\\InetPub\wwwroot\SPSSMR\mrTables\Cache\ and click OK.

You must reboot your machine before the changes take effect.


Enabling Web Reports for Surveys and Interviewer Server Administrator Load Balancing Between Multiple IIS Worker Processes

Web Reports for Surveys runs in its own worker process. The memory limit for a worker process is 2 Gigabytes. If you have Windows 2003 and IIS 6, you can exceed this limit by configuring IIS to use multiple processes and enabling load balancing between the processes. Each process can then use up to the 2 Gigabyte limit. You can also use multiple processes for Interviewer Server Administrator if required.

To do this, you need to carry out the following steps:

1. Set up new Application Pools in IIS 6.

2. Copy the Web Reports for Surveys (or Interviewer Server Administrator, if required) virtual directory.

3. Create virtual directories for the new applications based on the original.

4. Specify which application should run in each application pool.

5. Configure the LoadBalancingConfiguration.xml file to use the new application pools.

To Set Up New Application Pools

From Control Panel select

Administrative Tools
Internet Information Services

Right-click the Application Pools folder.

Select New, then Application Pool from the menu.

Enter a name for the new pool, for example, PASWDataCollectionPool2.

Do this for as many Application Pools as you want to set up.

To Copy the Web Reports for Surveys Virtual Directory

In the Web Sites folder, right-click the Web Reports for Surveys application.

Select All Tasks, then Save Configuration to a File.

In the Save Configuration to a File dialog, enter a name and location for the file, and click OK.

To Create Virtual Directories for the New Applications

Right-click the SPSSMR folder and select New, then Virtual Directory (from file).

In the Import Configuration dialog, select the file that you created previously, then click Read File. The Location list box displays a number of locations.

Select the SPSSMR/Tables location and click OK.

In the IIS Manager dialog box that appears next, enter a name for the new directory then click OK.

Repeat for each Application Pool you have created.

To Assign Applications to Pools

Expand one of the newly created application folders and right-click the WebService folder within it, then select Properties.

In the Web Service Properties dialog, select the pool you want to assign to the application in the Application pool drop-down list, and click OK.

Repeat for all the new applications you have created.

To Configure the Load Balancing File

Open the LoadBalancingConfiguration.xml file. By default, this is located in the C:\InetPub\wwwroot\SPSSMR\Shared folder.

Select the <Application> tag and make a copy for each new application you have created.

Modify the applicationpool and applicationpath attributes for each new application to point to the correct name and path, for example:

<Application name="mrtables" applicationpool="SPSSDimensionNetPool"
ReportingInterval="2000" protocoltype="TCP"
applicationpath="http://localhost:80/SPSSMR/mrTables/webservice/webservice.asmx">
...
</Application>
<Application name="mrtables" applicationpool="SPSSDimensionNetPool2"
ReportingInterval="2000" protocoltype="TCP"
applicationpath="http://localhost:80/SPSSMR/mrTables2/webservice/webservice.asmx">
...
</Application>
<Application name="dimensionnet" applicationpool="SPSSDimensionNetPool3"
ReportingInterval="2000" protocoltype="TCP"
applicationpath="http://localhost:80/SPSSMR/DimensionNet/default.aspx">
...
</Application>
<Application name="dimensionnet" applicationpool="SPSSDimensionNetPool4"
ReportingInterval="2000" protocoltype="TCP"
applicationpath="http://localhost:80/SPSSMR/DimensionNet2/default.aspx">
...
</Application>


Setting up Web Reports for Surveys to Reject New Sessions when Server is Busy

You can configure the Load Balancing process for Web Reports for Surveys so that when the server is busy, new sessions are rejected. You can do this by setting the minlimit and maxlimit attributes for performance counters. When the performance counter exceeds the limits set in the LoadBalancingConfiguration.xml file, the load balancing process does not send new users to the server. For further information about the Interviewer Server Administrator load balancing system, refer to "Load Balancing" in the Interviewer Server Administrator section of the Data Collection Developer Library documentation.

To set limits in the load balancing configuration file

Open the LoadBalancingConfiguration.xml file. By default, this is located in the C:\InetPub\wwwroot\SPSSMR\Shared folder.

Change the minlimit and maxlimit attributes of the <Performance Counters> element to your required limit. For example, to prevent new users from being sent to the server when the memory level reaches 1.5 GB, you could set the limit for the Working Set in the w3wp process as follows:

<PerformanceCounters>
<counter alias="Memory" category="Process" name="Working Set"
instance="w3wp" load-weight="0.3" interval="1000" maximum-measures="5"
minlimit="0" maxlimit="1500000000"/>
</PerformanceCounters>

Note: The default maxlimit="-1" setting indicates that there is no maximum limit.


Configuring Your Browser to Save Encrypted Pages to Disk

You can increase the security of the Web site that provides access to Web Reports for Surveys by using the Secure Sockets Layer (SSL) which encrypts Web documents passed to and from the site. If you are using SSL, performance of Web Reports for Surveys can be improved significantly by changing your browser settings so that encrypted pages are saved to disk. To do this:

Open your browser and select

Tools
Internet Options

In the Internet Options dialog box, click the Advanced tab, and scroll down to the section on Security.

Deselect the Do not save encrypted pages to disk check box if it is selected.

Click OK to save your changes and close the Internet Options dialog box.


Setting Up Web Reports for Surveys or Reports for Surveys Projects in Interviewer Server Administrator

Projects,Projects,Projects
setting up in Interviewer Server Administrator,setting up in Interviewer Server Administrator,setting up in Interviewer Server Administrator

Follow the instructions in "Creating a New Project" in the Interviewer Server Administrator Help. These instructions are also available in the Interviewer Server Administrator User's Guide and the Data Collection Developer Library.

The Data Collection Developer Library also provides a range of sample data sets that may be useful to users who are learning Web Reports for Surveys or Reports for Surveys. Refer to the Web Reports for Surveys or Reports for Surveys sections in the Data Collection Developer Library for further information about these data sets and also for instructions on how to install them.

In This Section

Web Reports for Surveys and Reports for Surveys Post-Installation Tasks


Installing the Data Collection Developer Library

DDL,DDL,DDL
installing,installing,installing
Data Collection Developer Library,Data Collection Developer Library,Data Collection Developer Library
installing,installing,installing

The documentation for is provided in the Data Collection Developer Library, (DDL) which is available on the installation CD as a separate installation. It is also available as a free download from http://www.spss.com/DDL.

The Data Collection Developer Library (DDL) is a collection of tools for developing your own applications and for modifying existing PASW Data Collection products. The documentation that comes with the DDL provides a host of valuable technical information about how the PASW Data Collection products work. It includes sections about Interviewer Server Administrator.

The Interviewer Server Administrator section includes the following topics.

• Security.

• Interviewer Server Administrator and Web Reports for Surveys load balancing.

• Wizards and the Interviewer Server Administrator Application Framework for building your own Interviewer Server Administrator applications.

• Distributed Property Management (DPM) and DPM Explorer.

• File management.

• Files that control how Interviewer Server Administrator works.

• Object models.

The Interviewer Server section includes the following topics.

• The function of and interaction between Interviewer Server components.

• Procedures for starting and stopping interviews, time-outs, and activation.

• Database tables.

• Log files.

• Sample Management.

• The Project Cache.

• The Image Cache.

• Interview Engine load balancing.

• Object models.

You may find it useful when installing because it contains sample data sets that users can use while learning , as well as step-by-step instructions for installing these data sets.

users may also like to have the Data Collection Developer Library available to them as it provides technical information about and the Data Model that is not available in the Help.

To Install the Data Collection Developer Library

Verify you meet all system requirements. See System Requirements and Samples and Tools.

From the Installer window, choose Install Data Collection Developer Library. Follow the instructions on each screen.

Notes:

• The DDL is available as a separate installation on all PASW Data Collection product installation CDs.

• To view the DDL Readme, browse the CD and open ReadMe.doc from the DDL folder. You can also view the Readme after installation in the DDL installation directory ([INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\ReadMe.doc).

• If you have installed an earlier version of the DDL, it is recommended that you remove it before installing the new version.

• The DDL setup wizard includes the option to install the browser-based version of the DDL documentation. You should install the browser-based version if you want to be able to use context-sensitive help in Professional or if you want to be able to search the DDL using a desktop search engine. The installation of the browser-based version will be significantly quicker if the folder in which it is installed is excluded from virus scanning while the installation takes place. By default, the browser-based version is installed in folder [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\HTML Help. To install the browser-based version, select Complete instead of Typical on the DDL installation screen

• If you do not have Visual C++ 6.0 installed, the installation program will not install the Visual C++ CDSC wizard. However, this will not affect the rest of your installation. If you subsequently install Visual C++ 6.0, you can install the Visual C++ CDSC wizard by modifying your DDL installation via Add/Remove Programs in the Control Panel.


System Requirements

Requirements,Requirements,Requirements
DDL,DDL,DDL
Data Collection Developer Library,Data Collection Developer Library,Data Collection Developer Library
requirements,requirements,requirements

Operating Systems

• A 32-bit version of Microsoft® Windows® XP Professional with Service Pack 2, a 32-bit or 64-bit version of Microsoft Windows Vista Ultimate Edition, or 32-bit version of Windows Server™ 2003 Standard or Enterprise Edition with Service Pack 2

Software

• Microsoft Internet Explorer 6.0 or 7.0

• A program for extracting files from a ZIP archive

Hardware

• Pentium-class processor operating at 90 MHz or faster

• 64 MB RAM minimum

• A hard disk with at least 150 MB available space, plus an additional 150 MB if installing the optional browser-based version of the DDL documentation

• CD-ROM drive required for installation

• A graphics adapter with 1024 x 768 resolution or higher

• Minimum 16-bit color quality setting

Related Topics

Samples and Tools


Samples and Tools

Requirements,Requirements,Requirements
Samples and tools,Samples and tools,Samples and tools
System requirements,System requirements,System requirements
Samples and tools,Samples and tools,Samples and tools
Data Collection Developer Library,Data Collection Developer Library,Data Collection Developer Library
Samples ant Tools,Samples ant Tools,Samples ant Tools

If installing the Data Collection Developer Library (DDL), refer to the following information to take full advantage of the DDL. You can install the DDL by clicking Install Data Collection Developer Library from the Autoplay menu.

The DDL includes a number of samples and tools. All of these require Data Model 5.6, and some have additional requirements:

• Three C# wizards that can be used with Visual Studio .NET to simplify the creation of a Interviewer Server Administrator activity. The wizards require installation of Interviewer Server 5.6 or Web Reports for Surveys 5.6.

• A Visual C++ wizard that simplifies the creation of a case data source component (CDSC). This requires installation of Visual C++ 6.0 with Service Pack 4 or later.

• The Visual C++ source code for the XML CDSC. To compile this source code, you must have Microsoft Visual C++ 6.0 with Service Pack 4 or later, Microsoft Data Access Components (MDAC) 2.8 or later, and Microsoft Windows Template Library from the Microsoft Platform SDK.

• The Visual Basic source code for the following tools and applications: a skeleton Visual Basic CDSC project, an example Visual Basic CDSC, a CDSC test tool, DM Query, DSC Explorer, MDM Explorer, and a tool for creating aliases in an MDM document. These require Visual Basic 6.0. Executable files are provided for DM Query and MDM Explorer so you can use them even if you do not have Visual Basic.

• The source code and executable files for three Visual Basic .NET applications: DM Query.NET, WinDMSRun, and DPM Explorer.NET. To run the WinDMSRun executable file, you need Professional 5.6, and to run DPM Explorer.NET, you need Interviewer Server 5.6 or Web Reports for Surveys 5.6. To compile the source code, you need these products and Visual Basic .NET.

• Numerous sample DataManagementScript (DMS) files. To run these files, you must install Professional 5.6.

• Numerous sample mrScriptBasic files. To run these files, you must have Data Model 5.6. Some of these samples have additional requirements, such as Microsoft Office, Professional 5.6, or Professional Tables Option 5.6.

• A number of sample mrScriptMetadata files. To use these files, you must have Data Model 5.6.

• The Short Drinks sample comes in the form of an SQL Server backup of a relational MR (RDB) database. You need SQL Server Client Tools to restore and use this database.

Related Topics

System Requirements


Licensing Your Product

After the main part of the installation is complete, click OK to launch the License Authorization Wizard. After the main part of the installation is complete, click Yes to launch the License Authorization Wizard. The License Authorization Wizard allows you to obtain a license for PASW Data Collection and Survey Visualization Server.

Note: Licenses are tied to your computer's hardware with a lock code. If you replace your computer or its hardware, you will have a new lock code and will need to repeat the authorization process. If you find out that you exceeded the allowable number of authorizations specified in the license agreement, contact your sales representative.

Warning: The license is sensitive to time changes. If you must change the system time and then cannot run the product, contact SPSS Inc. Technical Support.


Using the License Authorization Wizard

Note: If you are running Windows Vista, you may be prompted for administrator credentials. Without the correct credentials, you will not be able to run the Licence Authorization Wizard.

If you don't launch the License Authorization Wizard during installation or cancel the License Authorization Wizard before obtaining a license, you can launch it by choosing License Authorization Wizard in the Windows Start menu program group for PASW Data Collection and Survey Visualization Server.

When prompted, choose License my product now. If you want to enable the trial license instead, refer to Enabling a Trial License .

When prompted, enter one or more authorization codes you received from SPSS Inc.. Authorization codes are delivered (on a separate sheet of paper) along with your software.

The License Authorization Wizard sends your authorization code over the Internet to SPSS Inc. and automatically retrieves your license. If your computer is behind a proxy, click Configure proxy settings and enter the appropriate settings.

If the authorization process fails, you will be prompted to send an e-mail message. Choose whether you want to send the e-mail message through your desktop e-mail program or through a Web-based e-mail application.

• If you choose the desktop option, a new message with the appropriate information will be created automatically.

• If you choose the Web-based option, you must first create a new message in your Web-based e-mail program. Then copy the message text from the License Authorization Wizard and paste it into your e-mail application.

Send the e-mail message and respond to the prompt in the License Authorization Wizard. The e-mail message will be processed almost instantaneously. You can click Enter License Code(s) to enter any license code(s) that you receive. If you already closed the License Authorization Wizard, restart it and select License my product now. On the Enter Codes panel, add the license code that you received and click Next to complete the process.


Maintenance Checklist

This section describes tasks that you may need to carry out periodically for the Data Collection and Survey Visualization Server applications. It includes:

Interviewer Server

• Restarting All Machines in a Cluster

• Adding a New Interviewing Server to an Existing Cluster

• Adding Session Engines to an Interviewer Server

• Updating Passwords for Interviewer Server Components and Services

• Deleting or Truncating SQL Log Files

• Changing the Web Site Port

• Changing interviewing URLs and registration passwords if your site switches to using SSL

• Recycling Application Pools (applicable to IIS6 running on Windows 2003)

Web Reports for Surveys and Reports for Surveys

• Updating Passwords for Interviewer Server Components and Services

• Renewing the License for Interviewer

Web Reports for Surveys only

• Running the Variable Edits Migration Tool


Restarting All Machines in a Cluster

Cluster,Cluster,Cluster
restarting all machines in,restarting all machines in,restarting all machines in
Restarting machines,Restarting machines,Restarting machines
Machines,Machines,Machines
restarting all in a cluster,restarting all in a cluster,restarting all in a cluster

If you need to restart all machines in a cluster, you should restart the machines hosting the Web Service first, then the machines hosting the Database Service, and finally the machines hosting the Interview Service.

Related Topics

Maintenance Checklist


Adding a New Interviewing Server to an Existing Cluster

Cluster,Cluster,Cluster
adding new interviewing server,adding new interviewing server,adding new interviewing server
Interviewing server,Interviewing server,Interviewing server
adding to cluster,adding to cluster,adding to cluster

There are two options for adding a new interviewing server to and existing cluster:

• Use the Modify option from the cluster's primary server installation and then run the installation on the new server. This method requires the primary server to be shutdown and restarted.

• Manually update files on the primary server and then run the installation on the new server. This method does not require the cluster's primary server to be shutdown and then restarted.

Primary server Modify option

This option requires the primary server to be restarted. Use the Manually update files on the primary server option below if you do not want to disrupt active services and interviews.

Go through the pre-installation checklist for the new server.

Select the following from Windows Control Panel on the primary server's :

Add or Remove Programs
PASW Data Collection and Survey Visualization Server 5.6
Change/Remove

This launches the Installation Wizard.

Select the Modify option. Enter the appropriate new server attributes. See the topic Modifying an Installation for more information.

After the installation is complete, reboot the primary server.

From the new server, browse the network for the primary server's mrInterviewSiteInstallation directory and run the installation program from there.

Note: The primary server's mrInterviewSiteInstallation directory must be properly configured for sharing.

After the installation is complete, reboot the new server.

Manually update files on the primary server

To add a new Interviewing Server to an existing cluster with live respondents, without disrupting the service for respondents currently taking surveys, follow the steps listed below (this is a general overview, not a detailed set of instructions).

Go through the pre-installation checklist for the new server.

Make a back-up copy of mrInterviewSitePrep.ini from the original installation and also of key areas of your system such as FMRoot and Projects.

Edit mrInterviewSitePrep.ini from the original installation to reflect the new servers you want to add, as follows:

• Increment the value of InterviewServer as appropriate.

• Add a new InterviewServern entry to the [InterviewServer] section giving the name, port, and protocol to be used for communicating with this server.

Double check mrInterviewSitePrep.ini to verify its accuracy.

Go to the mrInterviewSiteInstallation directory and run the installation program from there.

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\Code\Tools\VB.Net\DPMExplorer.Net and double-click DPMExplorer.exe.

In the left-hand frame, click Clusters.

In the upper right-hand frame, click DefaultCluster.

The property's value is displayed in the lower right-hand frame.

In the lower right-hand frame, add the name of the new interviewing server to the IVServerList variable (names must be separated with semicolons) and click Apply.

Close DPM Explorer

On the original interviewing server, do the following:

• Navigate to [INSTALL_FOLDER]\Common Files\SPSSInc\PASWDataCollection5.6\ProjectMgmt and edit pm.ini. Add the name of the new interviewing server to the IVServerList variable (names must be separated by semicolons).

• Open a command prompt and navigate to [INSTALL_FOLDER]\Common Files\SPSSInc\PASWDataCollection5.6\ProjectMgmt. Type pmsetup.

Back on the new interviewing server, open a command prompt, type RegIntSvr /u /d to unregister and disable the server temporarily.

This allows you to activate projects on the server while ensuring that the server does not start interviews. If you start the Interview Engine at this point, the Web server will try to send interviews to the new server, but because the .mdd file does not exist on that server, respondents will be redirected to another server in the cluster.

Copy the folders for active jobs from the File Management folder (FMRoot\Master) into the new server's Projects folder.

At a command prompt, type RegIntSvr /e to register and enable the interviewing server.

Related Topics

Maintenance Checklist


Adding Session Engines to an Interviewer Server

Interview Session Engines,Interview Session Engines,Interview Session Engines
adding to Interviewer Servers,adding to Interviewer Servers,adding to Interviewer Servers
Session engines,Session engines,Session engines
adding to Interviewer Servers,adding to Interviewer Servers,adding to Interviewer Servers
Memory,Memory,Memory
increasing for interviews,increasing for interviews,increasing for interviews

Each Interview Session Engine runs within its own w3wp.exe worker process. These worker processes become unstable when their memory usage reaches about 1.5Gb. You can avoid this problem by adding additional Interview Session Engines to your Interviewer Servers, as long as the machines that are hosting the Engines have sufficient memory. This automatically adds additional worker processes which effectively doubles the amount of memory that each server can use for serving interviews.

In Windows Explorer, browse to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server, and make a copy of the mrIEngWS folder. Rename the copy to mrIEngWS2.

Create a new application pool:

• Open IIS.

• Right-click Application Pools and select New and then Application Pool.

• Enter SPSSmrInterviewPool2 as the name for the new application pool.

• Click Use existing application pool as template and choose SPSSmrInterviewPool from the drop-down list.

Under Web Sites, right-click the web site that gives access to Interviewer Server and choose New and then Virtual Directory.

Click Next to continue.

On the Virtual Directory Alias page, enter mrIEngWS2 as the alias and then click Next.

On the Web Site Content Directory page, browse to the path of the mrIEngWS2 folder that you created earlier and click Next.

On the Virtual Directory Access Permission page, click Next to keep the default settings.

Click Finish.

Right-click the mrIEngWS2 virtual folder and select Properties.

On the Virtual Directory page, click Create.

In Application Pool, select the SPSSmrInterviewPool2 application pool that you created earlier.

In Execute Permissions, select Scripts and Executables.

Uncheck the Read and Write checkboxes.

Click the Configuration button.

This opens the Application Configuration settings page.

On the Mappings page, click Add.

This opens the Add / Edit Application Extension Mapping page.

Browse to the mrIEngWS2 folder that you created earlier, and select mrIEngWS.dll. You will need to enclose the path in double quotation marks so it may look like this: "[INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIEngWS2\mrIEngWS.dll".

In the Extension input box, type .dll.

Under the Verbs heading, select Limit to: and type GET,HEAD,POST,DEBUG in the text box.

Click OK once to close the dialog box, and then again to go back to the Virtual Directory Properties page.

On the Directory Security tab, under Authentication and Access Control, click Edit.

Enter the user name and password for the Anonymous Access User that you specified during the Interviewer Server installation.

Click Apply to save your changes and then OK to close the dialog box.

In IIS, select Web Service Extensions.

Double-click PASW Data Collection ISAPI Extensions.

On the Required Files tab, click Add to add mrIEngWS.dll in the folder that you created at the start of this procedure

Click Apply and then close the dialog box.

Add the URL for the new Interview Engine to the registry as a string in \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Interviewing\LocalEngineURLs. For example:

LocalEngineURLs='http://intserver1/mrIEngWS','http://intserver1/mrIEngWS2'

Open a command prompt, change directory to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server, and run RegIntSvr.exe to register the new engine with the Web server.

On the Web server, navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb and open RegisteredEngines.xml. This will show you a list of all registered, unregistered and failed engines.

Properties for the new session engine are added to DPM and can be viewed in DPMExplorer by expanding the Cluster properties entry.

When an interview starts, you will see one w3wp process in Task Manager for each session engine that is running.

Making the Session Engines Available to the Phone Participants and Review Interviews Activities

Interview Session Engines,Interview Session Engines,Interview Session Engines
naming alternate for Phone Participants,naming alternate for Phone Participants,naming alternate for Phone Participants
Phone Participants,Phone Participants,Phone Participants
alternate interview engines,alternate interview engines,alternate interview engines
Review Interviews,Review Interviews,Review Interviews
alternate interview engines,alternate interview engines,alternate interview engines
Alternate interview session engines for telephone/reviewed interviews,Alternate interview session engines for telephone/reviewed interviews,Alternate interview session engines for telephone/reviewed interviews

All PASW Data Collection telephone interviewing and interview reviewing sessions have access to the default session engine (usually [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIEngWS\mrIEngWS.dll) and to any other interview session engines named in the Phone Participants or Review Interviews Web.config files. To name alternate engines, do the following:

Navigate to C:\InetPub\wwwroot\SPSSMR\CatiInt and open the Web.config file.

Add the following definition to the < appSettings> section:

<add key="ALTERNATE_INTERVIEW_ENGINES" value="engine_names"/>

where engine_names is a comma-separated list of the URLs of interview engines. For example:

<add key="ALTERNATE_INTERVIEW_ENGINES" value=" http://redserver/mriengws2, http://redserver/mriengws, http://blueserver/mriengws2"/>

Save your changes and close the file.

Repeat these steps for the Web.config file in C:\InetPub\wwwroot\SPSSMR\ReviewInterview.


Updating Passwords for Interviewer Server Components and Services

Interviewer Server,Interviewer Server,Interviewer Server
changing component/service passwords,changing component/service passwords,changing component/service passwords
Password for Interviewer Server components/services,Password for Interviewer Server components/services,Password for Interviewer Server components/services
changing,changing,changing
ChangePasswords utility,ChangePasswords utility,ChangePasswords utility

Interviewer Server components and services are installed with the name and password of the Running User. Many companies have a policy of regularly changing passwords to avoid security breaches, so Interviewer Server comes with a utility that the administrator or other suitably qualified user can run to update the passwords of all installed Interviewer Server components and services.

The ChangePasswords utility does not change the system password for the Interviewer Server Running user; you must do this using the standard Windows tools before running ChangePasswords. Rather, it updates password information held in the registry for Interviewer Server components and services that will be run by the Running User.

Note: You can run this utility while the Interviewer Server services are running.

To Update Passwords for Interviewer Server Components and Services

If you have not already done so, use the standard Windows tools to change the account passwords for the Running User and Anonymous Access User.

Open Windows Explorer, browse to the folder in which the PASW Data Collection applications are installed (for example, ) and double-click ChangePasswords.exe.

This opens the Change Password Utility dialog box, showing the current domain name and user name.

In the Password fields, type the new passwords for the Running User and the Anonymous Access User.

Click Change.

The program displays a message confirming that all passwords have been changed.

Related Topics

Maintenance Checklist


Deleting or Truncating SQL Log Files

Log files,Log files,Log files
deleting/truncating,deleting/truncating,deleting/truncating

Deleting or truncating log files prevents them from becoming too large and possibly running up against a system limit that prevents Interviewer Server from functioning correctly. Recommendations are as follows:

• Delete or truncate the log files for the mrUserData and mrInterviewData databases as part of your regular system maintenance plan, as there is always a lot of activity in this database and the log file grows at a rapid rate.

• When you back up a database, truncate or delete the log file that Interviewer Server uses for recording messages related to that database.

Refer to your SQL Server documentation for information on how to delete or truncate SQL log files.

Related Topics

Maintenance Checklist


Changing the Web Site Port

Web site port number,Web site port number,Web site port number
changing,changing,changing

The default port number for web sites is port 80. When you install the Web Service onto a web site that uses a different port number, you can specify this port number and the installation program will ensure that Interviewer Server will run using that port. If you change the port number that your web site uses after installing Interviewer Server, you must make the corresponding changes for Interviewer Server manually.

Open regedit and navigate to \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Interviewing.

Change the LocalEngineURLs setting so that it reads
http://ServerName:PortNumber/mrIEngWS

If you were previously using port 80 but are now using a different port, you will need to add :PortNumber to the existing definition. If you are switching from using a port other than 80 to using port 80, you will need to delete :PortNumber from the existing definition. Otherwise, simply change the value of PortNumber.

Change the RegistrationURL setting so that it reads
http://%Server%:PortNumber/mrIWeb/mrIWeb.dll?Handler=EngineRegistrationService
The rules for changing PortNumber are as described in the previous step.

Save the changes and exit.

Open [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb\Web.config and change the ImageCache and LocalImageCache keys so that they read as follows (lines are split for ease of reading only):

<add key="LocalImageCacheURL"
   value="http://servername:PortNumber/SPSSMR/ImageCache/ImageCache.aspx"/>
<add key="ImageCacheURL"
   value="http://servername:PortNumber/SPSSMR/ImageCache/ImageCache.aspx"/>

As with the registry settings, you will either add, remove or change the :PortNumber parameter in these definitions depending on what changes you have made to the web site port number.

Related Topics

Maintenance Checklist


Changing Interviewing URLs and Registration Passwords

URLs for interviewing,URLs for interviewing,URLs for interviewing
Registration password,Registration password,Registration password

When you install Interviewer Server, the installation procedure sets up URLs for interviewing based on the information given at that time. For example, if you are using non-default ports or SSL, the URLs will be modified accordingly. If your site switches to using SSL once Interviewer Server has been installed, you can make the changes manually and your existing installation should continue to work.

Changing the URL for Starting Interviews

Using Windows Explorer, navigate to the \InetPub\wwwroot\SPSSMR\ProjectEditor\Settings folder on your web site.

Using a text editor, open Properties Interviewer Server (Data Collection).xml.

Locate the entry for the InterviewStartURL property and change the default value so that it starts with https rather than the standard http.

Save your change and close the file.

Setting the URL for the Image Cache

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb and open Web.config.

Add the following lines to the file:

<appSettings>
  <add key="ImageCacheURL" value="http://WebServerName/SPSSMR/ImageCache/ImageCache.aspx"/>
</appSettings>

If this setting is not defined, template files will not be available.

Save the changes and close the file.

Configuring the RegistrationURL Setting in the Registry

On each machine running the Interviewing Service:

Run regedit and navigate to \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Interviewing\.

Change the value of the RegistrationURL setting so that it starts with "https" rather than the standard "http":

https://%SERVER%/mrIWeb/mrIWeb.dll?Handler=EngineRegistrationService

If this setting is not defined, add it and give it the value shown above.

Save your changes and close regedit.

Changing the Registration Password

This is optional and applies to all machines running the Interviewing Service.

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb and open Web.config.

Replace the default registration password stored in RegistrationPW with a password of your choice.

Save your changes and close the file.

Run regedit and navigate to \HKEY_LOCAL_MACHINE\ Software\SPSS\ mrInterview\3\Interviewing\.

Change the value of the RegistrationPW setting so that it matches the password you have just defined in the Web.config file.

Save your changes and close regedit.

Related Topics

Maintenance Checklist


Recycling Application Pools

Application pools,Application pools,Application pools
recycling,recycling,recycling

This task applies only to machines running Internet Information Services (IIS) 6 with Windows 2003.

You should recycle processes periodically, for both stability and performance reasons. Over long periods of time, leaked resources and system or application problems may affect Web server throughput. You should balance this with recycling too often, however, since the cost of stopping the worker process, reloading pages and re-obtaining resources and data may override the benefits of a recycle. If there is high load on the interviewing server, you may need to configure your Interviewer Server application pool to recycle once a day. If there is low load, you can set the application pool to recycle once a week, or disable it completely. By default application pool recycling is disabled for the Interviewer Server application pool.

The steps to set up recycling for the Interviewer Server application pool are as follows:

Open Internet Information Services Manager.

Expand the display in the left-hand frame so that you can see the SPSSmrInterviewPool application pool in the Application Pools branch.

Right click SPSSmrInterviewPool and select Properties.

The SPSSmrInterviewPool AppPool dialog box opens.

On the Recycling tab select the type of recycling you want and enter the additional information required.

Click OK to save your changes and then close IIS Manager.

Related Topics

Maintenance Checklist


Updating the Password for Web Reports for Surveys and Reports for Surveys

Password,Password,Password
changing,changing,changing
ChangePasswords utility,ChangePasswords utility,ChangePasswords utility

Web Reports for Surveys and Reports for Surveys run using the name and password of the Running User specified during the installation procedure. Many companies have a policy of regularly changing passwords to avoid security breaches, so Web Reports for Surveys and Reports for Surveys include a utility that the administrator ,or other suitably qualified user, can run to update the passwords for the Running User and Anonymous Access User.

The ChangePasswords utility does not change the system password for the Web Reports for Surveys or Reports for Surveys Running User password at the domain or workgroup level; you must do this using the standard Windows tools before running ChangePasswords. Rather, the utility updates password information held in the registry for Web Reports for Surveys and Reports for Surveys components that will be run by the Running User and Anonymous Access User.

To Update the Running User Password

If you have not already done so, use the standard Windows tools to change the account passwords for the Running User and Anonymous Access User.

Open Windows Explorer, browse to the folder in which the PASW Data Collection applications are installed (for example, ) and double-click ChangePasswords.exe.

This opens the Change Password Utility dialog box, showing the current domain name and user name.

In the Password fields, type the new passwords for the Running User and the Anonymous Access User.

Click Change.

The program displays a message confirming that all passwords have been changed.

In This Section

Running the Variable Edits Migration Tool


Running the Variable Edits Migration Tool

Migration tool,Migration tool,Migration tool
running,running,running

Projects created in mrTables 4.0 or earlier need to be upgraded so users can take advantage of the changes made starting in release 4.5 to save variable edits in table document files so they can be shared by other users. The upgrade needs to be performed once for each project that was created in mrTables 4.0 or earlier, to upgrade it to mrTables4.5 through 5.5 or Web Reports for Surveys 5.6. The Web Reports for Surveys Upgrade tool saves the variable edits, stored in the project management system (DPM) for projects created in version 4.0 and earlier, into each of the table document (.mtd) files that exist in each user's project folder. Optionally, it also deletes the variable edits from DPM (this is recommended once you have completed the upgrade for all users). Once you have upgraded the table documents, you can transfer them between Web Reports for Surveys, Professional, and Reports for Surveys, without losing variable edits or filters that have been added in Web Reports for Surveys.

Note: Variable edits saved in DPM are no longer supported from release 4.5.

Table Document Files in the Shared Area. Table document files stored in the shared area are not affected by the upgrade tool. To upgrade shared table documents, it is recommended that before running the upgrade tool, a user with the appropriate access permissions saves the shared files to their own user area. The files will then be upgraded with that user's variable edits, and can be replaced in the shared area when the upgrade is complete.

Table Document Files from Reports for Surveys and Professional. If a table document file in the user's folder already contains variable edits that were added in Reports for Surveys or Professional, these edits take precedence over the Web Reports for Surveys edits in DPM, and the file is not updated with the DPM edits.

To run the Migration Tool

Log on to the Web Reports for Surveys server.

In Windows Explorer, navigate to the Web Reports for Surveys folder, for example: [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Web Reports for Surveys\.

Double-click the mrTablesVariableEditsMigrationTool.exe file.

In the Web Reports for Surveys Upgrade Tool window, enter your DPMAdmin user name and password.

You can either choose to migrate all the information for all projects or for a specific table document, user, and project.

To migrate information for all projects

Using the Migrate All option means you can complete the upgrade for all users and projects at once. It also includes an option to delete the variable edits from DPM once the migration completes successfully. Deleting variable edits is recommended as, once all projects have been upgraded, they are no longer of any use, and are simply taking up space.

If required, select Delete old variable edits once successfully migrated.

Click the upper Migrate button.

The migration tool checks for any users who have variable edits in DPM, and displays a list of the users. You can either choose to migrate all users, or press Cancel to return to the window and select individual users to migrate.

If you choose to migrate all users, the results of the migration process are recorded in a log at the bottom of the window. You can copy the information from this log and save it to a file as a record of the upgrade process.

Note: Once the upgrade has run successfully for all users and projects, the upgrade tool sets the VariableEditsMigratedToMTD property on the Web Reports for Surveys application in DPM to true, to indicate that all projects have been upgraded.

To migrate information for a specific table document, user, or project

Using the Migrate to selected file options means you can carry out the migration for users, projects, and table document files individually. You may prefer to use these options rather than the Migrate All option if you want to perform the upgrade in stages.

The option to delete edits from DPM is not available when you use the Migrate to selected file options. This is because the edits may be required by other table documents that have not yet been upgraded. When you have migrated the required users and projects, you may want to use the Migrate All option to check that nothing has been missed, and to delete the variable edits from DPM.

To migrate information for individual table documents, users, or projects:

• To migrate information to a specific table document, browse to the location of the table document in the FMRoot folder, for example: [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\FMRoot\Users\Admin\Projects\Museum\museum tables.mtd.

• To migrate information for a specific project, enter the project's name

• To migrate information for a specific user, enter the user name

Click the lower Migrate button to run the migration.

The results of the migration process are recorded in a log at the bottom of the window. You can copy the information from this log and save it to a file as a record of the upgrade process.

In This Section

Updating the Password for Web Reports for Surveys and Reports for Surveys


Modifying, Repairing, or Removing Your Installation

You can Modify, repair, or remove an existing Data Collection and Survey Visualization Server 5.6 installation. Refer to the following sections:

• Modifying an Installation

• Repairing an Installation

• Removing Data Collection and Survey Visualization Server Applications

Related Topics

Modifying an Installation
Repairing an Installation
Removing Data Collection and Survey Visualization Server Applications


Modifying an Installation

Installation,Installation,Installation
modify,modify,modify

Log on with the user name you created for installing the Data Collection and Survey Visualization Server applications.

From the Windows Start menu, select:

Control Panel
Add or Remove Programs
PASW Data Collection and Survey Visualization Server 5.6

Click Change/Remove to open the Data Collection and Survey Visualization Server 5.6 Maintenance window.

Select Modify and click Next. Modifying an existing installation allows you to perform the following tasks:

• Add/remove features on the local machine (Load Tool, ScriptWriter Station, Interviewer Phone, Remote Administrator, and so on).

• Add/remove servers to an existing cluster. Note that adding servers via the modify option requires the cluster's primary server to be rebooted. Refer to Adding a New Interviewing Server to an Existing Cluster for instructions on adding additional servers to a cluster without interrupting active services and interviews.

The remaining steps are identical to installing the Data Collection and Survey Visualization Server applications. Refer to Interviewer Server Installation Information or Web Reports for Surveys and Reports for Surveys Installation Overview for more information.

After modification, either reboot all of the Interviewer Servers, or navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server on each Interviewer Server and run RegIntSvr.exe. Both actions register the Interviewing Service with the Web Service.


Repairing an Installation

Installation,Installation,Installation
repairing,repairing,repairing

Log on with the user name you created for installing the Data Collection and Survey Visualization Server applications.

From the Windows Start menu, select:

Control Panel
Add or Remove Programs
PASW Data Collection and Survey Visualization Server 5.6

Click Change/Remove to open the Data Collection and Survey Visualization Server 5.6 Maintenance window.

Select Repair and click Next.

The remaining steps are identical to installing the Data Collection and Survey Visualization Server applications. Refer to Interviewer Server Installation Information or Web Reports for Surveys and Reports for Surveys Installation Overview for more information.

Related Topics

Modifying, Repairing, or Removing Your Installation


Removing Data Collection and Survey Visualization Server Applications

Installation,Installation,Installation
removing,removing,removing

To remove Data Collection and Survey Visualization Server applications, use the uninstall feature. If you simply delete the files and folders associated with the products, the applications will not be properly removed and you may have problems installing or removing later versions.

After you installed Data Collection and Survey Visualization Server applications, you may have changed some of the files that control how Interviewer Server Administrator or Data Collection and Survey Visualization Server applications work. The removal procedure backs up key files, allowing you to copy them back to their original locations after a reinstall.

Files are backed up to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Backup\Interviewer Server Administrator version_date_time; for example, Interviewer Server Administrator 2.3_10.15.2004_13.59.20. Inside this folder are subfolders containing files from various locations within \Program Files and the IIS Web site folder. Files that are backed up typically include the following:

• Web.config files for Interviewer Server Administrator activities

• Web.config files for Interviewer Server activities

• The Web.config file for Web Reports for Surveys

• ProjectMgmt\pm.ini.

• SampleMgt.GUI.Config.xml

• The load balancing script files defaultreport.mrs and defaultload.mrs

To Remove Data Collection and Survey Visualization Server Applications

Log on with the user you created for installing the Data Collection and Survey Visualization Server applications.

From the Windows Start menu, select:

Control Panel
Add or Remove Programs
PASW Data Collection and Survey Visualization Server 5.6

Click Change/Remove to open the Data Collection and Survey Visualization Server 5.6 Maintenance window.

Select Remove and click Next.

Confirm your request when prompted to do so.

On the Maintenance Complete page, click Finish.

Reboot when prompted to do so. If you do not reboot, you will not be able to reinstall Data Collection and Survey Visualization Server applications.

remove,remove,remove
Reports for Surveys files,Reports for Surveys files,Reports for Surveys files
delete,delete,delete
Reports for Surveys files,Reports for Surveys files,Reports for Surveys files
Reports for Surveys files,Reports for Surveys files,Reports for Surveys files
delete,delete,delete

To Remove Residual Reports for Surveys Files from Workstations

When Reports for Surveys is installed from the Interviewer Server there are a number of files that need to be manually removed from each workstation. Delete the following downloaded folders from each workstation machine.

• C:\Documents and Settings\<your Windows user name>\Application Data\SPSSInc\PASWDataCollection\Reports for Surveys\5.6

• C:\Documents and Settings\<your Windows user name>\Local Settings\Apps\2.0

Related Topics

Modifying, Repairing, or Removing Your Installation


Troubleshooting and FAQs

Related Topics

How do I change the options in a site preparation file?
The folder in which I created the site preparation file is not visible from the machines named in the site preparation file.
The installation program fails with the message 'Error 1608: Unable to create InstallDriver instance'
How do I create an installation log file?
I've installed a new application version and get errors when I try to select things from the menus in Interviewer Server Administrator
I can log in to Interviewer Server Administrator if I enter the URL as //localhost/... but not if I enter the server's name instead of localhost
Machines in the cluster can ping one another successfully but cannot see FMRoot
Errors when attempting to ping machines in a cluster
I want to check that SQL Server is running on the Database server but I cannot see the server name in the list of servers
The location of the Web Site folder containing SPSSMR has changed since Data Collection and Survey Visualization Server applications were installed.
My site uses Microsoft ISA. Are there any changes I need to make in order to run Interviewer Server Administrator?
I'm installing onto Windows XP, and the installation fails when I click Next on the mrInterviewData Interviewer Server Administrator Database Setup page
The installer says it can't find SQL server running on the machine specified
Checking that Machines in a Cluster can Communicate with Each OtherChecking that Machines in a Cluster can Communicate with Each Other
To Install the Export Components
Enabling Security Access for Microsoft Excel, Word, and PowerPoint Exports
I'm having problems running PASW Data Collection applications remotely on Windows XP Service Pack 2I'm having problems running PASW Data Collection applications remotely on Windows XP Service Pack 2
I'm having problems logging into Interviewer Server Administrator or installing/running Reports for Surveys Server
Users who log in with NT user names cannot activate projects
My site blocks access to URLs that reference .dll files
I receive the error message "Failed to load MDM Document: The network location cannot be reached"
I receive a "Maximum Length Exceeded" error when populating numerous tables in Web Reports for Surveys
I've uninstalled Interviewer Server but Interviewer Server Administrator is still there
I've uninstalled Interviewer Server but can't reinstall it


How do I change the options in a site preparation file?

Site preparation file,Site preparation file,Site preparation file
changing options in,changing options in,changing options in

You may edit the site preparation file using a text editor of your choice, but take care not to change the names of any of the variables defined in the file. The installation program expects to find the information it requires in variables with specific names. If you change the variable names the installation is likely to fail.

If you have already installed Interviewer Server on some of the machines named in the site preparation file, you will need to uninstall Interviewer Server from these machines and install it again after you have edited site preparation file.


The folder in which I created the site preparation file is not visible from the machines named in the site preparation file.

Site preparation file,Site preparation file,Site preparation file
not visible from machines named in,not visible from machines named in,not visible from machines named in

Check that you have shared the folder and that you have assigned permissions for the Installing User and the PASW Data Collection Group. See the topic Creating the Site Preparation File and Folder for more information.


The installation program fails with the message 'Error 1608: Unable to create InstallDriver instance'

Failed installations,Failed installations,Failed installations

This is an InstallShield problem that can happen for the following reasons:

• The Client for Microsoft Networks networking protocol is not installed on the machine on which you are trying to install Interviewer Server. If this is part of your company's security policy, install the protocol temporarily so that you can install Interviewer Server and then uninstall it.

• The dcomcnfg default security settings do not include the Installing User under the Launch and/or Default Access permissions. To set the necessary permissions, do the following:

Run dcomcnfg.

On the Default Security tab, click Edit Default in the Default Launch Permissions section.

Add the Installing User.

If necessary, make the same change in the Default Access Permissions section.

Click OK.


How do I create an installation log file?

Installation log file,Installation log file,Installation log file

If you are having problems installing the application and you cannot see from the existing error messages what the problem is, you may be able to solve the problem by creating a log file as the installation procedure is running. To do this, you need to run the installation program manually, as follows:

Open a command prompt and go to the directory on the CD containing the installation program, setup.exe.

To log just the application part of the installation, type: setup.exe /V"/l*v log_filename /i" where log_filename is the full pathname, including drive letter, of the log file you want to create. To log the Interviewer Server Administrator part of the installation as well, type setup.exe /V"/l*v log_filename LOGDIM_INSTALL=TRUE /i". This will create a log file called [INSTALL_FOLDER]\Common Files\SPSSInc\PASWDataCollection5.6\Installer\Interviewer Server Administrator\DimInstallLog.txt.

If you still cannot resolve the problem, contact your support representative for assistance.


I've installed a new application version and get errors when I try to select things from the menus in Interviewer Server Administrator

Errors when selecting from menus,Errors when selecting from menus,Errors when selecting from menus

When you run applications from your browser, the browser maintains a number of temporary files that help it to keep track of what you have done and to run the application as efficiently as possible. Sometimes, when you install and run a different version of an application, your browser attempts to reuse the information in the temporary files. If this no longer matches the way the application works, errors will occur. You can solve this problem easily by deleting the temporary files.

Open your browser and select

Tools
Internet Options

In Temporary Internet Files, click Delete Files.

Confirm your request when prompted to do so.


I can log in to Interviewer Server Administrator if I enter the URL as //localhost/... but not if I enter the server's name instead of localhost

Interviewer Server Administrator,Interviewer Server Administrator,Interviewer Server Administrator
log-in problems,log-in problems,log-in problems

If the server name contains any characters other than letters, numbers, hyphen, and dot, you will not be able to log in to Interviewer Server Administrator by specifying the server name in the URL. This is due to a limitation in Internet Explorer which prevents servers whose names contain characters other than these from setting cookies. If you want to use this server with Interviewer Server Administrator and Interviewer Server you will either have to change its name or refer to it using its IP address.


Machines in the cluster can ping one another successfully but cannot see FMRoot

FMRoot,FMRoot,FMRoot
failure of clustered machines to see,failure of clustered machines to see,failure of clustered machines to see
Clustered machines,Clustered machines,Clustered machines
cannot see FMRoot,cannot see FMRoot,cannot see FMRoot

The standard test for ensuring that all machines in a cluster can communicate with one another is to try pinging each machine from every other machine in the cluster. If your site has increased its security by switching off Client for Microsoft Networks, then even though machines will be able to ping one another they may not be able to access FMRoot on the primary DPM server. To resolve this problem, switch on Client for Microsoft Networks on the machines on which Interviewer Server Administrator and Interviewer Server are installed.


Errors when attempting to ping machines in a cluster

Clustered machines,Clustered machines,Clustered machines
errors when pinging,errors when pinging,errors when pinging

If machines in a cluster cannot ping one another, the problem is usually due to the security set up between those machines.

The message "Request timed out" usually occurs if there is a firewall blocking communication between the two machines.

The message "Ping request could not find host server_name. Please check the name and try again" usually occurs when a firewall or security setting is preventing certain communications from the DMZ (demilitarized zone) to the main network or to trusted machines. A typical example of this is when the Interviewing server can ping the Web server, but the Web server cannot ping the Interviewing server.

Try connecting to the machine by typing http://MachineName into your browser instead.


I want to check that SQL Server is running on the Database server but I cannot see the server name in the list of servers

SQL Server,SQL Server,SQL Server
database server not shown in list of SQL servers,database server not shown in list of SQL servers,database server not shown in list of SQL servers

If there is a firewall or a DMZ boundary between the Interviewing server and the Database server, you may not see the name of the Database server in the list of SQL servers displayed in the Create a New Data Source to SQL Server dialog box. Just type the name of the Database server into the Server box and the connection request will generally be allowed.


The location of the Web Site folder containing SPSSMR has changed since Data Collection and Survey Visualization Server applications were installed.

Load balancing configuration file,Load balancing configuration file,Load balancing configuration file
location of,location of,location of
Default web site folder,Default web site folder,Default web site folder
moving after installation,moving after installation,moving after installation

What changes do I need to make in order to continue using Data Collection and Survey Visualization Server applications?

If the location of the Web site on which you installed Data Collection and Survey Visualization Server applications changes after installation, you will need to move the Data Collection and Survey Visualization Server application and Interviewer Server Administrator application folders and the webctrl_client folder from the original Web site to the new one. You will also need to change the pathname defined for the Interviewer Server Administrator load balancing configuration file in Interviewer Server Administrator's Web.config file.

If the SPSSMR folder does not appear in the new Web site folder, copy it from the Web site folder in which it was installed into the new location.

Move the webctrl_client folder from the original Web site folder into the new folder so it is at the same level as the SPSSMR folder.

From the Control Panel, go to:

Administrative Tasks
Internet Information Services

This opens the Internet Information Services window.

Create the new SPSSMR virtual directory

In the left-hand frame, right-click the Web site to which you have just copied the SPSSMR folder and select New, Virtual Directory.

This starts the New Virtual Directory wizard.

On the first page of the wizard, click Next.

On the Virtual Directory Alias page, enter SPSSMR as the Alias name and then click Next.

On the Web Site Contents Directory tab, click Browse and select the SPSSMR folder in its new location. Then click Next.

On the Access Permissions page, ensure that only the Read and Run script check boxes are selected. Then click Next.

On the last page, click Finish.

Create virtual directories for PASW Data Collection activities

Create virtual directories for activities within the SPSSMR folder by repeating the previous set of steps for each activity folder. For example, to create a virtual directory for the Activate activity, right-click SPSSMR in the left-hand frame and choose New, Virtual Directory.

Within each activity's virtual directory, create virtual directories pointing to the SPSSMR\Shared and SPSSMR\Shared\Login folders. For example, to create an SPSSMR\Activate\Shared virtual directory, right-click Activate in the left-hand frame and choose New, Virtual Directory.

Remove the Create Application setting from the SPSSMR, Shared, and Login virtual directories

In the left-hand frame, right-click SPSSMR and select Properties.

This opens the SPSSMR Properties dialog box.

In the Application Settings frame, click Remove.

The text box is greyed out and the button name changes to Create.

Click OK.

Repeat this procedure for every Shared and Login virtual directory within SPSSMR.

Close IIS.

Reconfigure Interviewer Server Administrator load balancing

Browse to the Interviewer Server Administrator folder in the new Web site folder.

Right-click Web.config, select Properties, and remove the Read-only attribute from the file. Click OK to close the dialog box.

Using a text editing program such as Notepad, open Web.config.

Scroll to the end of the file and locate the line that defines the SPSS_LoadBalanceXmlFile key. In this line, replace the pathname with the drive letter and pathname of the new Web site folder (do not change the filename itself).

Save your changes and close the file.

Update the Registry setting for the Web Reports for Surveys variable cache directory

From the Windows Start menu, select Run.

In the Open box, type regedit and click OK. This opens the Registry Editor.

In the left-hand frame, navigate to HKEY_LOCAL_MACHINE\SOFTWARE\SPSS\MR Tables\5.6.

In the right-hand frame, right-click VariableCacheDir, and select Modify.

In the Edit String dialog, replace the pathname with the drive letter and pathname of the new Web site folder and click OK.

You must reboot your machine before the changes take effect.


My site uses Microsoft ISA. Are there any changes I need to make in order to run Interviewer Server Administrator?

Internet and Security Acceleration (ISA),Internet and Security Acceleration (ISA),Internet and Security Acceleration (ISA)
running Interviewer Server Administrator with,running Interviewer Server Administrator with,running Interviewer Server Administrator with

If you have Microsoft Internet and Security Acceleration (ISA) installed, you may encounter problems if your site has machines that have different names or IP addresses depending on whether they are being accessed via an intranet or via the Internet. Typically, if a user runs Interviewer Server Administrator from the Internet and starts an activity, Interviewer Server Administrator will fail when the user ends the activity. This is because it tries to return the user to Interviewer Server Administrator using the server's intranet name or IP address rather than the Internet name or IP address that the user originally used. To avoid this problem, make the following changes:

Open ISA and select the Action tab.

Select Send the original host header to the publishing server instead of the actual one.

Click OK.

For further information refer to http://support.microsoft.com/?kbid=838252


I'm installing onto Windows XP, and the installation fails when I click Next on the mrInterviewData Interviewer Server Administrator Database Setup page

msdart.dll file,msdart.dll file,msdart.dll file
mrInterviewData Database Setup page,mrInterviewData Database Setup page,mrInterviewData Database Setup page
problems on,problems on,problems on
Interviewer Server Administrator Database Setup page,Interviewer Server Administrator Database Setup page,Interviewer Server Administrator Database Setup page
problems on,problems on,problems on

When you click Next on the mrInterviewData Interviewer Server Administrator Database Setup page, the installation procedure runs a script to verify it can communicate with the database server named on this page. If you are installing applications on a machine running Windows XP (this is supported for demonstration machines only), you may find that the installation procedure fails at this point with the message "The procedure entry point SetFileSecurityI could not be located in the dynamic link library MSDART.DLL," regardless of the server name you enter and whether you can communicate with the server in other ways.

This is due to a problem with the operating system, which you should be able to resolve by copying the msdart.dll file to be msdart32.dll. You'll find the file in c:\Windows\system32. Once you have created a copy with the new name you should be able to install applications with no problems.


The installer says it can't find SQL server running on the machine specified

SQL server,SQL server,SQL server
not found on specified machine,not found on specified machine,not found on specified machine

If the installation procedure issues the message "Can't find SQL server running on the machine specified." when you click Next on the mrInterviewDataInterviewer Server AdministratorDatabase Setup page, this may be for any of the following reasons:

• You mistyped the server's name.

• The machine running the SQL Server is unreachable.

• Microsoft Data Access Components (MDAC) are not correctly installed.

• The latest Windows updates are not installed.

To resolve the problem, do the following:

Check that your spelling is correct and, in the case of a named SQL server instance, that you have typed the instance name correctly.

Check that you can ping the machine. See the topic Checking that Machines in a Cluster can Communicate with Each Other for more information.

If MDAC are not installed, proceed as follows:

• Cancel the installation and select Install Microsoft Data Access Components (MDAC) 2.8 from the autoplay menu. See the topic Installing Microsoft Data Access Components 2.8 for more information.

• When the MDAC installation finishes, reboot the machine.

Download and install the latest Windows updates from the Microsoft web site.

If you are using Windows XP and the error still persists and you now see the message "The procedure entry point SetFileSecurityI could not be located in the dynamic link library MSDART.DLL," follow the instructions in I'm installing onto Windows XP, and the installation fails when I click Next on the mrInterviewData Interviewer Server Administrator Database Setup page.I'm installing onto Windows XP, and the installation fails when I click Next on the mrInterviewData Interviewer Server Administrator Database Setup page.


To Install the Export Components

Tables,Tables,Tables
exporting,exporting,exporting
Exporting,Exporting,Exporting
tables,tables,tables
Internet Explorer,Internet Explorer,Internet Explorer
security settings,security settings,security settings
Security settings,Security settings,Security settings
for exporting tables,for exporting tables,for exporting tables

Web Reports for Surveys automatically downloads and installs the relevant export component on your local machine the first time you run each type of export in Web Reports for Surveys. Therefore, most people will find it unnecessary to install the export components from the Data Collection and Survey Visualization Server CD-ROM. In some cases, however, the security settings in your browser may prevent Web Reports for Surveys from downloading the components needed to export tables. If this is the case, you can install the export components from the Data Collection and Survey Visualization Server CD-ROM.

To Install the Export Components:

Log on to the machine as a user who has power user or higher privileges for that machine.

Insert the CD-ROM into the CD-ROM drive.

From the Windows Start menu, choose Run.

In the Run dialog box, type d:\autoplay. (Where d:\ is the CD-ROM drive.) This opens the main installer window.

In the main installer window, choose Browse the CD-ROM.

Browse to the Web Reports for Surveys Exports Installer folder and double-click the appropriate installation file.

This opens the Web Reports for Surveys 5.6 Exports window.

On the Welcome page, click Next.

On the License Agreement page, read the license agreement.

If you accept the agreement, click Yes.

In the Customer Information page, enter your user name and your organization’s name, and then click Next.

In the Setup Type page, choose one of the following and then click Next:

• Complete. Choose this option if you want to install the export components into the default locations.

• Custom. Choose this option if you want to specify which where the export components will be installed.

If you chose the Custom installation, in the Custom Setup page specify where the files will be installed by clicking the Change button in the lower part of the window.

The PASW Data Collection Exports Setup wizard is now ready to start the installation.

Click Install.

This installs and registers the export components on your local machine. You can then select export options from Web Reports for Surveys.

To Install the Export Components from the Command Line:

Open a Windows Command Prompt.

Start
All Programs
Accessories
Command Prompt

Change to the directory on the CD-ROM containing the Installer file (PASWWebReportsforSurveysExports_<languagecode>.exe).

Enter the following command to start the installation:

PASWWebReportsforSurveysExports_<languagecode>.exe /s /v/qn

where <languagecode> is the appropriate language code (for example, es for Spanish).

Related Topics

Enabling Security Access for Microsoft Excel, Word, and PowerPoint Exports


Enabling Security Access for Microsoft Excel, Word, and PowerPoint Exports

Tables,Tables,Tables
exporting to Microsoft Word, Excel, and PowerPoint,exporting to Microsoft Word, Excel, and PowerPoint,exporting to Microsoft Word, Excel, and PowerPoint
Exporting,Exporting,Exporting
tables to Microsoft Word, Excel, and PowerPoint,tables to Microsoft Word, Excel, and PowerPoint,tables to Microsoft Word, Excel, and PowerPoint
Word,Word,Word
exporting tables to Microsoft Word,exporting tables to Microsoft Word,exporting tables to Microsoft Word
Microsoft Word,Microsoft Word,Microsoft Word
exporting tables to Microsoft Word,exporting tables to Microsoft Word,exporting tables to Microsoft Word
Excel,Excel,Excel
exporting tables to Microsoft Excel,exporting tables to Microsoft Excel,exporting tables to Microsoft Excel
Microsoft Excel,Microsoft Excel,Microsoft Excel
exporting tables to Microsoft Excel,exporting tables to Microsoft Excel,exporting tables to Microsoft Excel
PowerPoint,PowerPoint,PowerPoint
exporting tables to Microsoft PowerPoint,exporting tables to Microsoft PowerPoint,exporting tables to Microsoft PowerPoint
Microsoft PowerPoint,Microsoft PowerPoint,Microsoft PowerPoint
exporting tables to Microsoft PowerPoint,exporting tables to Microsoft PowerPoint,exporting tables to Microsoft PowerPoint
Security settings,Security settings,Security settings
for exporting tables,for exporting tables,for exporting tables
Tables,Tables,Tables
exporting to Word, Excel, and PowerPoint,exporting to Word, Excel, and PowerPoint,exporting to Word, Excel, and PowerPoint
Exporting,Exporting,Exporting
tables to Word, Excel, and PowerPoint,tables to Word, Excel, and PowerPoint,tables to Word, Excel, and PowerPoint
Word,Word,Word
exporting tables to Word,exporting tables to Word,exporting tables to Word
Excel,Excel,Excel
exporting tables to Excel,exporting tables to Excel,exporting tables to Excel
PowerPoint,PowerPoint,PowerPoint
exporting tables to PowerPoint,exporting tables to PowerPoint,exporting tables to PowerPoint
Security settings,Security settings,Security settings
for exporting tables,for exporting tables,for exporting tables

If you are using Microsoft Office XP, Microsoft Office 2003, or Microsoft Office 2007, security settings in Microsoft Excel, Word, or PowerPoint may prevent you from exporting to these applications. If this occurs, you can enable the export to run by changing a security setting in Microsoft Excel, Word, or PowerPoint. If you need to change the setting on your machine, a message will inform you of this. Follow the instructions below to change the settings. If you are in doubt about whether changing security settings is permitted by your organization, please contact your system administrator.

Note: Ensure that you have the latest Microsoft Office service pack installed. For Microsoft Office 2000 or XP, Service Pack 3 or later is required, and for Microsoft Office 2003, Service Pack 2 or later is required. To check this, choose the Check for Updates option on the Microsoft Excel Help menu to display the Microsoft Office Downloads page, where you can download the latest service pack.

Microsoft Office XP or 2003

Note: Setting the security options in one program does not set them in the other. You may need to follow these steps for both Excel and Word, depending on your existing security settings.

Ensure that Web Reports for Surveys and all Microsoft Office applications are closed.

Open Excel or Word.

From the menu, choose:

Tools
Macro
Security

This opens the Security dialog box in Excel and PowerPoint, or the Macro Security dialog box in Word.

Click the Trusted Sources tab (the Trusted Publishers tab in some versions of Excel, Word, and PowerPoint).

Select the Trust access to Visual Basic Project check box.

Click OK to apply the setting.

Close Excel, Word, or PowerPoint.

Microsoft Office 2007

Note: Setting the security options in one program does not set them in the other. You may need to follow these steps for Excel, Word, and PowerPoint depending on your existing security settings.

In Microsoft Office 2007, macro security settings are located in the Trust Center.

Ensure that Web Reports for Surveys and all Microsoft Office applications are closed.

Open Excel, Word, or PowerPoint.

Click the Microsoft Office button.

Click the Excel Options, Word Options, or PowerPoint Options button.

Click

Trust Center
Trust Center Settings

In Excel, additionally click Macro Settings.

Select the Trust access to the VBA project object model check box.

Click OK to apply the setting.

Close Excel, Word, or PowerPoint.

For more information, see Enable or disable macros in Office documents at http://office.microsoft.com/en-us/help/HA100310711033.aspx.

Related Topics

To Install the Export Components


I'm having problems logging into Interviewer Server Administrator or installing/running Reports for Surveys Server

Internet Explorer,Internet Explorer,Internet Explorer
security settings,security settings,security settings
security settings,security settings,security settings
Internet Explorer,Internet Explorer,Internet Explorer
Interviewer Server Administrator,Interviewer Server Administrator,Interviewer Server Administrator
login,login,login
login,login,login
Interviewer Server Administrator,Interviewer Server Administrator,Interviewer Server Administrator
Reports for Surveys Server,Reports for Surveys Server,Reports for Surveys Server
installing,installing,installing
running,running,running
installing,installing,installing
Reports for Surveys Server,Reports for Surveys Server,Reports for Surveys Server

The following issues can result in problems logging into Interviewer Server Administrator or installing/running Reports for Surveys Server:

• The Internet Explorer security settings can adversely affect access to Reports for Surveys Server. It is recommended that you configure Internet Explorer for Medium security (Tools → Internet Options → Security tab → Security level for this zone).

– A security setting of High will prevent all users from logging into Interviewer Server Administrator, thus preventing access to Reports for Surveys Server.

– A security setting of Medium -high will allow users to login to Interviewer Server Administrator, but will prevent most users from launching Reports for Surveys from the Reports for Surveys link.

• Users who only belong to the Windows Guests account are not able to install or run Reports for Surveys Server.

Related Topics

Troubleshooting and FAQs


Users who log in with NT user names cannot activate projects

Activating projects,Activating projects,Activating projects
access denied message,access denied message,access denied message
NT logins,NT logins,NT logins
activation problems with,activation problems with,activation problems with

If you have installed Interviewer Server on a domain and have customized it so that projects are activated using NT login information rather than the Interviewer Server Administrator File Management component, you may find that Active Directory users are unable to activate projects. These users will usually see the message "Access is denied".

You can resolve this problem by modifying the active directory settings for those users. Open each user's account and, on the Security tab, add Read permission for Authenticated Users.


My site blocks access to URLs that reference .dll files

mrIWeb.srf instead of mrIWeb.dll,mrIWeb.srf instead of mrIWeb.dll,mrIWeb.srf instead of mrIWeb.dll
Security issues with URLs,Security issues with URLs,Security issues with URLs

Some companies have strict security that blocks access to sites whose URLs contain executable file extensions. The URL for running interviews references mrIWeb.dll. To get around this problem, you can create an mrIWeb.srf file and then register the .srf extension with the mrIWeb virtual folder.

Note: On you have done this, you will need to change the interview URL for all your existing projects as well as for any that are created in the future.

Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Servers\mrIWeb and create a text file called mrIWeb.srf containing the following line:

{{ handler mrIWeb.dll/Default }}

Register the .srf extension with the mrIWeb virtual folder. There are two ways to do this. Either, run the following command from the command line (type it all on one line not split across lines as shown here):

C:\Inetpub\AdminScripts\adsutil set W3SVC/1/Root/mrIWeb/ScriptMaps
".srf,[INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer
Server\Server\mrIWeb\mrIWeb.dll,0,GET,HEAD,POST,DEBUG"

Or, use Internet Information Services Manager as follows:

• From Control Panel select

Administrative Tools
Internet Information Services

• In the left-hand frame of the Internet Information Services window, expand the display to show the contents of your default (or Interviewer Server) web site.

• Right-click mrIWeb and select Properties.

The mrIWeb dialog box opens.

• On the Virtual Directory tab, click Configuration.

• The Application Configuration dialog box opens.

• On the Mappings tab click Add.

The Add/Edit Application Extension Mapping dialog box opens.

• In Executable, browse to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\Interviewer Server\Server\mrIWeb and select mrIWeb.dll.

• In Extension, type .srf.

• Select Limit to and in the text box, type GET,HEAD,POST,DEBUG.

• Click OK.

• Close IIS.

For each interviewing project, change the InterviewStartURL property so that it uses the .srf file rather than the .dll file. You will need to do this for new projects too as they are created.

• Navigate to [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6\DDL\Code\Tools\VB.NET\DPM Explorer.Net and double click DPMExplorer.exe.

• Expand the left-hand frame so that you can see the list of projects inside the Projects collection.

• Expand the project entry in the left-hand frame and select Interviewer Server. You'll see a list of project properties in the right-hand frame.

• Select InterviewStartURL and, in the lower section of the screen, replace mrIWeb.dll with mrIWeb.srf.

• Click Apply.


I receive the error message "Failed to load MDM Document: The network location cannot be reached"

Activation History,Activation History,Activation History
network,network,network
error message,error message,error message

Many of the Interviewer Server applications and activities are dependant on a network connection in order to function properly. In order to avoid this and other similar errors, ensure that the Interviewer Server has an active network connection.


I receive a "Maximum Length Exceeded" error when populating numerous tables in Web Reports for Surveys

jsonSerialization maxJsonLength,jsonSerialization maxJsonLength,jsonSerialization maxJsonLength
increasing limit,increasing limit,increasing limit
increase,increase,increase
jsonSerialization maxJsonLength,jsonSerialization maxJsonLength,jsonSerialization maxJsonLength
Maximum Length Exceeded,Maximum Length Exceeded,Maximum Length Exceeded

This error can be resolved by increasing the jsonSerialization maxJsonLength setting in the web.config file for the Web Reports for Surveys Frontend and WebService:

• The Web Reports for Surveys Frontend web.config file is located at C:\InetPub\wwwroot\SPSSMR\mrTables\Frontend\web.config

• The Web Reports for Surveys WebService web.config file is located at C:\InetPub\wwwroot\SPSSMR\mrTables\WebService\web.config

Open each web.config file and locate jsonSerialization maxJsonLength.

Change the value to the following: <jsonSerialization maxJsonLength="5000000" />

Note: 5000000 is the recommended value. This value will prevent the error in most situations and will not decrease the web site's concurrency and performance.

Restart the Internet Information Services (IIS) service after modifying the value.


I've uninstalled Interviewer Server but Interviewer Server Administrator is still there

Interviewer Server Administrator,Interviewer Server Administrator,Interviewer Server Administrator
uninstalling manually,uninstalling manually,uninstalling manually

When you uninstall Interviewer Server, the uninstallation procedure checks whether there are any other installed products that use Interviewer Server Administrator and, if not, deletes Interviewer Server Administrator. Very occasionally this does not work and you will need to uninstall Interviewer Server Administrator manually before you can install any product that uses Interviewer Server Administrator (this may happen if you have previously installed an early test version of a product rather than a release version).

Navigate to the Interviewer Server Administrator folder on the original CD image and double click setup.exe.

The set-up program runs and displays a dialog box with an option to remove Interviewer Server Administrator.

Select Remove and then click OK to start uninstalling.

Related Topics

I've uninstalled Interviewer Server but can't reinstall it


I've uninstalled Interviewer Server but can't reinstall it

Cleaning up after an uninstall,Cleaning up after an uninstall,Cleaning up after an uninstall
Interviewer Server,Interviewer Server,Interviewer Server
cleaning up after uninstalling,cleaning up after uninstalling,cleaning up after uninstalling

After uninstalling Interviewer Server (or any other PASW Data Collection product) you should not need to clean a machine before you can install a new version or reinstall the same version of Interviewer Server. However, occasionally something will happen that causes the uninstallation procedure to fail in some way. If this happens, you will need to perform the failed tasks manually.

Note: Never clean a machine if there are SPSS Inc. products installed on the machine. If you delete files that are part of an installed product you may break the uninstallation procedure for that product.

Follow the steps in the checklist to clean the machine safely. If you are at all unsure about what to do contact your Support Representative for assistance.

Where to Look | What to Do
Installed PASW Data Collection Products Check Add/Remove Programs for any PASW Data Collection products. | Uninstall using the Remove option in Add/Remove Programs.
File locations Common files: [INSTALL_FOLDER]\Common Files\SPSSInc\PASWDataCollection5.6 Application files (default): [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6 Web files (default): C:\InetPub\wwwroot\SPSSMR | Check which files are present in each location. Common Files should contain only two or three files. If there are more, double check that all products have been uninstalled and, if so, delete the files. Application files will contain folders for projects and log files. Delete these. Answer Yes when asked to confirm deletion of \SPSSMR_FMRoot. Web files will contain a few temporary and cache folders. You can delete these.
Global Assembly Cache (GAC) c:\WINDOWS\assembly | This folder contains shared .NET assemblies. Delete all the PASW Data Collection files listed in the next table. If you see the message "Assembly Cache Viewer – Uninstall failed Assembly 'AboutBox.resources' could not be uninstalled because it is required by other applications", check again that there are no PASW Data Collection programs listed under Add/Remove Programs. If not, continue with the clean-up checklist.
Registry Product keys: HKEY_LOCAL_MACHINE\SOFTWARE\SPSSHKEY_CURRENT_USER\Software\SPSS Shared DLL: HKEY_LOCAL_MACHINE\SOFTWARE\ Microsoft\Windows\CurrentVersion\SharedDlls .NET Global assembly: HKEY_CLASSES_ROOT\Installer\Assemblies \Global | Be very careful when editing the registry as deleting the wrong keys may break the machine. Delete the product keys for SPSS Inc.. Under the Shared DDL key, delete any keys that match the folder locations you deleted in the previous step; that is [INSTALL_FOLDER]\Common Files\SPSSInc\PASWDataCollection5.6, [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6, and \InetPub\wwwroot\SPSSMR. In the Global Assembly section, delete only the keys whose names match those in the following table. Once you have done this, delete any PASW Data Collection files remaining in c:\WINDOWS\assembly (see previous step). Note: You will see other PASW Data Collection entries in the registry but they will not cause a reinstallation to fail, so there is no need to delete them.
IIS From Control Panel, select Administrative Tools, Internet Information Services. Under Application Pools you will see: PASWDataCollectionPool SPSSmrInterviewPool Under Web Sites, Your Website you will see: SPSSMR mrIWeb mrIEngWS | The files that may be references in IIS have been deleted already, so any virtual folders or application pools remaining in IIS will be tagged with an error icon. For each application pool and virtual folder mentioned in the first column, select the folder and delete it.
Services mrDPMServer3 mrLoadBalanceService mrPerfMonitoring mrUserAdminServer | You should not see any Interviewer Server services listed in the Services menu. If a service does remain on the machine, perhaps because it was running when the program file was delete, reboot the machine and recheck the Services menu to ensure that it is no longer there.
Dcomcnfg From the Start menu, select Start Run and type dcomcnfg This opens the Component Services dialog. In the left-hand frame expand Component Services to show the contents of Computers, My Computer. Click DCOM Config. | If the right-hand frame shows any of the following, reboot the machine and repeat this step. These items should no longer appear. Logbcko2 mrPrepro mrScriptLP mrUserAdminServer OAgent2
Task Manager Select the Process tab. | You may see the following PASW Data Collection processes listed: Logbcko2 OAgent2 mrUserAdminServer mrDPMServer3 Either select each process in turn and click End Process, or reboot the machine to make sure they are removed.
Export files c:\WINDOWS\Downloaded Program Files | This folder may contain some export files from Web Reports for Surveys or the Phone Reports activity. Delete any Web Reports for Surveys Export Class files.

Once you have completed these tasks, reboot the machine before you install another product.

.NET Files Added to the Global Assembly Cache

AboutBox | MRALIASMAPLib | MRSQLSTORAGELib
Interfaces | mrCacheLib | mrUserAuth
ActivateClient | MRComponentsLib | mrUserCrypto
ActivateDocument | mrCsvDsc | mrWebExplorer
ActivateEvents | mrDPMInstall | MRWEIGHTLib
ActivateServer | mrDPMNTS | ProductInfo
AppLogLib | MRDSCReg | ProgressDialog
BackupAndRestoreDomLib | MRENGINELib | QuotaObjectModelLib
BackupAndRestoreLib | MROLEDBLib | SPSSMR.Data.Scripting
CDSCLib | MRPREPROLib | SPSSMR.Data.Transformations
CLEANMDMFORIVSLib | MRPROPERTIESLib | SPSSMR.DataCollection.SMProvider
DataLinkDialog | mrQdiDrsDsc | SPSSMR.Dimensions.Windows.UI.Controls
DimensionNet | mrQtSpecDsc | SPSSMR.DPM.Agent
HTMLPlayerLib | mrRegistrar | SPSSMR.DPM.CommonClassses
ICSharpCode.SharpZipLib | MRSAMPLEMANAGEMENTLib | SPSSMR.DPM.Interfaces
IOMLib | MRSCRIPTCORELib | SPSSMR.DPM.Scripting
LoadBalanceLib | MRSCRIPTLib | SPSSMR.DPM.NET
LogFrontLib | MRSCRIPTLPLib | SPSSMR.Management.Monitoring
Login | mrScriptMDSCLib | SPSSMR.Management.Monitoring.DimensionNet
ManageUserProperties | MRSMINTERFACESLib | SPSS.UI.Utilities.ExpressionSplitter
MDM2QuantumLib | QUOTAPROVIDERLib | SPSSMR.Utilities.BackupAndRestore
MDMLib | QuotaRuntimeLib | SPSSMR.Utilities.BackupAndRestore.Dom
MDMMGRLib | RAP | SPSSMR.Web
MDMToolsLib | RegIntSvrLib | TomLib
MDSC | RemoteUtilities | Upgrade_3.0
MEOWMONILERLib | Scripting | UpgradeCati_3_0
mrEngineMemoryLib | SPSS.Dimensions.FileManager | UserProperties
MREVALUATELib | SPSS.Configuration.Dimensions | Utilities
MRFILEMGTLib | SPSS.Constants |
mrIHTMLTidyLib | SPSS.Data.Databaseagent |
mrInstall.net | SPSSMR.Data.Datasource |
MRINTERVIEWLib | iSPSSMR.Data.Interfaces |
MRLIBVERLib | SPSSMR.Data.Participants |

Related Topics

I've uninstalled Interviewer Server but Interviewer Server Administrator is still there